exports.id = 1782;
exports.ids = [1782];
exports.modules = {

/***/ 1782:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9297);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(7140);
/* harmony import */ var react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5777);
/* harmony import */ var react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var react_bootstrap_Container__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(8622);
/* harmony import */ var react_bootstrap_Container__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Container__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var react_bootstrap_Jumbotron__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(4019);
/* harmony import */ var react_bootstrap_Jumbotron__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Jumbotron__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var react_bootstrap_Table__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(8096);
/* harmony import */ var react_bootstrap_Table__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Table__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(8337);
/* harmony import */ var react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(9988);
/* harmony import */ var react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(4336);
/* harmony import */ var react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_8___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_8__);
/* harmony import */ var react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(3406);
/* harmony import */ var react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_9___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_9__);
/* harmony import */ var react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(7707);
/* harmony import */ var react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_10___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_10__);
/* harmony import */ var react_bootstrap_InputGroup__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(6195);
/* harmony import */ var react_bootstrap_InputGroup__WEBPACK_IMPORTED_MODULE_11___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_InputGroup__WEBPACK_IMPORTED_MODULE_11__);
/* harmony import */ var yup__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(9440);
/* harmony import */ var yup__WEBPACK_IMPORTED_MODULE_12___default = /*#__PURE__*/__webpack_require__.n(yup__WEBPACK_IMPORTED_MODULE_12__);
/* harmony import */ var formik__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(7717);
/* harmony import */ var formik__WEBPACK_IMPORTED_MODULE_13___default = /*#__PURE__*/__webpack_require__.n(formik__WEBPACK_IMPORTED_MODULE_13__);

var __jsx = (react__WEBPACK_IMPORTED_MODULE_0___default().createElement);















class Firewall extends (react__WEBPACK_IMPORTED_MODULE_0___default().Component) {
  constructor(props) {
    super(props);
    let schema = yup__WEBPACK_IMPORTED_MODULE_12__.object({
      name: yup__WEBPACK_IMPORTED_MODULE_12__.string().required(),
      port: yup__WEBPACK_IMPORTED_MODULE_12__.number().min(1).max(65535).required(),
      action: yup__WEBPACK_IMPORTED_MODULE_12__.string().required(),
      protocol: yup__WEBPACK_IMPORTED_MODULE_12__.string().required(),
      profile: yup__WEBPACK_IMPORTED_MODULE_12__.string().required(),
      direction: yup__WEBPACK_IMPORTED_MODULE_12__.string().required()
    });
    console.log(this.props.firewallRules);
    this.state = {
      ruleList: this.props.firewallRules,
      rule: {},
      schema: schema,
      showWindowsRules: false
    }; // bind the action handlers

    this.handleAdd = this.handleAdd.bind(this);
    this.handleDelete = this.handleDelete.bind(this);
    this.handleSave = this.handleSave.bind(this);
    this.handleClose = this.handleClose.bind(this);
    this.handleShow = this.handleShow.bind(this);
    this.handleErrorClose = this.handleErrorClose.bind(this);
    this.handleErrorShow = this.handleErrorShow.bind(this);
    this.loadWindowsRules = this.loadWindowsRules.bind(this);
    this.removeWindowsRules = this.removeWindowsRules.bind(this); // this.handleChangeValue = this.handleChangeValue.bind(this)
  }

  handleAdd() {
    // set title
    this.setState(state => ({
      rule: {
        direction: '',
        profile: ["1", "2", "4"],
        action: '',
        protocol: ''
      },
      showModal: true
    }));
    this.handleShow();
  }

  handleDelete(e) {
    // Get rule        
    let ruleId = e.target.id;

    if (!ruleId) {
      ruleId = e.target.parentNode.id;
    } // this.state.ruleList.WinFirewallRules.splice([ruleId], 1);
    // console.log(this.state.ruleList)
    // this.state.ruleList[ruleId].Operation = 'Delete';


    this.state.ruleList.map((rule, index) => {
      if (ruleId == index) {
        rule.Operation = 'Delete';
        return;
      }
    });
    console.log(this.state.ruleList);
    this.props.handleFirewallChange(this.state.ruleList);
    this.setState({
      change: ""
    });
  }

  handleClose() {
    this.setState({
      showModal: false
    });
  }

  handleShow() {
    this.setState({
      showModal: true
    });
  }

  directionMapping(direction) {
    switch (direction) {
      case 1:
        return "Inbound";

      case 2:
        return "Outbound";

      default:
        return "Other";
    }
  }

  protocolMapping(protocol) {
    switch (protocol) {
      case 6:
        return "TCP";

      case 17:
        return "UDP";

      default:
        return "Any";
    }
  }

  actionMapping(action) {
    switch (action) {
      case 1:
        return "Allow";

      case 0:
        return "Block";

      default:
        return "Maximum";
    }
  }

  profileMapping(profile) {
    switch (profile) {
      case 1:
        return "D";

      case 2:
        return "Pr";

      case 3:
        return "D-Pr";

      case 4:
        return "Pl";

      case 5:
        return "D-Pl";

      case 6:
        return "Pr-Pl";

      default:
        return "D-Pr-Pl";
    }
  }

  handleSave(data) {
    // transform values 
    console.log(data);
    let profile = 0;
    data.profile.map(value => {
      profile += parseInt(value);
    });
    console.log(profile); // add defaults 

    let rule = {
      "Name": data.name,
      "Action": parseInt(data.action),
      "Direction": parseInt(data.direction),
      "ApplicationName": null,
      "Enabled": true,
      "Description": "",
      "Grouping": null,
      "IcmpTypesAndCodes": null,
      "Interfaces": null,
      "InterfaceTypes": "All",
      "LocalAddresses": "*",
      "LocalPorts": data.port,
      "Profiles": profile,
      "Protocol": parseInt(data.protocol),
      "RemoteAddresses": "*",
      "RemotePorts": "*",
      "serviceName": null,
      "Operation": "Create"
    }; // this.state.ruleList.WinFirewallRules.push(rule);

    this.state.ruleList.push(rule);
    console.log(this.state.ruleList);
    this.props.handleFirewallChange(this.state.ruleList);
    this.setState({
      change: ""
    });
    this.handleClose();
  }

  checkboxToInteger(checkbox) {
    if (checkbox.length > 0 || checkbox == 1) {
      return 1;
    }

    return 0;
  }

  checkActiveCheckbox(status) {
    let checked = false; // console.log(status)

    if (status == 1) checked = true;
    return checked;
  }

  handleErrorClose() {
    this.setState({
      showErrorModal: false
    });
  }

  handleErrorShow() {
    this.setState({
      showErrorModal: true
    });
  }

  loadWindowsRules() {
    this.setState({
      showWindowsRules: true
    });
    console.log(this.state.showWindowsRules);
  }

  removeWindowsRules() {
    this.setState({
      showWindowsRules: false
    });
    console.log(this.state.showWindowsRules);
  }

  render() {
    return __jsx((react__WEBPACK_IMPORTED_MODULE_0___default().Fragment), null, __jsx((react_bootstrap_Jumbotron__WEBPACK_IMPORTED_MODULE_4___default()), null, __jsx((react_bootstrap_Container__WEBPACK_IMPORTED_MODULE_3___default()), null, __jsx("div", {
      style: {
        marginBottom: '3%'
      }
    }, __jsx((react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_9___default()), null, __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_10___default()), {
      md: {
        span: 5,
        offset: 0
      }
    }, __jsx("h4", null, "Lablock firewall rules", __jsx((react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_6___default()), {
      placement: "right",
      overlay: __jsx((react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_7___default()), {
        id: "button-windows-table-tooltip"
      }, "These are Firewall rules that will be added to Windows Firewall rules table. These rules can be edited from the Lablock interface")
    }, __jsx("svg", {
      width: "0.8em",
      height: "1.8em",
      viewBox: "0 10 16 16",
      className: "bi bi-info-circle-fill",
      fill: "grey",
      xmlns: "http://www.w3.org/2000/svg"
    }, __jsx("path", {
      fillRule: "evenodd",
      d: "M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm.93-9.412l-2.29.287-.082.38.45.083c.294.07.352.176.288.469l-.738 3.468c-.194.897.105 1.319.808 1.319.545 0 1.178-.252 1.465-.598l.088-.416c-.2.176-.492.246-.686.246-.275 0-.375-.193-.304-.533L8.93 6.588zM8 5.5a1 1 0 1 0 0-2 1 1 0 0 0 0 2z"
    }))))), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_10___default()), {
      md: {
        span: 1,
        offset: 6
      }
    }, __jsx((react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_6___default()), {
      placement: "right",
      overlay: __jsx((react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_7___default()), {
        id: "button-new-rule-tooltip"
      }, "Add new rule")
    }, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2___default()), {
      id: "btn-new-rule",
      variant: "success",
      onClick: this.handleAdd
    }, "Add"))))), __jsx((react_bootstrap_Table__WEBPACK_IMPORTED_MODULE_5___default()), {
      striped: true,
      bordered: true,
      hover: true,
      size: "sm"
    }, __jsx("thead", null, __jsx("tr", null, __jsx("th", null, "Name", __jsx((react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_6___default()), {
      placement: "right",
      overlay: __jsx((react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_7___default()), {
        id: "button-tooltip"
      }, "Name of the firewall rule")
    }, __jsx("svg", {
      width: "0.8em",
      height: "1.8em",
      viewBox: "0 10 16 16",
      className: "bi bi-info-circle-fill",
      fill: "grey",
      xmlns: "http://www.w3.org/2000/svg"
    }, __jsx("path", {
      fillRule: "evenodd",
      d: "M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm.93-9.412l-2.29.287-.082.38.45.083c.294.07.352.176.288.469l-.738 3.468c-.194.897.105 1.319.808 1.319.545 0 1.178-.252 1.465-.598l.088-.416c-.2.176-.492.246-.686.246-.275 0-.375-.193-.304-.533L8.93 6.588zM8 5.5a1 1 0 1 0 0-2 1 1 0 0 0 0 2z"
    })))), __jsx("th", null, "Port", __jsx((react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_6___default()), {
      placement: "right",
      overlay: __jsx((react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_7___default()), {
        id: "button-tooltip"
      }, "Port number of the firewall rules")
    }, __jsx("svg", {
      width: "0.8em",
      height: "1.8em",
      viewBox: "0 10 16 16",
      className: "bi bi-info-circle-fill",
      fill: "grey",
      xmlns: "http://www.w3.org/2000/svg"
    }, __jsx("path", {
      fillRule: "evenodd",
      d: "M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm.93-9.412l-2.29.287-.082.38.45.083c.294.07.352.176.288.469l-.738 3.468c-.194.897.105 1.319.808 1.319.545 0 1.178-.252 1.465-.598l.088-.416c-.2.176-.492.246-.686.246-.275 0-.375-.193-.304-.533L8.93 6.588zM8 5.5a1 1 0 1 0 0-2 1 1 0 0 0 0 2z"
    })))), __jsx("th", null, "Action", __jsx((react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_6___default()), {
      placement: "right",
      overlay: __jsx((react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_7___default()), {
        id: "button-tooltip"
      }, "Allows or Blocks the firewall rule connection")
    }, __jsx("svg", {
      width: "0.8em",
      height: "1.8em",
      viewBox: "0 10 16 16",
      className: "bi bi-info-circle-fill",
      fill: "grey",
      xmlns: "http://www.w3.org/2000/svg"
    }, __jsx("path", {
      fillRule: "evenodd",
      d: "M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm.93-9.412l-2.29.287-.082.38.45.083c.294.07.352.176.288.469l-.738 3.468c-.194.897.105 1.319.808 1.319.545 0 1.178-.252 1.465-.598l.088-.416c-.2.176-.492.246-.686.246-.275 0-.375-.193-.304-.533L8.93 6.588zM8 5.5a1 1 0 1 0 0-2 1 1 0 0 0 0 2z"
    })))), __jsx("th", null, "Direction", __jsx((react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_6___default()), {
      placement: "right",
      overlay: __jsx((react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_7___default()), {
        id: "button-tooltip"
      }, "Inbound or Outbound firewall rule")
    }, __jsx("svg", {
      width: "0.8em",
      height: "1.8em",
      viewBox: "0 10 16 16",
      className: "bi bi-info-circle-fill",
      fill: "grey",
      xmlns: "http://www.w3.org/2000/svg"
    }, __jsx("path", {
      fillRule: "evenodd",
      d: "M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm.93-9.412l-2.29.287-.082.38.45.083c.294.07.352.176.288.469l-.738 3.468c-.194.897.105 1.319.808 1.319.545 0 1.178-.252 1.465-.598l.088-.416c-.2.176-.492.246-.686.246-.275 0-.375-.193-.304-.533L8.93 6.588zM8 5.5a1 1 0 1 0 0-2 1 1 0 0 0 0 2z"
    })))), __jsx("th", null, "Protocol", __jsx((react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_6___default()), {
      placement: "right",
      overlay: __jsx((react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_7___default()), {
        id: "button-tooltip"
      }, "Protocol of the firewall rule")
    }, __jsx("svg", {
      width: "0.8em",
      height: "1.8em",
      viewBox: "0 10 16 16",
      className: "bi bi-info-circle-fill",
      fill: "grey",
      xmlns: "http://www.w3.org/2000/svg"
    }, __jsx("path", {
      fillRule: "evenodd",
      d: "M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm.93-9.412l-2.29.287-.082.38.45.083c.294.07.352.176.288.469l-.738 3.468c-.194.897.105 1.319.808 1.319.545 0 1.178-.252 1.465-.598l.088-.416c-.2.176-.492.246-.686.246-.275 0-.375-.193-.304-.533L8.93 6.588zM8 5.5a1 1 0 1 0 0-2 1 1 0 0 0 0 2z"
    })))), __jsx("th", null, "Interface", __jsx((react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_6___default()), {
      placement: "right",
      overlay: __jsx((react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_7___default()), {
        id: "button-tooltip"
      }, "Network location of the rule. Can be Domain, Public and Private. Multiple options are allowed")
    }, __jsx("svg", {
      width: "0.8em",
      height: "1.8em",
      viewBox: "0 10 16 16",
      className: "bi bi-info-circle-fill",
      fill: "grey",
      xmlns: "http://www.w3.org/2000/svg"
    }, __jsx("path", {
      fillRule: "evenodd",
      d: "M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm.93-9.412l-2.29.287-.082.38.45.083c.294.07.352.176.288.469l-.738 3.468c-.194.897.105 1.319.808 1.319.545 0 1.178-.252 1.465-.598l.088-.416c-.2.176-.492.246-.686.246-.275 0-.375-.193-.304-.533L8.93 6.588zM8 5.5a1 1 0 1 0 0-2 1 1 0 0 0 0 2z"
    })))), __jsx("th", null))), __jsx("tbody", null, this.state.ruleList ? this.state.ruleList.map((rule, index) => rule.Operation != "Delete" ? __jsx("tr", {
      key: index
    }, __jsx("td", null, rule.Name), __jsx("td", null, rule.LocalPorts), __jsx("td", null, this.actionMapping(rule.Action)), __jsx("td", null, this.directionMapping(rule.Direction)), __jsx("td", null, this.protocolMapping(rule.Protocol)), __jsx("td", null, this.profileMapping(rule.Profiles)), __jsx("td", null, __jsx((react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_6___default()), {
      placement: "right",
      overlay: __jsx((react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_7___default()), {
        id: "button-tooltip-delete"
      }, "Delete")
    }, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2___default()), {
      id: index,
      variant: "variant-dark",
      onClick: this.handleDelete
    }, __jsx("svg", {
      id: index,
      width: "1em",
      height: "1em",
      viewBox: "0 0 16 16",
      className: "bi bi-x-circle",
      fill: "currentColor",
      xmlns: "http://www.w3.org/2000/svg"
    }, __jsx("path", {
      fillRule: "evenodd",
      d: "M8 15A7 7 0 1 0 8 1a7 7 0 0 0 0 14zm0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16z"
    }), __jsx("path", {
      fillRule: "evenodd",
      d: "M4.646 4.646a.5.5 0 0 1 .708 0L8 7.293l2.646-2.647a.5.5 0 0 1 .708.708L8.707 8l2.647 2.646a.5.5 0 0 1-.708.708L8 8.707l-2.646 2.647a.5.5 0 0 1-.708-.708L7.293 8 4.646 5.354a.5.5 0 0 1 0-.708z"
    })))))) : '') : '')), __jsx((react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_9___default()), null, __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_10___default()), {
      md: {
        span: 5,
        offset: 0
      }
    }, __jsx("h4", null, "Windows firewall rules", __jsx((react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_6___default()), {
      placement: "right",
      overlay: __jsx((react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_7___default()), {
        id: "button-windows-table-tooltip"
      }, "These rules are Firewall rules from Windows for visibility. These rules cannot be deleted from Windows using the Lablock interface")
    }, __jsx("svg", {
      width: "0.8em",
      height: "1.8em",
      viewBox: "0 10 16 16",
      className: "bi bi-info-circle-fill",
      fill: "grey",
      xmlns: "http://www.w3.org/2000/svg"
    }, __jsx("path", {
      fillRule: "evenodd",
      d: "M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm.93-9.412l-2.29.287-.082.38.45.083c.294.07.352.176.288.469l-.738 3.468c-.194.897.105 1.319.808 1.319.545 0 1.178-.252 1.465-.598l.088-.416c-.2.176-.492.246-.686.246-.275 0-.375-.193-.304-.533L8.93 6.588zM8 5.5a1 1 0 1 0 0-2 1 1 0 0 0 0 2z"
    }))))), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_10___default()), {
      md: {
        span: 3,
        offset: 4
      }
    }, !this.state.showWindowsRules ? __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2___default()), {
      id: "btn-load-rule",
      variant: "info",
      onClick: this.loadWindowsRules
    }, "Load default Windows rules") : __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2___default()), {
      id: "btn-load-rule",
      variant: "info",
      onClick: this.removeWindowsRules
    }, "Clear default Windows rules"))), __jsx((react_bootstrap_Table__WEBPACK_IMPORTED_MODULE_5___default()), {
      striped: true,
      bordered: true,
      hover: true,
      size: "sm"
    }, __jsx("thead", null, __jsx("tr", null, __jsx("th", null, "Name", __jsx((react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_6___default()), {
      placement: "right",
      overlay: __jsx((react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_7___default()), {
        id: "button-tooltip"
      }, "Name of the firewall rule")
    }, __jsx("svg", {
      width: "0.8em",
      height: "1.8em",
      viewBox: "0 10 16 16",
      className: "bi bi-info-circle-fill",
      fill: "grey",
      xmlns: "http://www.w3.org/2000/svg"
    }, __jsx("path", {
      fillRule: "evenodd",
      d: "M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm.93-9.412l-2.29.287-.082.38.45.083c.294.07.352.176.288.469l-.738 3.468c-.194.897.105 1.319.808 1.319.545 0 1.178-.252 1.465-.598l.088-.416c-.2.176-.492.246-.686.246-.275 0-.375-.193-.304-.533L8.93 6.588zM8 5.5a1 1 0 1 0 0-2 1 1 0 0 0 0 2z"
    })))), __jsx("th", null, "Port", __jsx((react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_6___default()), {
      placement: "right",
      overlay: __jsx((react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_7___default()), {
        id: "button-tooltip"
      }, "Port number of the firewall rules")
    }, __jsx("svg", {
      width: "0.8em",
      height: "1.8em",
      viewBox: "0 10 16 16",
      className: "bi bi-info-circle-fill",
      fill: "grey",
      xmlns: "http://www.w3.org/2000/svg"
    }, __jsx("path", {
      fillRule: "evenodd",
      d: "M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm.93-9.412l-2.29.287-.082.38.45.083c.294.07.352.176.288.469l-.738 3.468c-.194.897.105 1.319.808 1.319.545 0 1.178-.252 1.465-.598l.088-.416c-.2.176-.492.246-.686.246-.275 0-.375-.193-.304-.533L8.93 6.588zM8 5.5a1 1 0 1 0 0-2 1 1 0 0 0 0 2z"
    })))), __jsx("th", null, "Action", __jsx((react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_6___default()), {
      placement: "right",
      overlay: __jsx((react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_7___default()), {
        id: "button-tooltip"
      }, "Allows or Blocks the firewall rule connection")
    }, __jsx("svg", {
      width: "0.8em",
      height: "1.8em",
      viewBox: "0 10 16 16",
      className: "bi bi-info-circle-fill",
      fill: "grey",
      xmlns: "http://www.w3.org/2000/svg"
    }, __jsx("path", {
      fillRule: "evenodd",
      d: "M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm.93-9.412l-2.29.287-.082.38.45.083c.294.07.352.176.288.469l-.738 3.468c-.194.897.105 1.319.808 1.319.545 0 1.178-.252 1.465-.598l.088-.416c-.2.176-.492.246-.686.246-.275 0-.375-.193-.304-.533L8.93 6.588zM8 5.5a1 1 0 1 0 0-2 1 1 0 0 0 0 2z"
    })))), __jsx("th", null, "Direction", __jsx((react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_6___default()), {
      placement: "right",
      overlay: __jsx((react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_7___default()), {
        id: "button-tooltip"
      }, "Inbound or Outbound firewall rule")
    }, __jsx("svg", {
      width: "0.8em",
      height: "1.8em",
      viewBox: "0 10 16 16",
      className: "bi bi-info-circle-fill",
      fill: "grey",
      xmlns: "http://www.w3.org/2000/svg"
    }, __jsx("path", {
      fillRule: "evenodd",
      d: "M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm.93-9.412l-2.29.287-.082.38.45.083c.294.07.352.176.288.469l-.738 3.468c-.194.897.105 1.319.808 1.319.545 0 1.178-.252 1.465-.598l.088-.416c-.2.176-.492.246-.686.246-.275 0-.375-.193-.304-.533L8.93 6.588zM8 5.5a1 1 0 1 0 0-2 1 1 0 0 0 0 2z"
    })))), __jsx("th", null, "Protocol", __jsx((react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_6___default()), {
      placement: "right",
      overlay: __jsx((react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_7___default()), {
        id: "button-tooltip"
      }, "Protocol of the firewall rule")
    }, __jsx("svg", {
      width: "0.8em",
      height: "1.8em",
      viewBox: "0 10 16 16",
      className: "bi bi-info-circle-fill",
      fill: "grey",
      xmlns: "http://www.w3.org/2000/svg"
    }, __jsx("path", {
      fillRule: "evenodd",
      d: "M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm.93-9.412l-2.29.287-.082.38.45.083c.294.07.352.176.288.469l-.738 3.468c-.194.897.105 1.319.808 1.319.545 0 1.178-.252 1.465-.598l.088-.416c-.2.176-.492.246-.686.246-.275 0-.375-.193-.304-.533L8.93 6.588zM8 5.5a1 1 0 1 0 0-2 1 1 0 0 0 0 2z"
    })))), __jsx("th", null, "Interface", __jsx((react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_6___default()), {
      placement: "right",
      overlay: __jsx((react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_7___default()), {
        id: "button-tooltip"
      }, "Network location of the rule. Can be Domain, Public and Private. Multiple options are allowed")
    }, __jsx("svg", {
      width: "0.8em",
      height: "1.8em",
      viewBox: "0 10 16 16",
      className: "bi bi-info-circle-fill",
      fill: "grey",
      xmlns: "http://www.w3.org/2000/svg"
    }, __jsx("path", {
      fillRule: "evenodd",
      d: "M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm.93-9.412l-2.29.287-.082.38.45.083c.294.07.352.176.288.469l-.738 3.468c-.194.897.105 1.319.808 1.319.545 0 1.178-.252 1.465-.598l.088-.416c-.2.176-.492.246-.686.246-.275 0-.375-.193-.304-.533L8.93 6.588zM8 5.5a1 1 0 1 0 0-2 1 1 0 0 0 0 2z"
    })))), __jsx("th", null))), __jsx("tbody", null, this.state.showWindowsRules ? this.props.windowsRules.map((rule, index) => __jsx("tr", {
      key: index
    }, __jsx("td", null, rule.Name), __jsx("td", null, rule.LocalPorts), __jsx("td", null, this.actionMapping(rule.Action)), __jsx("td", null, this.directionMapping(rule.Direction)), __jsx("td", null, this.protocolMapping(rule.Protocol)), __jsx("td", null, this.profileMapping(rule.Profiles)), __jsx("td", null))) : '')), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_8___default()), {
      show: this.state.showModal,
      onHide: this.handleClose,
      "aria-labelledby": "contained-modal-title-vcenter",
      centered: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_8___default().Header), {
      closeButton: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_8___default().Title), null, "Add new firewall rule")), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_8___default().Body), null, __jsx(formik__WEBPACK_IMPORTED_MODULE_13__.Formik, {
      enableReinitialize: true,
      validationSchema: this.state.schema,
      onSubmit: values => {
        console.log(values);
        this.handleSave(values);
      },
      initialValues: this.state.rule
    }, ({
      handleSubmit,
      handleChange,
      handleBlur,
      values,
      touched,
      isValid,
      errors
    }) => __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default()), {
      onSubmit: handleSubmit
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_9___default()),
      controlId: "name"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Label), {
      column: true,
      sm: "2"
    }, "Name"), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_10___default()), {
      sm: "5"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Control), {
      type: "text",
      name: "name",
      value: values.name,
      onChange: handleChange,
      onBlur: handleBlur,
      isInvalid: !!errors.name
    }), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Control.Feedback), {
      type: "invalid"
    }, errors.name))), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_9___default()),
      controlId: "port"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Label), {
      column: true,
      sm: "2"
    }, "Port"), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_10___default()), {
      sm: "5"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Control), {
      type: "text",
      name: "port",
      value: values.port,
      onChange: handleChange,
      onBlur: handleBlur,
      isInvalid: !!errors.port
    }))), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_9___default())
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Label), {
      column: true,
      sm: 2
    }, "Direction"), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_10___default()), {
      sm: "8"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Check), {
      custom: true,
      inline: true,
      label: "Inbound",
      type: "radio",
      name: "direction",
      id: "radio-inbound",
      value: "1",
      onChange: handleChange,
      isInvalid: !!errors.direction
    }), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Check), {
      custom: true,
      inline: true,
      label: "Outbound",
      type: "radio",
      name: "direction",
      id: "radio-outbound",
      value: "2",
      onChange: handleChange,
      isInvalid: !!errors.direction
    }))), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_9___default())
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Label), {
      column: true,
      sm: 2
    }, "Protocol"), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_10___default()), {
      sm: "8"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Check), {
      custom: true,
      inline: true,
      label: "TCP",
      type: "radio",
      name: "protocol",
      id: "radio-tcp",
      value: "6",
      onChange: handleChange,
      isInvalid: !!errors.protocol
    }), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Check), {
      custom: true,
      inline: true,
      label: "UDP",
      type: "radio",
      name: "protocol",
      id: "radio-udp",
      value: "17",
      onChange: handleChange,
      isInvalid: !!errors.protocol
    }))), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_9___default())
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Label), {
      column: true,
      sm: 2
    }, "Action"), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_10___default()), {
      sm: "8"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Check), {
      custom: true,
      inline: true,
      label: "Allow",
      type: "radio",
      name: "action",
      id: "radio-allow",
      value: "1",
      onChange: handleChange,
      isInvalid: !!errors.action
    }), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Check), {
      custom: true,
      inline: true,
      label: "Block",
      type: "radio",
      name: "action",
      id: "radio-block",
      value: "0",
      onChange: handleChange,
      isInvalid: !!errors.action
    }))), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_9___default())
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Label), {
      column: true,
      sm: 2
    }, "Profile"), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_10___default()), {
      sm: "8"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Check), {
      custom: true,
      inline: true,
      label: "Public",
      type: "checkbox",
      name: "profile",
      id: "radio-public",
      value: "4",
      onChange: handleChange,
      defaultChecked: "true",
      isInvalid: !!errors.profile
    }), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Check), {
      custom: true,
      inline: true,
      label: "Private",
      type: "checkbox",
      name: "profile",
      id: "radio-private",
      value: "2",
      onChange: handleChange,
      defaultChecked: "true",
      isInvalid: !!errors.profile
    }), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Check), {
      custom: true,
      inline: true,
      label: "Domain",
      type: "checkbox",
      name: "profile",
      id: "radio-domain",
      value: "1",
      onChange: handleChange,
      defaultChecked: "true",
      isInvalid: !!errors.profile
    }))), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_10___default()), {
      sm: "20"
    }, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2___default()), {
      variant: "danger",
      type: "submit"
    }, "Save"), ' ', __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2___default()), {
      variant: "secondary",
      onClick: this.handleClose
    }, "Close")))))), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_8___default()), {
      show: this.state.showErrorModal,
      onHide: this.handleErrorClose,
      "aria-labelledby": "contained-modal-title-vcenter",
      centered: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_8___default().Header), {
      closeButton: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_8___default().Title), null, "Ops, something didn't work as expected")), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_8___default().Body), null, "There has been an error when processing your request, please try again or contact support"), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_8___default().Footer), null, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2___default()), {
      variant: "secondary",
      onClick: this.handleErrorClose
    }, "Close"))))));
  }

}

/* harmony default export */ __webpack_exports__["default"] = (Firewall);

/***/ })

};
;