exports.id = 1888;
exports.ids = [1888];
exports.modules = {

/***/ 2217:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": function() { return /* binding */ log; }
/* harmony export */ });
function log(username, module, description, host, details) {
  let payload = {
    date: new Date().getTime(),
    user: username,
    module: module,
    description: description,
    computer: host
  };
  if (details) payload.details = details;
  fetch('/api/activity', {
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json'
    },
    body: JSON.stringify(payload)
  });
}

/***/ }),

/***/ 1888:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9297);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5777);
/* harmony import */ var react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_bootstrap_Container__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(8622);
/* harmony import */ var react_bootstrap_Container__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Container__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var react_bootstrap_Jumbotron__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(4019);
/* harmony import */ var react_bootstrap_Jumbotron__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Jumbotron__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(7140);
/* harmony import */ var react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(3406);
/* harmony import */ var react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(7707);
/* harmony import */ var react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(4336);
/* harmony import */ var react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(8337);
/* harmony import */ var react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_8___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_8__);
/* harmony import */ var react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(9988);
/* harmony import */ var react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_9___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_9__);
/* harmony import */ var formik__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(7717);
/* harmony import */ var formik__WEBPACK_IMPORTED_MODULE_10___default = /*#__PURE__*/__webpack_require__.n(formik__WEBPACK_IMPORTED_MODULE_10__);
/* harmony import */ var file_saver__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(3548);
/* harmony import */ var file_saver__WEBPACK_IMPORTED_MODULE_11___default = /*#__PURE__*/__webpack_require__.n(file_saver__WEBPACK_IMPORTED_MODULE_11__);
/* harmony import */ var _lib_aes__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(3730);
/* harmony import */ var _lib_aes__WEBPACK_IMPORTED_MODULE_12___default = /*#__PURE__*/__webpack_require__.n(_lib_aes__WEBPACK_IMPORTED_MODULE_12__);
/* harmony import */ var _lib_log__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(2217);
/* harmony import */ var bs_custom_file_input__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(8926);
/* harmony import */ var bs_custom_file_input__WEBPACK_IMPORTED_MODULE_13___default = /*#__PURE__*/__webpack_require__.n(bs_custom_file_input__WEBPACK_IMPORTED_MODULE_13__);

var __jsx = (react__WEBPACK_IMPORTED_MODULE_0___default().createElement);















class ImportExportContainer extends (react__WEBPACK_IMPORTED_MODULE_0___default().Component) {
  constructor(props) {
    super(props);
    let initialValues = {
      "ksettings": true,
      "ksyskeys": true,
      "kstartup": true,
      "kappblocker": true,
      "kfirewall": true,
      "LDAPSettings": true,
      "LabLockSettings": true,
      "lablockData": true
    };
    this.state = {
      showErrorModal: false,
      showModal: false,
      changePath: '',
      initialValues: initialValues
    }; // bind the action handlers

    this.export = this.export.bind(this); // this.changePath = this.changePath.bind(this);

    this.handleClose = this.handleClose.bind(this);
    this.handleImportSuccessShow = this.handleImportSuccessShow.bind(this);
    this.handleExportSuccessShow = this.handleExportSuccessShow.bind(this);
    this.handleErrorShow = this.handleErrorShow.bind(this);
    this.handleFileSelected = this.handleFileSelected.bind(this);
    this.handleImport = this.handleImport.bind(this);
  }

  componentDidMount() {
    bs_custom_file_input__WEBPACK_IMPORTED_MODULE_13___default().init();
    var getUrl = window.location;
    console.log(getUrl.host);
    var hostIP = getUrl.host;
    this.setState(state => ({
      host: hostIP
    }));
    const computerDetailsEndpoint = this.props.serviceURL + '/computerdetails';
    fetch(computerDetailsEndpoint).then(response => response.text()).then(response => {
      let responseDecoded = JSON.parse(_lib_aes__WEBPACK_IMPORTED_MODULE_12___default().Decrypt(response, this.props.JAKO, this.props.OJAK));
      this.setState(state => ({
        computerName: responseDecoded.computerName
      }));
    });
  }

  export() {
    const exportEndpoint = this.props.serviceURL + '/exportlocal';
    fetch(exportEndpoint).then(response => response.text()).then(response => {
      // console.log(response)
      let filename = this.createExportFilename();
      let responseDecoded = JSON.parse(_lib_aes__WEBPACK_IMPORTED_MODULE_12___default().Decrypt(response, this.props.JAKO, this.props.OJAK));
      var blob = new Blob([responseDecoded.ExportFile.Base64String], {
        type: "text/plain;charset=utf-8"
      });
      (0,file_saver__WEBPACK_IMPORTED_MODULE_11__.saveAs)(blob, filename);
      this.handleExportSuccessShow(); // log outcome

      (0,_lib_log__WEBPACK_IMPORTED_MODULE_14__/* .default */ .Z)(this.props.userObj.username, this.props.logModule, "exported the configuration file with the identification number MD5 " + responseDecoded.ExportFile.ExportFileMD5 + " from ", this.state.host);
    }).catch(error => {
      this.handleErrorShow();
      console.error('There has been a problem with your fetch operation:', error);
    });
  }

  createExportFilename() {
    const dateTime = new Date();
    let date = dateTime.toLocaleDateString().split('/');
    let time = dateTime.toLocaleTimeString().split(':');
    let filename = date[0] + date[1] + date[2] + time[0] + time[1] + time[2] + '_' + this.state.computerName + '_Lablock.cfg'; // console.log(filename)

    return filename;
  }

  handleClose() {
    this.setState({
      showErrorModal: false,
      showExportSuccessModal: false,
      showImportSuccessModal: false
    });
  }

  handleErrorShow() {
    this.handleClose();
    this.setState({
      showErrorModal: true
    });
  }

  handleExportSuccessShow() {
    this.handleClose();
    this.setState({
      showExportSuccessModal: true
    });
  }

  handleImportSuccessShow() {
    this.handleClose();
    this.setState({
      showImportSuccessModal: true
    });
  }

  handleFileSelected(e) {
    const files = Array.from(e.target.files);
    const reader = new FileReader();

    reader.onload = async e => {
      let content = e.target.result; // console.log(content)

      this.setState({
        Base64Content: content
      });
    };

    reader.readAsText(e.target.files[0]);
  }

  handleImport(data) {
    if (this.state.Base64Content) {
      data.Base64Content = this.state.Base64Content;
      data.FileName = "lablockExport.cfg";
      let payload = {
        "ImportFile": data
      };
      const importEndpoint = this.props.serviceURL + '/importlocal';
      console.log(importEndpoint);
      payload = _lib_aes__WEBPACK_IMPORTED_MODULE_12___default().Encrypt(JSON.stringify(payload), this.props.JAKO, this.props.OJAK);
      fetch(importEndpoint, {
        method: 'POST',
        body: payload
      }).then(response => {
        if (response.status == '500') {
          throw new Error("Error while importing file");
        } else {
          return response.text();
        }
      }).then(response => {
        let responseDecoded = JSON.parse(_lib_aes__WEBPACK_IMPORTED_MODULE_12___default().Decrypt(response, this.props.JAKO, this.props.OJAK));
        console.log(responseDecoded);
        this.handleImportSuccessShow(); // log outcome

        (0,_lib_log__WEBPACK_IMPORTED_MODULE_14__/* .default */ .Z)(this.props.userObj.username, this.props.logModule, "imported the configuration file with the identification number MD5 " + responseDecoded.ImportFileMD5 + " from ", this.state.host);
      }).catch(error => {
        this.handleErrorShow();
        console.error('There has been a problem with your fetch operation:', error);
      });
    }
  }

  render() {
    return __jsx((react__WEBPACK_IMPORTED_MODULE_0___default().Fragment), null, __jsx((react_bootstrap_Jumbotron__WEBPACK_IMPORTED_MODULE_3___default()), null, __jsx((react_bootstrap_Container__WEBPACK_IMPORTED_MODULE_2___default()), null, __jsx("h4", null, "Export", __jsx((react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_8___default()), {
      placement: "right",
      overlay: __jsx((react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_9___default()), {
        id: "export-tooltip"
      }, "Export option will export the current restrictions and settings configurations to a file")
    }, __jsx("svg", {
      width: "0.8em",
      height: "1.8em",
      viewBox: "0 10 16 16",
      className: "bi bi-info-circle-fill",
      fill: "grey",
      xmlns: "http://www.w3.org/2000/svg"
    }, __jsx("path", {
      fillRule: "evenodd",
      d: "M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm.93-9.412l-2.29.287-.082.38.45.083c.294.07.352.176.288.469l-.738 3.468c-.194.897.105 1.319.808 1.319.545 0 1.178-.252 1.465-.598l.088-.416c-.2.176-.492.246-.686.246-.275 0-.375-.193-.304-.533L8.93 6.588zM8 5.5a1 1 0 1 0 0-2 1 1 0 0 0 0 2z"
    })))), __jsx("p", null, "When exporting you will dump the existing LabLock restrictions and settings configuration into a file so you can share it with other computers"), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_5___default()),
      controlId: "export"
    }, __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_6___default()), {
      sm: {
        span: 0,
        offset: 0
      }
    }, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1___default()), {
      variant: "dark",
      size: "lg",
      onClick: this.export
    }, "Export"))))), __jsx((react_bootstrap_Jumbotron__WEBPACK_IMPORTED_MODULE_3___default()), null, __jsx((react_bootstrap_Container__WEBPACK_IMPORTED_MODULE_2___default()), null, __jsx("h4", null, "Import", __jsx((react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_8___default()), {
      placement: "right",
      overlay: __jsx((react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_9___default()), {
        id: "import-tooltip"
      }, "Import option will import existing configurations from a file")
    }, __jsx("svg", {
      width: "0.8em",
      height: "1.8em",
      viewBox: "0 10 16 16",
      className: "bi bi-info-circle-fill",
      fill: "grey",
      xmlns: "http://www.w3.org/2000/svg"
    }, __jsx("path", {
      fillRule: "evenodd",
      d: "M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm.93-9.412l-2.29.287-.082.38.45.083c.294.07.352.176.288.469l-.738 3.468c-.194.897.105 1.319.808 1.319.545 0 1.178-.252 1.465-.598l.088-.416c-.2.176-.492.246-.686.246-.275 0-.375-.193-.304-.533L8.93 6.588zM8 5.5a1 1 0 1 0 0-2 1 1 0 0 0 0 2z"
    })))), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_5___default()),
      controlId: "importFile"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Label), {
      column: true,
      sm: "3"
    }, "Import configuration from file"), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_6___default()), {
      sm: "5"
    }, __jsx("div", {
      className: "custom-file"
    }, __jsx("input", {
      name: "importFile",
      id: "importFile",
      type: "file",
      "data-browse": "Choose file",
      className: "custom-file-input",
      onChange: this.handleFileSelected
    }), __jsx("label", {
      className: "custom-file-label",
      htmlFor: "inputGroupFile01"
    }, "Choose file")))), __jsx("br", null), __jsx(formik__WEBPACK_IMPORTED_MODULE_10__.Formik, {
      onSubmit: values => {
        console.log(values);
        this.handleImport(values);
      },
      initialValues: this.state.initialValues
    }, ({
      handleSubmit,
      handleChange,
      handleBlur,
      values,
      touched,
      isValid,
      errors
    }) => __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default()), {
      onSubmit: handleSubmit
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_5___default())
    }, __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_6___default()), {
      sm: {
        span: 0,
        offset: 0
      }
    }, __jsx("h6", null, "Restrictions")), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_6___default()), {
      sm: {
        span: 0,
        offset: 0
      }
    }, __jsx("h6", null, "Settings"))), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_5___default())
    }, __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_6___default()), {
      sm: {
        span: 0,
        offset: 1
      }
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Check), {
      type: "switch",
      id: "ksettings",
      onChange: handleChange,
      label: "Core",
      defaultChecked: "true"
    })), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_6___default()), {
      sm: {
        span: 0,
        offset: 1
      }
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Check), {
      type: "switch",
      id: "lablockData",
      value: values.lablockData,
      onChange: handleChange,
      label: "Roles",
      defaultChecked: "true"
    }))), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_5___default())
    }, __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_6___default()), {
      sm: {
        span: 0,
        offset: 1
      }
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Check), {
      type: "switch",
      id: "ksyskeys",
      value: values.ksyskeys,
      onChange: handleChange,
      label: "System keys",
      defaultChecked: "true"
    })), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_6___default()), {
      sm: {
        span: 0,
        offset: 1
      }
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Check), {
      type: "switch",
      id: "LDAPSettings",
      onChange: handleChange,
      label: "AD settings",
      defaultChecked: "true"
    }))), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_5___default())
    }, __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_6___default()), {
      sm: {
        span: 0,
        offset: 1
      }
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Check), {
      type: "switch",
      id: "kappblocker",
      onChange: handleChange,
      label: "Apps",
      defaultChecked: "true"
    })), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_6___default()), {
      sm: {
        span: 0,
        offset: 1
      }
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Check), {
      type: "switch",
      id: "LabLockSettings",
      onChange: handleChange,
      label: "General",
      defaultChecked: "true"
    }))), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_5___default())
    }, __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_6___default()), {
      sm: {
        span: 0,
        offset: 1
      }
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Check), {
      type: "switch",
      id: "kstartup",
      onChange: handleChange,
      label: "Startup",
      defaultChecked: "true"
    }))), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_5___default())
    }, __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_6___default()), {
      sm: {
        span: 0,
        offset: 1
      }
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Check), {
      type: "switch",
      id: "kfirewall",
      onChange: handleChange,
      label: "Firewall",
      defaultChecked: "true"
    })), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_6___default()), {
      sm: {
        span: 0,
        offset: 0
      }
    }, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1___default()), {
      variant: "dark",
      size: "lg",
      type: "submit"
    }, "Import now"))))), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_7___default()), {
      show: this.state.showExportSuccessModal,
      onHide: this.handleClose,
      "aria-labelledby": "contained-modal-title-vcenter",
      centered: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_7___default().Header), {
      closeButton: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_7___default().Title), null, "Export")), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_7___default().Body), null, "Restrictions and settings configuration exported successfully"), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_7___default().Footer), null, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1___default()), {
      id: "btn-close-export",
      variant: "secondary",
      onClick: this.handleClose
    }, "Close"))), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_7___default()), {
      show: this.state.showImportSuccessModal,
      onHide: this.handleClose,
      "aria-labelledby": "contained-modal-title-vcenter",
      centered: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_7___default().Header), {
      closeButton: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_7___default().Title), null, "Import")), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_7___default().Body), null, "Restrictions and settings configuration imported successfully"), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_7___default().Footer), null, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1___default()), {
      id: "btn-close-import",
      variant: "secondary",
      onClick: this.handleClose
    }, "Close"))), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_7___default()), {
      show: this.state.showErrorModal,
      onHide: this.handleClose,
      "aria-labelledby": "contained-modal-title-vcenter",
      centered: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_7___default().Header), null, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_7___default().Title), null, "Ops, something didn't work as expected")), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_7___default().Body), null, "There has been an error when processing your request, please try again or contact support"), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_7___default().Footer), null, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1___default()), {
      variant: "secondary",
      onClick: this.handleClose
    }, "Close"))))));
  }

}

/* harmony default export */ __webpack_exports__["default"] = (ImportExportContainer);

/***/ })

};
;