exports.id = 3748;
exports.ids = [3748];
exports.modules = {

/***/ 2217:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": function() { return /* binding */ log; }
/* harmony export */ });
function log(username, module, description, host, details) {
  let payload = {
    date: new Date().getTime(),
    user: username,
    module: module,
    description: description,
    computer: host
  };
  if (details) payload.details = details;
  fetch('/api/activity', {
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json'
    },
    body: JSON.stringify(payload)
  });
}

/***/ }),

/***/ 3748:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "default": function() { return /* binding */ layouts_ActivityContainer; }
});

// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(9297);
var external_react_default = /*#__PURE__*/__webpack_require__.n(external_react_);
// EXTERNAL MODULE: external "react-bootstrap/Button"
var Button_ = __webpack_require__(5777);
var Button_default = /*#__PURE__*/__webpack_require__.n(Button_);
// EXTERNAL MODULE: external "react-bootstrap/Container"
var Container_ = __webpack_require__(8622);
var Container_default = /*#__PURE__*/__webpack_require__.n(Container_);
// EXTERNAL MODULE: external "react-bootstrap/Jumbotron"
var Jumbotron_ = __webpack_require__(4019);
var Jumbotron_default = /*#__PURE__*/__webpack_require__.n(Jumbotron_);
// EXTERNAL MODULE: external "react-bootstrap/Form"
var Form_ = __webpack_require__(7140);
var Form_default = /*#__PURE__*/__webpack_require__.n(Form_);
// EXTERNAL MODULE: external "react-bootstrap/Row"
var Row_ = __webpack_require__(3406);
var Row_default = /*#__PURE__*/__webpack_require__.n(Row_);
// EXTERNAL MODULE: external "react-bootstrap/Col"
var Col_ = __webpack_require__(7707);
var Col_default = /*#__PURE__*/__webpack_require__.n(Col_);
// EXTERNAL MODULE: external "react-bootstrap/ListGroup"
var ListGroup_ = __webpack_require__(424);
var ListGroup_default = /*#__PURE__*/__webpack_require__.n(ListGroup_);
// EXTERNAL MODULE: external "react-bootstrap/Modal"
var Modal_ = __webpack_require__(4336);
var Modal_default = /*#__PURE__*/__webpack_require__.n(Modal_);
// EXTERNAL MODULE: external "react-datetime"
var external_react_datetime_ = __webpack_require__(909);
var external_react_datetime_default = /*#__PURE__*/__webpack_require__.n(external_react_datetime_);
// EXTERNAL MODULE: external "formik"
var external_formik_ = __webpack_require__(7717);
// EXTERNAL MODULE: external "yup"
var external_yup_ = __webpack_require__(9440);
// EXTERNAL MODULE: external "jspdf"
var external_jspdf_ = __webpack_require__(2178);
// EXTERNAL MODULE: external "export-to-csv"
var external_export_to_csv_ = __webpack_require__(8728);
;// CONCATENATED MODULE: ./lib/date.js
function toTimestamp(datetime, locale) {
  console.log(datetime);
  var datum;

  if (locale == 'en-US') {
    datum = Date.parse(datetime);
  } else {
    let datetimeParts = datetime.split(' ');
    let dateParts = datetimeParts[0].split('/');
    let formattedDate = ('0' + dateParts[1]).slice(-2) + '/' + ('0' + dateParts[0]).slice(-2) + '/' + dateParts[2] + ' ' + datetimeParts[1];
    console.log(formattedDate);
    datum = Date.parse(formattedDate);
  }

  console.log(datum);
  return datum / 1000;
}
// EXTERNAL MODULE: ./lib/log.js
var log = __webpack_require__(2217);
// EXTERNAL MODULE: external "next/dynamic"
var dynamic_ = __webpack_require__(9639);
var dynamic_default = /*#__PURE__*/__webpack_require__.n(dynamic_);
;// CONCATENATED MODULE: ./pages/layouts/ActivityContainer.js

var __jsx = (external_react_default()).createElement;










 // import { CSVLink } from 'react-csv';




 // import 'moment/locale/en-ie';

 // import ActivityDetailsModal from './ActivityDetailsModal'

const ActivityDetailsModal = dynamic_default()(() => __webpack_require__.e(/* import() */ 6770).then(__webpack_require__.bind(__webpack_require__, 6770)), {
  loadableGenerated: {
    webpack: () => [/*require.resolve*/(6770)],
    modules: ["layouts\\ActivityContainer.js -> " + './ActivityDetailsModal']
  }
});

class ActivityContainer extends (external_react_default()).Component {
  constructor(props) {
    super(props);
    let toDate = new Date().toLocaleDateString(props.locale) + " " + new Date().toLocaleTimeString(props.locale);
    let fromDate = new Date();
    fromDate.setHours(fromDate.getHours() - 24);
    fromDate = fromDate.toLocaleDateString(props.locale) + " " + fromDate.toLocaleTimeString(props.locale);
    let schema = external_yup_.object({
      // dateFrom: yup.date().required(),
      // dateTo: yup.date().required(),
      username: external_yup_.string(),
      computer: external_yup_.string()
    });
    this.state = {
      showErrorModal: false,
      loglines: [],
      loglinesDisplayed: [],
      inputPropsDateTo: {
        placeholder: "Date To"
      },
      inputPropsDateFrom: {
        placeholder: "Date From"
      },
      initialFromDate: fromDate,
      initialToDate: toDate,
      showResults: 50,
      format: 'csv',
      size: 'full',
      schema: schema,
      searchForm: {
        dateTo: toDate,
        dateFrom: fromDate,
        username: '',
        computer: ''
      }
    }; // bind the action handlers

    this.handleSearch = this.handleSearch.bind(this);
    this.changeShowResults = this.changeShowResults.bind(this);
    this.generateReport = this.generateReport.bind(this);
    this.handleExportShow = this.handleExportShow.bind(this);
    this.handleExportClose = this.handleExportClose.bind(this);
    this.handleExportSize = this.handleExportSize.bind(this);
    this.handleExportFormat = this.handleExportFormat.bind(this);
    this.handleFromDateChange = this.handleFromDateChange.bind(this);
    this.handleToDateChange = this.handleToDateChange.bind(this);
    this.loadLog();
  }

  componentDidMount() {
    var getUrl = window.location;
    console.log(getUrl.host);
    var hostIP = getUrl.host;
    this.setState(state => ({
      host: hostIP
    }));
  }

  loadLog() {
    fetch('/api/activity').then(res => res.json()).then(data => {
      this.setState(state => ({
        loglines: data.activity
      }));
      console.log(this.props.locale);
      let counter = 1;
      let loglinesDisplayed = [];
      data.activity.map(line => {
        line['date'] = new Date(line['date']).toLocaleDateString(this.props.locale) + " " + new Date(line['date']).toLocaleTimeString(this.props.locale);
        loglinesDisplayed.push(line);
        if (counter == this.state.showResults) return;
        counter++;
      });
      this.setState(state => ({
        loglinesDisplayed: loglinesDisplayed
      })); // console.log(data.activity)
    }).catch(err => console.log(err));
  }

  handleFromDateChange(e) {
    console.log(e);

    if (typeof e == "object") {
      this.setState(state => ({
        fromDate: new Date(e.unix() * 1000).toLocaleDateString(this.props.locale) + " " + new Date(e.unix() * 1000).toLocaleTimeString(this.props.locale)
      }));
    }
  }

  handleToDateChange(e) {
    console.log(e);

    if (typeof e == "object") {
      this.setState(state => ({
        toDate: new Date(e.unix() * 1000).toLocaleDateString(this.props.locale) + " " + new Date(e.unix() * 1000).toLocaleTimeString(this.props.locale)
      }));
    }
  }

  handleSearch(data) {
    // transform checkboxes value to integer
    let modules = [];
    data.login ? modules.push("login") : '';
    data.dashboard ? modules.push("dashboard") : '';
    data.restrictions ? modules.push("restrictions") : '';
    data.settings ? modules.push("settings") : '';
    data.import_export ? modules.push("import_export") : ''; // console.log(modules)
    // transform dates depending if they are  the initial ones or selected ones

    let dateFrom;

    if (!this.state.fromDate) {
      // console.log(this.state.initialFromDate)
      // let datetimeParts = this.state.initialFromDate.split(' ')
      // let dateParts = datetimeParts[0].split('/')
      // let formattedFromDate = ('0'+dateParts[0]).slice(-2)+'/'+('0'+dateParts[1]).slice(-2)+'/'+dateParts[2]+' '+datetimeParts[1]
      // console.log(formattedFromDate)
      let formattedFromDate = this.state.initialFromDate;
      dateFrom = toTimestamp(formattedFromDate, this.props.locale);
    } else {
      console.log(this.state.fromDate);
      dateFrom = toTimestamp(this.state.fromDate, this.props.locale);
    }

    let dateTo;

    if (!this.state.toDate) {
      // console.log(this.state.initialToDate)
      // let datetimeParts = this.state.initialToDate.split(' ')
      // let dateParts = datetimeParts[0].split('/')
      // let formattedToDate = ('0'+dateParts[0]).slice(-2)+'/'+('0'+dateParts[1]).slice(-2)+'/'+dateParts[2]+' '+datetimeParts[1]
      let formattedToDate = this.state.initialToDate;
      dateTo = toTimestamp(formattedToDate, this.props.locale);
    } else {
      dateTo = toTimestamp(this.state.toDate, this.props.locale);
    }

    console.log(dateFrom);
    console.log(dateTo);
    let counter = 0;
    let loglinesDisplayed = [];
    this.state.loglines.map(line => {
      // console.log(line.date)
      let dateLine = toTimestamp(line.date, this.props.locale); // console.log(dateLine)

      if (dateLine >= dateFrom && dateLine <= dateTo) {
        if (data.computer != '' && data.username != '') {
          // console.log("user.computer")
          if (data.computer == line.computer && data.username == line.user) {
            if (modules.length == 0 || modules.includes(line.module)) {
              loglinesDisplayed.push(line);
              counter++;
            }
          }
        } else if (data.computer != '') {
          // console.log("data.computer")
          if (data.computer == line.computer) {
            if (modules.length == 0 || modules.includes(line.module)) {
              loglinesDisplayed.push(line);
              counter++;
            }
          }
        } else if (data.username != '') {
          // console.log(line.user)
          if (data.username == line.user) {
            if (modules.length == 0 || modules.includes(line.module)) {
              loglinesDisplayed.push(line);
              counter++;
            }
          }
        } else {
          // console.log(modules.length)
          if (modules.length == 0 || modules.includes(line.module)) {
            loglinesDisplayed.push(line);
            counter++;
          }
        }
      }

      if (counter == this.state.showResults) return;
    });
    console.log(loglinesDisplayed);
    this.setState(state => ({
      loglinesDisplayed: loglinesDisplayed
    }));
  }

  handleExportClose() {
    this.setState({
      showExportModal: false
    });
  }

  handleExportShow() {
    this.setState({
      showExportModal: true
    });
  }

  handleErrorClose() {
    this.setState({
      showErrorModal: false
    });
  }

  handleErrorShow() {
    this.setState({
      showErrorModal: true
    });
  }

  changeShowResults(e) {
    let value = e.target.value;
    this.setState(state => ({
      showResults: value
    }));
  }

  handleExportFormat(e) {
    let value = e.target.value;
    this.setState(state => ({
      format: value
    }));
  }

  handleExportSize(e) {
    let value = e.target.value;
    this.setState(state => ({
      size: value
    }));
  }

  generateReport() {
    let exportLines = [];

    switch (this.state.format) {
      case 'csv':
        const options = {
          fieldSeparator: ',',
          filename: 'lablockExport',
          quoteStrings: '"',
          decimalSeparator: '.',
          showLabels: true,
          showTitle: true,
          title: 'LablockExport',
          useTextFile: false,
          useBom: true // useKeysAsHeaders: true,

        };

        switch (this.state.size) {
          case 'full':
            exportLines = this.state.loglines;
            break;

          case 'partial':
            exportLines = this.state.loglinesDisplayed;
            break;
        }

        let csvExporter = new external_export_to_csv_.ExportToCsv(options);
        csvExporter.generateCsv(exportLines);
        break;

      case 'pdf':
        console.log(this.state.format);
        let doc = new external_jspdf_.jsPDF('p', 'pt');
        doc.text("Lablock Export", 20, 20);

        switch (this.state.size) {
          case 'full':
            this.state.loglines.map(line => {
              exportLines.push(line.date + ' ' + line.user + ' ' + line.description + ' ' + line.computer);
            });
            break;

          case 'partial':
            this.state.loglinesDisplayed.map(line => {
              exportLines.push(line.date + ' ' + line.user + ' ' + line.description + ' ' + line.computer);
            });
            break;
        }

        doc.setFontSize(10);
        doc.text(exportLines, 15, 40);
        doc.save("lablockExport.pdf");
        break;

      default:
        break;
    }

    (0,log/* default */.Z)(this.props.user.username, this.props.logModule, "export activity log file in " + this.state.format + " format from ", this.state.host);
    this.handleExportClose();
  }

  render() {
    return __jsx((external_react_default()).Fragment, null, __jsx((Jumbotron_default()), null, __jsx((Container_default()), null, __jsx(external_formik_.Formik, {
      validationSchema: this.state.schema,
      onSubmit: values => {
        console.log(values);
        this.handleSearch(values);
      },
      initialValues: this.state.searchForm
    }, ({
      handleSubmit,
      handleChange,
      handleBlur,
      values,
      touched,
      isValid,
      errors
    }) => __jsx((Form_default()), {
      onSubmit: handleSubmit
    }, __jsx((Form_default()).Row, null, __jsx((Col_default()), {
      sm: 3
    }, __jsx((Form_default()).Control, {
      id: "username",
      name: "username",
      value: values.username,
      onChange: handleChange,
      placeholder: "username"
    })), __jsx((Col_default()), {
      sm: 3
    }, __jsx((Form_default()).Control, {
      id: "computer",
      name: "computer",
      value: values.computer,
      onChange: handleChange,
      placeholder: "Computer name / IP"
    })), __jsx((Col_default()), {
      sm: 3
    }, __jsx((external_react_datetime_default()), {
      id: "dateFrom",
      name: "dateFrom",
      onChange: this.handleFromDateChange,
      inputProps: this.state.inputPropsDateFrom,
      initialValue: this.state.initialFromDate,
      closeOnSelect: "true",
      locale: this.props.locale
    })), __jsx((Col_default()), {
      sm: 3
    }, __jsx((external_react_datetime_default()), {
      id: "dateTo",
      name: "dateTo",
      onChange: this.handleToDateChange,
      inputProps: this.state.inputPropsDateTo,
      initialValue: this.state.initialToDate,
      closeOnSelect: "true",
      locale: this.props.locale
    }))), __jsx("br", null), __jsx((Form_default()).Row, null, __jsx((Form_default()).Check, {
      inline: true,
      id: "login",
      value: values.login,
      onChange: handleChange,
      type: "checkbox",
      label: "Login   "
    }), __jsx((Form_default()).Check, {
      inline: true,
      id: "dashboard",
      value: values.dashboard,
      onChange: handleChange,
      type: "checkbox",
      label: "Dashboard   "
    }), __jsx((Form_default()).Check, {
      inline: true,
      id: "restrictions",
      value: values.restrictions,
      onChange: handleChange,
      type: "checkbox",
      label: "Restrictions   "
    }), __jsx((Form_default()).Check, {
      inline: true,
      id: "settings",
      value: values.settings,
      onChange: handleChange,
      type: "checkbox",
      label: "Settings"
    }), __jsx((Form_default()).Check, {
      inline: true,
      id: "import_export",
      value: values.import_export,
      onChange: handleChange,
      type: "checkbox",
      label: "Import / Export"
    }), __jsx((Col_default()), {
      md: {
        span: 1,
        offset: 6
      }
    }, __jsx((Button_default()), {
      id: "btn-search",
      type: "submit",
      variant: "dark"
    }, "Search"))))), __jsx("br", null), __jsx((ListGroup_default()), null, __jsx((ListGroup_default()).Item, {
      variant: "info"
    }, __jsx((Form_default()).Row, null, __jsx((Col_default()), {
      md: {
        span: 2,
        offset: 0
      }
    }, "Recent Activity"), __jsx((Col_default()), {
      md: {
        span: 1,
        offset: 9
      }
    }, __jsx((Button_default()), {
      id: "btn-generate-export",
      variant: "link",
      onClick: this.handleExportShow
    }, "Export")))), this.state.loglinesDisplayed.map((line, index) => index < this.state.showResults && line.details ? __jsx((ListGroup_default()).Item, {
      key: index
    }, line.date, " ", line.user, " ", line.description, " ", line.computer, " ", " ", __jsx(ActivityDetailsModal, {
      details: line.details
    })) : __jsx((ListGroup_default()).Item, {
      key: index
    }, line.date, " ", line.user, " ", line.description, " ", line.computer))), __jsx((Form_default()).Row, null, __jsx((Button_default()), {
      id: "btn-show50",
      value: "50",
      variant: "link",
      size: "sm",
      onClick: this.changeShowResults
    }, "50"), "|", __jsx((Button_default()), {
      id: "btn-show200",
      value: "200",
      variant: "link",
      size: "sm",
      onClick: this.changeShowResults
    }, "200"), "|", __jsx((Button_default()), {
      id: "btn-show1000",
      value: "1000",
      variant: "link",
      size: "sm",
      onClick: this.changeShowResults
    }, "1000"), __jsx((Col_default()), {
      md: {
        span: 0,
        offset: 9
      }
    }, __jsx((Form_default()).Label, null, "Total records: ", this.state.loglinesDisplayed.length))), __jsx((Modal_default()), {
      show: this.state.showExportModal,
      onHide: this.handleExportClose,
      "aria-labelledby": "contained-modal-title-vcenter",
      centered: true
    }, __jsx((Modal_default()).Header, {
      closeButton: true
    }, __jsx((Modal_default()).Title, null, "Export generation")), __jsx((Modal_default()).Body, null, __jsx((Form_default()).Group, {
      as: (Row_default()),
      controlId: "format"
    }, __jsx((Form_default()).Label, {
      column: true,
      sm: "3"
    }, "Format"), __jsx((Col_default()), {
      sm: "6"
    }, __jsx((Form_default()).Control, {
      as: "select",
      defaultValue: this.state.format,
      onChange: this.handleExportFormat,
      custom: true
    }, __jsx("option", {
      value: "csv"
    }, "CSV")))), __jsx((Form_default()).Group, {
      as: (Row_default()),
      controlId: "size"
    }, __jsx((Form_default()).Label, {
      column: true,
      sm: "3"
    }, "Export size"), __jsx((Col_default()), {
      sm: "6"
    }, __jsx((Form_default()).Control, {
      as: "select",
      defaultValue: this.state.size,
      onChange: this.handleExportSize,
      custom: true
    }, __jsx("option", {
      value: "full"
    }, "Full log"), __jsx("option", {
      value: "partial"
    }, "Filtered log")))), __jsx((Col_default()), {
      md: {
        span: 0,
        offset: 4
      }
    }, __jsx((Button_default()), {
      variant: "success",
      onClick: this.generateReport
    }, "Generate"), ' ', __jsx((Button_default()), {
      variant: "secondary",
      onClick: this.handleExportClose
    }, "Close")))), __jsx((Modal_default()), {
      show: this.state.showErrorModal,
      onHide: this.handleErrorClose,
      "aria-labelledby": "contained-modal-title-vcenter",
      centered: true
    }, __jsx((Modal_default()).Header, null, __jsx((Modal_default()).Title, null, "Ops, something didn't work as expected")), __jsx((Modal_default()).Body, null, "There has been an error when processing your request, please try again or contact support"), __jsx((Modal_default()).Footer, null, __jsx((Button_default()), {
      variant: "secondary",
      onClick: this.handleErrorClose
    }, "Close"))))));
  }

}

/* harmony default export */ var layouts_ActivityContainer = (ActivityContainer);

/***/ })

};
;