exports.id = 4368;
exports.ids = [4368];
exports.modules = {

/***/ 4368:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9297);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react_bootstrap__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(9226);
/* harmony import */ var react_bootstrap__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _lib_aes__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(3730);
/* harmony import */ var _lib_aes__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_lib_aes__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _lib_log__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(2217);
/* harmony import */ var _material_ui_icons_Sms__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(6175);
/* harmony import */ var _material_ui_icons_Sms__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_material_ui_icons_Sms__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(7140);
/* harmony import */ var react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var react_bootstrap_FormControl__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(10);
/* harmony import */ var react_bootstrap_FormControl__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_FormControl__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var _material_ui_icons_PhotoCamera__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(1690);
/* harmony import */ var _material_ui_icons_PhotoCamera__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(_material_ui_icons_PhotoCamera__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var _material_ui_core_IconButton__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(1493);
/* harmony import */ var _material_ui_icons__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(7985);
/* harmony import */ var _material_ui_icons__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(_material_ui_icons__WEBPACK_IMPORTED_MODULE_7__);

var __jsx = (react__WEBPACK_IMPORTED_MODULE_0___default().createElement);










class UserDetails extends (react__WEBPACK_IMPORTED_MODULE_0___default().Component) {
  constructor(props) {
    super(props); // set state variables

    if (this.props.sessionList != null) {
      this.state = {
        sessionList: this.props.sessionList,
        screenshotURL: '',
        user: '',
        screenshot: this.props.screenshot,
        showModal: false,
        showErrorModal: false
      };
    } else {
      this.state = {
        sessionList: []
      };
    }

    console.log(this.props.sessionList);
    this.handleClose = this.handleClose.bind(this);
    this.handleShow = this.handleShow.bind(this);
    this.handleErrorClose = this.handleErrorClose.bind(this);
    this.handleErrorShow = this.handleErrorShow.bind(this);
    this.handleModalMessageShow = this.handleModalMessageShow.bind(this);
    this.handleSendMessage = this.handleSendMessage.bind(this);
    this.handleChange = this.handleChange.bind(this);
  }

  componentDidMount() {
    // this.interval = setInterval(() => this.checkLogonUsers(), 10000);
    var getUrl = window.location;
    console.log(getUrl.host);
    var hostIP = getUrl.host;
    this.setState(state => ({
      host: hostIP
    }));
  } // componentWillUnmount() {
  //   clearInterval(this.interval);
  // }  


  checkLogonUsers() {
    const logonUsersEndpoint = this.props.serviceURL + '/logonuserdetails';
    console.log(logonUsersEndpoint);
    fetch(logonUsersEndpoint).then(response => response.text()).then(response => {
      let responseDecoded = JSON.parse(_lib_aes__WEBPACK_IMPORTED_MODULE_2___default().Decrypt(response, this.props.JAKO, this.props.OJAK));
      console.log(responseDecoded.sessions);
      this.setState({
        sessionList: responseDecoded.sessions
      });
    }).catch(error => {
      console.error('There has been a problem with your fetch operation:', error);
    });
  }

  handleClose() {
    this.setState({
      showModal: false,
      showMessageModal: false,
      showSuccessMessageModal: false
    });
  }

  handleShow(e) {
    const screenshotEndpoint = this.props.serviceURL + '/takescreenshot';
    let user = e.target.id;

    if (!user) {
      user = e.target.parentNode.id;
    }

    let payload = {
      'user': user
    };
    this.setState({
      isLoading: true,
      user: user
    }); // console.log(payload)
    // console.log(JSON.stringify(payload))

    payload = _lib_aes__WEBPACK_IMPORTED_MODULE_2___default().Encrypt(JSON.stringify(payload), this.props.JAKO, this.props.OJAK);
    fetch(screenshotEndpoint, {
      method: 'POST',
      body: payload
    }).then(response => response.text()).then(response => {
      console.log(response);
      let responseDecoded = JSON.parse(_lib_aes__WEBPACK_IMPORTED_MODULE_2___default().Decrypt(response, this.props.JAKO, this.props.OJAK));
      console.log(responseDecoded);
      this.setState({
        screenshotURL: "data:image/png;base64," + responseDecoded.base64String,
        isLoading: false
      }); // log outcome

      (0,_lib_log__WEBPACK_IMPORTED_MODULE_8__/* .default */ .Z)(this.props.user.username, this.props.logModule, " took a screenshot from ", this.state.host);
    }).catch(error => {
      this.handleClose();
      this.handleErrorShow();
      console.log('There has been a problem with your fetch operation: ' + error);
    });
    this.setState({
      showModal: true,
      user: user
    });
  }

  handleModalMessageShow(e) {
    let user = e.target.id;

    if (!user) {
      user = e.target.parentNode.id;
    }

    this.setState({
      showMessageModal: true,
      user: user
    });
  }

  handleSendMessage() {
    if (this.state.message.length > 0) {
      const userNotificationEndpoint = this.props.serviceURL + '/usernotification';
      let payload = {
        'User': this.state.user,
        'Message': this.state.message
      };
      payload = _lib_aes__WEBPACK_IMPORTED_MODULE_2___default().Encrypt(JSON.stringify(payload), this.props.JAKO, this.props.OJAK);
      fetch(userNotificationEndpoint, {
        method: 'POST',
        body: payload
      }).then(response => {
        if (response.status == '500') {
          throw new Error("Error while importing file");
        } else {
          // log outcome
          (0,_lib_log__WEBPACK_IMPORTED_MODULE_8__/* .default */ .Z)(this.props.user.username, this.props.logModule, " sent message to " + this.state.user, this.state.host);
        }
      }).catch(error => {
        this.handleClose();
        this.handleErrorShow();
        console.error('There has been a problem with your fetch operation:', error);
      });
      this.setState({
        showSuccessMessageModal: true,
        showMessageModal: false
      });
    }
  }

  handleChange(e) {
    let value = e.target.value.substr(0, 97);
    this.setState(state => ({
      message: value
    }));
    console.log(value);
  }

  handleErrorClose() {
    this.setState({
      showErrorModal: false
    });
  }

  handleErrorShow() {
    this.setState({
      showErrorModal: true
    });
  }

  render() {
    let divScreenshot;

    if (this.state.isLoading) {
      divScreenshot = __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Spinner, {
        animation: "border",
        variant: "secondary"
      });
    } else {
      divScreenshot = __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Image, {
        src: this.state.screenshotURL,
        fluid: true
      });
    }

    return __jsx("div", null, __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Table, {
      striped: true,
      hover: true,
      size: "sm"
    }, __jsx("thead", null, __jsx("tr", null, __jsx("th", null, "User"), __jsx("th", null, "Session type"), __jsx("th", null, "Login date"), __jsx("th", null), __jsx("th", null))), __jsx("tbody", null, this.state.sessionList.map((session, index) => __jsx("tr", {
      key: index
    }, __jsx("td", {
      className: "align-middle"
    }, session.user), __jsx("td", {
      className: "align-middle"
    }, session.LogonType), __jsx("td", {
      className: "align-middle"
    }, new Date(session.sessionStarted).toLocaleDateString(this.props.locale), " ", new Date(session.sessionStarted).toLocaleTimeString(this.props.locale)), __jsx("td", null, session.LogonType != "Interactive" ? __jsx(_material_ui_core_IconButton__WEBPACK_IMPORTED_MODULE_9__/* .default */ .Z, {
      id: session.user,
      onClick: this.handleModalMessageShow
    }, __jsx((_material_ui_icons_Sms__WEBPACK_IMPORTED_MODULE_3___default()), {
      id: session.user
    })) : ''), __jsx("td", null, session.LogonType != "Interactive" ? __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.OverlayTrigger, {
      placement: "bottom",
      overlay: __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Tooltip, {
        id: "button-tooltip-2"
      }, "Take screenshot")
    }, __jsx(_material_ui_core_IconButton__WEBPACK_IMPORTED_MODULE_9__/* .default */ .Z, {
      id: session.user,
      variant: "outline",
      onClick: this.handleShow
    }, __jsx((_material_ui_icons_PhotoCamera__WEBPACK_IMPORTED_MODULE_6___default()), {
      id: session.user
    }))) : ''))))), __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Modal, {
      show: this.state.showModal,
      onHide: this.handleClose,
      "aria-labelledby": "contained-modal-title-vcenter",
      centered: true
    }, __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Modal.Header, null, __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Modal.Title, null, this.state.user)), __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Modal.Body, null, "Screenshot", __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Container, null, __jsx("div", {
      style: {
        marginBottom: '1%'
      }
    }, divScreenshot))), __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Modal.Footer, null, __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Navbar, null, __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Navbar.Brand, {
      href: this.state.screenshotURL,
      download: true
    }, __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Button, {
      id: "btn-download-screenshot",
      variant: "primary"
    }, "Download"))), __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Button, {
      id: "btn-close-screenshot",
      variant: "secondary",
      onClick: this.handleClose
    }, "Close"))), __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Modal, {
      show: this.state.showErrorModal,
      onHide: this.handleErrorClose,
      "aria-labelledby": "contained-modal-title-vcenter",
      centered: true
    }, __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Modal.Header, null, __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Modal.Title, null, "Ops, something didn't work as expected")), __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Modal.Body, null, "There has been an error when processing your request, please try again or contact support"), __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Modal.Footer, null, __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Button, {
      variant: "secondary",
      onClick: this.handleErrorClose
    }, "Close"))), __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Modal, {
      show: this.state.showMessageModal,
      onHide: this.handleClose,
      "aria-labelledby": "contained-modal-title-vcenter",
      centered: true
    }, __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Modal.Header, null, __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Modal.Title, null, "Enter the message to be sent to ", this.state.user)), __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Modal.Body, null, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Control), {
      name: "message",
      placeholder: "Enter message",
      defaultValue: this.state.message,
      onChange: this.handleChange
    })), __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Modal.Footer, null, __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Button, {
      variant: "primary",
      onClick: this.handleSendMessage
    }, "Send"), __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Button, {
      variant: "secondary",
      onClick: this.handleClose
    }, "Close"))), __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Modal, {
      show: this.state.showSuccessMessageModal,
      onHide: this.handleClose,
      "aria-labelledby": "contained-modal-title-vcenter",
      centered: true
    }, __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Modal.Header, null, __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Modal.Title, null, "Message notification")), __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Modal.Body, null, "The message has been successfully sent to ", this.state.user), __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Modal.Footer, null, __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Button, {
      variant: "secondary",
      onClick: this.handleClose
    }, "Close"))));
  }

}

/* harmony default export */ __webpack_exports__["default"] = (UserDetails);

/***/ })

};
;