exports.id = 4908;
exports.ids = [4908];
exports.modules = {

/***/ 4908:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9297);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(7140);
/* harmony import */ var react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_bootstrap_Container__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(8622);
/* harmony import */ var react_bootstrap_Container__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Container__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var react_bootstrap_Jumbotron__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(4019);
/* harmony import */ var react_bootstrap_Jumbotron__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Jumbotron__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(8337);
/* harmony import */ var react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(9988);
/* harmony import */ var react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var react_bootstrap_InputGroup__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(6195);
/* harmony import */ var react_bootstrap_InputGroup__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_InputGroup__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var react_bootstrap_Card__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(2879);
/* harmony import */ var react_bootstrap_Card__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Card__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var react_bootstrap_Accordion__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(4743);
/* harmony import */ var react_bootstrap_Accordion__WEBPACK_IMPORTED_MODULE_8___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Accordion__WEBPACK_IMPORTED_MODULE_8__);
/* harmony import */ var react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(5777);
/* harmony import */ var react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_9___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_9__);
/* harmony import */ var next_dynamic__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(9639);
/* harmony import */ var next_dynamic__WEBPACK_IMPORTED_MODULE_10___default = /*#__PURE__*/__webpack_require__.n(next_dynamic__WEBPACK_IMPORTED_MODULE_10__);
/* harmony import */ var _LockPcRestriction__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(1910);

var __jsx = (react__WEBPACK_IMPORTED_MODULE_0___default().createElement);











const DriveSelection = next_dynamic__WEBPACK_IMPORTED_MODULE_10___default()(() => __webpack_require__.e(/* import() */ 7737).then(__webpack_require__.bind(__webpack_require__, 7737)), {
  loadableGenerated: {
    webpack: () => [/*require.resolve*/(7737)],
    modules: ["layouts\\Desktop.js -> " + './DriveSelectionRestriction']
  }
});
const FileExplorerPathRestriction = next_dynamic__WEBPACK_IMPORTED_MODULE_10___default()(() => __webpack_require__.e(/* import() */ 5674).then(__webpack_require__.bind(__webpack_require__, 5674)), {
  loadableGenerated: {
    webpack: () => [/*require.resolve*/(5674)],
    modules: ["layouts\\Desktop.js -> " + './FileExplorerPathRestriction']
  }
});

class Desktop extends (react__WEBPACK_IMPORTED_MODULE_0___default().Component) {
  constructor(props) {
    super(props); // initialize special fields

    let filePath = '';
    let lockPC = '';

    if (this.props.restrictions != null) {
      if (this.props.restrictions.settings) {
        this.props.restrictions.settings.map(setting => {
          console.log(setting.tag);
          console.log(setting.value);

          if (setting.tag == "SYS_AddFileExplorerPath") {
            filePath = setting.value;
          }

          if (setting.tag == "SYS_LockPC") {
            lockPC = setting.value / 60;
          }
        });
      }
    } else {
      this.props.components = [];
    }

    let sections = {
      sections: []
    };
    this.state = {
      componentsUI: sections,
      filePath: filePath,
      lockPC: lockPC
    };
    this.handleChange = this.handleChange.bind(this);
    console.log(this.state);
  }

  componentDidMount() {
    let componentsUI = {};
    componentsUI.sections = [];
    let section; // section.items = []

    let restrictionArea = '';
    let items = [];
    this.props.components.configs.map(component => {
      if (restrictionArea == '') restrictionArea = component.restrictionArea;

      if (restrictionArea != component.restrictionArea) {
        // console.log(items)
        section = {
          label: restrictionArea,
          "items": items
        };
        componentsUI.sections.push(section); // console.log(componentsUI)
        // reinitialize for next section

        restrictionArea = component.restrictionArea;
        items = [];
      }

      items.push(component);
    }); // add last group

    section = {
      label: restrictionArea,
      "items": items
    };
    componentsUI.sections.push(section);
    console.log(componentsUI);
    this.setState(state => ({
      componentsUI: componentsUI
    })); // console.log(componentsUI)
  }

  checkStatus(searchVal) {
    let checked = false;
    this.props.restrictions.settings.map(restriction => {
      if (restriction.tag == searchVal) checked = true;
    });
    return checked;
  }

  addLabel(searchVal) {
    let label;
    this.props.components.configs.map(component => {
      if (component.restrictionTag == searchVal) label = component.restrictionLabel;
      return label;
    });
    return label;
  }

  addTooltip(searchVal) {
    let description;
    this.props.components.configs.map(component => {
      //console.log(component);
      if (component.restrictionTag == searchVal) description = component.restrictionDesc;
      return description;
    }); //console.log(checked);

    return description;
  }

  handleChange(e) {
    this.props.handleRestrictionsChange(e);

    if (e.target.id == "SYS_AddFileExplorerPathCheck" && e.target.checked == true) {
      this.setState(state => ({
        showPathTextbox: true
      }));
    } else if (e.target.id == "SYS_AddFileExplorerPathCheck" && e.target.checked == false) {
      this.setState(state => ({
        showPathTextbox: false
      }));
    }
  }

  checkStatusToogleGroup(searchVal) {
    let defaultValues = [];
    this.props.restrictions.settings.map(restriction => {
      defaultValues.push(restriction.tag);
    }); //console.log(defaultValues);

    return defaultValues;
  }

  render() {
    return __jsx((react__WEBPACK_IMPORTED_MODULE_0___default().Fragment), null, __jsx((react_bootstrap_Jumbotron__WEBPACK_IMPORTED_MODULE_3___default()), null, __jsx((react_bootstrap_Container__WEBPACK_IMPORTED_MODULE_2___default()), null, __jsx((react_bootstrap_Accordion__WEBPACK_IMPORTED_MODULE_8___default()), {
      defaultActiveKey: "Desktop"
    }, this.state.componentsUI.sections.map((section, index) => __jsx((react_bootstrap_Card__WEBPACK_IMPORTED_MODULE_7___default()), null, __jsx((react_bootstrap_Card__WEBPACK_IMPORTED_MODULE_7___default().Header), null, __jsx((react_bootstrap_Accordion__WEBPACK_IMPORTED_MODULE_8___default().Toggle), {
      as: (react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_9___default()),
      variant: "link",
      eventKey: section.label
    }, section.label)), __jsx((react_bootstrap_Accordion__WEBPACK_IMPORTED_MODULE_8___default().Collapse), {
      eventKey: section.label
    }, __jsx((react_bootstrap_Card__WEBPACK_IMPORTED_MODULE_7___default().Body), null, section.items.map(component => component.restrictionTag == 'SYS_DisableDriveA' ? __jsx(DriveSelection, {
      items: section.items,
      components: this.props.components,
      handleRestrictionsChange: this.props.handleRestrictionsChange
    }) : component.restrictionTag.startsWith('SYS_DisableDrive') ? '' : component.restrictionTag == 'SYS_LockPC' ? __jsx(_LockPcRestriction__WEBPACK_IMPORTED_MODULE_11__.default, {
      lockPC: this.state.lockPC,
      handleRestrictionsChange: this.props.handleRestrictionsChange
    }) : component.restrictionTag == 'SYS_AddFileExplorerPath' ? __jsx(FileExplorerPathRestriction, {
      restrictions: this.props.restrictions,
      components: this.props.components,
      showPathTextbox: this.state.showPathTextbox,
      filePath: this.state.filePath,
      handleRestrictionsChange: this.props.handleRestrictionsChange
    }) : __jsx((react_bootstrap_InputGroup__WEBPACK_IMPORTED_MODULE_6___default()), {
      key: component.restrictionTag
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Check), {
      id: component.restrictionTag,
      key: component.restrictionTag,
      type: "switch",
      defaultChecked: this.checkStatus(component.restrictionTag),
      onChange: this.handleChange,
      label: this.addLabel(component.restrictionTag)
    }), __jsx((react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_4___default()), {
      placement: "right",
      overlay: __jsx((react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_5___default()), {
        id: "button-tooltip-2"
      }, this.addTooltip(component.restrictionTag))
    }, __jsx("svg", {
      width: "2em",
      height: "0.8em",
      viewBox: "0 0 16 16",
      className: "bi bi-info-circle-fill",
      fill: "grey",
      xmlns: "http://www.w3.org/2000/svg"
    }, __jsx("path", {
      fillRule: "evenodd",
      d: "M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm.93-9.412l-2.29.287-.082.38.45.083c.294.07.352.176.288.469l-.738 3.468c-.194.897.105 1.319.808 1.319.545 0 1.178-.252 1.465-.598l.088-.416c-.2.176-.492.246-.686.246-.275 0-.375-.193-.304-.533L8.93 6.588zM8 5.5a1 1 0 1 0 0-2 1 1 0 0 0 0 2z"
    })))))))))))));
  }

}

/* harmony default export */ __webpack_exports__["default"] = (Desktop);

/***/ }),

/***/ 1910:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9297);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(7140);
/* harmony import */ var react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(3406);
/* harmony import */ var react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(7707);
/* harmony import */ var react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_3__);

var __jsx = (react__WEBPACK_IMPORTED_MODULE_0___default().createElement);




class LockPcRestriction extends (react__WEBPACK_IMPORTED_MODULE_0___default().Component) {
  constructor(props) {
    super(props);
    this.state = {
      "lockPC": this.props.lockPC
    };
    this.handleChange = this.handleChange.bind(this);
  }

  handleChange(e) {
    this.props.handleRestrictionsChange(e);
  }

  render() {
    return __jsx((react__WEBPACK_IMPORTED_MODULE_0___default().Fragment), null, __jsx("br", null), __jsx("h5", null, "Lock PC When Idle"), __jsx((react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_2___default()), null, __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_3___default()), {
      md: 4
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Control), {
      id: "SYS_LockPC",
      placeholder: "Minutes",
      defaultValue: this.state.lockPC,
      onChange: this.handleChange
    }))));
  }

}

/* harmony default export */ __webpack_exports__["default"] = (LockPcRestriction);

/***/ })

};
;