exports.id = 918;
exports.ids = [918];
exports.modules = {

/***/ 918:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9297);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var next_dynamic__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(9639);
/* harmony import */ var next_dynamic__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(next_dynamic__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _Desktop__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(4908);
/* harmony import */ var _Apps__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(5577);
/* harmony import */ var _Firewall__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(1782);
/* harmony import */ var _restrictionsControlMenu__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(9275);
/* harmony import */ var react_bootstrap_Tabs__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(5756);
/* harmony import */ var react_bootstrap_Tabs__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Tabs__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var react_bootstrap_Tab__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(5847);
/* harmony import */ var react_bootstrap_Tab__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Tab__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var react_bootstrap_Container__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(8622);
/* harmony import */ var react_bootstrap_Container__WEBPACK_IMPORTED_MODULE_8___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Container__WEBPACK_IMPORTED_MODULE_8__);

var __jsx = (react__WEBPACK_IMPORTED_MODULE_0___default().createElement);


const SystemKeys = next_dynamic__WEBPACK_IMPORTED_MODULE_1___default()(() => __webpack_require__.e(/* import() */ 6898).then(__webpack_require__.bind(__webpack_require__, 6898)), {
  loadableGenerated: {
    webpack: () => [/*require.resolve*/(6898)],
    modules: ["layouts\\RestrictionsContainer.js -> " + './SystemKeys']
  }
});

const Startup = next_dynamic__WEBPACK_IMPORTED_MODULE_1___default()(() => __webpack_require__.e(/* import() */ 4212).then(__webpack_require__.bind(__webpack_require__, 4212)), {
  loadableGenerated: {
    webpack: () => [/*require.resolve*/(4212)],
    modules: ["layouts\\RestrictionsContainer.js -> " + './Startup']
  }
});






class RestrictionsContainer extends (react__WEBPACK_IMPORTED_MODULE_0___default().Component) {
  constructor(props) {
    super(props); // split the rules between windows and custom ones

    let lablockRules = [];
    let windowsRules = [];

    if (this.props.firewallRules != null) {
      this.props.firewallRules.WinFirewallRules.map(rule => {
        if (rule.isLabLock == true) {
          lablockRules.push(rule);
        } else if (!isNaN(rule.LocalPorts) && rule.LocalPorts != null) {
          windowsRules.push(rule);
        }
      }); // console.log(this.props.syskeys)

      this.state = {
        restrictions: this.props.restrictions,
        syskeys: this.props.syskeys,
        startupPrograms: this.props.startupPrograms,
        applicationsAllowed: this.props.applications,
        firewallRules: lablockRules,
        windowsRules: windowsRules
      };
    } else {
      this.state = {
        restrictions: [],
        syskeys: [],
        startup: [],
        applicationsAllowed: [],
        firewallRules: [],
        windowsRules: []
      };
    }

    this.handleRestrictionsChange = this.handleRestrictionsChange.bind(this);
    this.handleSyskeysChange = this.handleSyskeysChange.bind(this);
    this.handleStartupProgramsChange = this.handleStartupProgramsChange.bind(this);
    this.handleApplicationsAllowedChange = this.handleApplicationsAllowedChange.bind(this);
    this.handleFirewallChange = this.handleFirewallChange.bind(this);
  }

  handleRestrictionsChange(e) {
    let value;
    console.log(this.state.restrictions.settings);
    console.log(e.target.id); // special restrictions textboxes 

    if (e.target.id == "SYS_AddFileExplorerPath" || e.target.id == "SYS_LockPC") {
      //|| e.target.id == "SYS_AddFileExplorerPathCheck") {            
      let k;

      if (e.target.id) {
        k = this.state.restrictions.settings.findIndex(item => item.tag === e.target.id);
      } // remove existing restriction


      if (k >= 0) {
        this.state.restrictions.settings.splice([k], 1);
      } // add new value


      let specialValue = e.target.value;

      if (e.target.id == "SYS_LockPC") {
        // convert minutes to seconds
        specialValue *= 60;
      }

      this.state.restrictions.settings.push({
        "tag": e.target.id,
        "value": specialValue
      });
      console.log(specialValue);
    } // e.target.checked contains true or false depending on the component select for both checkbox and tooglebuttons
    else if (e.target.checked === true) {
        this.props.components.configs.map(restriction => {
          // in case of checkbox we get e.target.id
          if (restriction.restrictionTag == e.target.id) {
            // when multiple registries need to be set, we pass the value 1
            if (restriction.regSettings.length > 1) {
              value = 1;
              this.state.restrictions.settings.push({
                "tag": e.target.id,
                "value": value
              });
            } else {
              value = restriction.regSettings[0].value;
              this.state.restrictions.settings.push({
                "tag": e.target.id,
                "value": value
              });
            } // in case of a tooglebutton we need to get e.target.value} 

          } else if (restriction.restrictionTag == e.target.value) {
            value = restriction.regSettings[0].value;
            this.state.restrictions.settings.push({
              "tag": e.target.value,
              "value": value
            });
          }
        });
        console.log(value);
      } else if (e.target.checked === false) {
        // find checkbox on restrictions
        let j;

        if (e.target.id == "SYS_AddFileExplorerPathCheck") {
          j = this.state.restrictions.settings.findIndex(item => item.tag === "SYS_AddFileExplorerPath");
        } else if (e.target.id) {
          j = this.state.restrictions.settings.findIndex(item => item.tag === e.target.id); // find tooglegroup on restrictions  
        } else if (e.target.value) {
          j = this.state.restrictions.settings.findIndex(item => item.tag === e.target.value);
        } // remove restriction


        if (j >= 0) {
          this.state.restrictions.settings.splice([j], 1);
        }
      }
  }

  handleSyskeysChange(e) {
    console.log(this.state.syskeys);
    console.log(e.target.value);

    if (e.target.checked == true) {
      this.state.syskeys.SystemKeys.push({
        "id": e.target.value
      });
    } else {
      let j = this.state.syskeys.SystemKeys.findIndex(item => item.id === e.target.value);

      if (j >= 0) {
        this.state.syskeys.SystemKeys.splice([j], 1);
      }
    }
  }

  handleStartupProgramsChange(startupPrograms) {
    // this.console(this.state.startupPrograms)
    this.state.startupPrograms = startupPrograms;
  }

  handleApplicationsAllowedChange(applicationsAllowed) {
    // this.console(this.state.applicationsAllowed)
    this.state.applicationsAllowed = applicationsAllowed;
  }

  handleFirewallChange(firewallRules) {
    // console.log(this.state.firewallRules)
    this.state.firewallRules = firewallRules; // console.log(this.state.firewallRules)
  }

  render() {
    return __jsx((react__WEBPACK_IMPORTED_MODULE_0___default().Fragment), null, __jsx((react_bootstrap_Container__WEBPACK_IMPORTED_MODULE_8___default()), null, __jsx((react_bootstrap_Tabs__WEBPACK_IMPORTED_MODULE_6___default()), {
      defaultActiveKey: "desktop",
      id: "uncontrolled-tab-example"
    }, __jsx((react_bootstrap_Tab__WEBPACK_IMPORTED_MODULE_7___default()), {
      eventKey: "desktop",
      title: "Core"
    }, __jsx(_Desktop__WEBPACK_IMPORTED_MODULE_2__.default, {
      restrictions: this.state.restrictions,
      components: this.props.components,
      handleRestrictionsChange: this.handleRestrictionsChange
    })), __jsx((react_bootstrap_Tab__WEBPACK_IMPORTED_MODULE_7___default()), {
      eventKey: "systemkeys",
      title: "System Keys"
    }, __jsx(SystemKeys, {
      syskeys: this.state.syskeys,
      syskeysElements: this.props.syskeysElements,
      components: this.props.components,
      handleSyskeysChange: this.handleSyskeysChange
    })), __jsx((react_bootstrap_Tab__WEBPACK_IMPORTED_MODULE_7___default()), {
      eventKey: "apps",
      title: "Apps"
    }, __jsx(_Apps__WEBPACK_IMPORTED_MODULE_3__.default, {
      applicationsAllowed: this.state.applicationsAllowed,
      handleApplicationsAllowedChange: this.handleApplicationsAllowedChange,
      serviceURL: this.props.serviceURL,
      JAKO: this.props.JAKO,
      OJAK: this.props.OJAK
    })), __jsx((react_bootstrap_Tab__WEBPACK_IMPORTED_MODULE_7___default()), {
      eventKey: "startup",
      title: "Startup"
    }, __jsx(Startup, {
      startupPrograms: this.state.startupPrograms,
      handleStartupProgramsChange: this.handleStartupProgramsChange
    })), __jsx((react_bootstrap_Tab__WEBPACK_IMPORTED_MODULE_7___default()), {
      eventKey: "firewall",
      title: "Firewall"
    }, __jsx(_Firewall__WEBPACK_IMPORTED_MODULE_4__.default, {
      firewallRules: this.state.firewallRules,
      windowsRules: this.state.windowsRules,
      handleFirewallChange: this.handleFirewallChange
    }))), __jsx(_restrictionsControlMenu__WEBPACK_IMPORTED_MODULE_5__.default, {
      restrictions: this.state.restrictions,
      components: this.props.components,
      syskeys: this.state.syskeys,
      applicationsAllowed: this.state.applicationsAllowed,
      startupPrograms: this.state.startupPrograms,
      firewallRules: this.state.firewallRules,
      serviceURL: this.props.serviceURL,
      user: this.props.userObj,
      JAKO: this.props.JAKO,
      OJAK: this.props.OJAK
    })));
  }

}

/* harmony default export */ __webpack_exports__["default"] = (RestrictionsContainer);

/***/ })

};
;