(function() {
var exports = {};
exports.id = 5580;
exports.ids = [5580];
exports.modules = {

/***/ 6258:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "default": function() { return /* binding */ activity; }
});

;// CONCATENATED MODULE: external "fs"
var external_fs_namespaceObject = require("fs");;
var external_fs_default = /*#__PURE__*/__webpack_require__.n(external_fs_namespaceObject);
;// CONCATENATED MODULE: external "path"
var external_path_namespaceObject = require("path");;
var external_path_default = /*#__PURE__*/__webpack_require__.n(external_path_namespaceObject);
// EXTERNAL MODULE: ./lib/aes.js
var aes = __webpack_require__(3730);
var aes_default = /*#__PURE__*/__webpack_require__.n(aes);
// EXTERNAL MODULE: external "js-base64"
var external_js_base64_ = __webpack_require__(5385);
;// CONCATENATED MODULE: ./pages/api/activity.js




/* harmony default export */ var activity = ((req, res) => {
  const {
    query: params,
    method
  } = req;
  const opts = {
    "retries": 10,
    "wait": 1000 // "retryWait": 500,

  };
  const logFile = external_path_default().join(process.cwd(), 'log', 'activity');

  var lockFile = __webpack_require__(5973);

  lockFile.lock(logFile + '.lock', opts, function (er) {
    let data, decryptedData, dataDecoded;
    data = external_fs_default().readFileSync(logFile, 'utf8');

    try {
      decryptedData = aes_default().Decrypt(data, external_js_base64_.Base64.decode(process.env.JAKO), external_js_base64_.Base64.decode(process.env.OJAK));
    } catch (e) {
      external_fs_default().copyFile(logFile, logFile + '.ops', err => {
        if (err) throw err;
        console.log('corrupted log file was backed up and replaced');
      });
      decryptedData = {
        activity: []
      };
      decryptedData = JSON.stringify(decryptedData);
      console.log('DECRYPT:' + e);
    }

    try {
      dataDecoded = JSON.parse(decryptedData);
    } catch (e) {
      console.log('JSON PARSE:' + e);
      external_fs_default().writeFile(logFile, aes_default().Encrypt(JSON.stringify(JSON.stringify(dataDecoded)), external_js_base64_.Base64.decode(process.env.JAKO), external_js_base64_.Base64.decode(process.env.OJAK)), function (err) {
        if (err) throw err;
        console.log('Saved!');
      });
    }

    switch (method) {
      case 'GET':
        console.log("GET");
        res.status(200).end(dataDecoded);
        break;

      case 'POST':
        console.log("POST"); // console.log(dataDecoded)

        let obj;

        try {
          obj = JSON.parse(dataDecoded);
        } catch (e) {
          obj = dataDecoded;
        } // console.log(obj)


        obj['activity'].unshift(req.body); // console.log(req.body)

        external_fs_default().writeFile(logFile, aes_default().Encrypt(JSON.stringify(JSON.stringify(obj)), external_js_base64_.Base64.decode(process.env.JAKO), external_js_base64_.Base64.decode(process.env.OJAK)), function (err) {
          if (err) throw err;
          console.log('Saved!');
        });
        res.status(200).end();
        break;
    }

    lockFile.unlock(logFile + '.lock', function (er) {
      // er means that an error happened, and is probably bad.
      console.log("Error unlocking");
    });
  });
});

/***/ }),

/***/ 6417:
/***/ (function(module) {

"use strict";
module.exports = require("crypto");;

/***/ }),

/***/ 5385:
/***/ (function(module) {

"use strict";
module.exports = require("js-base64");;

/***/ }),

/***/ 5973:
/***/ (function(module) {

"use strict";
module.exports = require("lockfile");;

/***/ })

};
;

// load runtime
var __webpack_require__ = require("../../webpack-runtime.js");
__webpack_require__.C(exports);
var __webpack_exec__ = function(moduleId) { return __webpack_require__(__webpack_require__.s = moduleId); }
var __webpack_exports__ = __webpack_require__.X(0, [3730], function() { return __webpack_exec__(6258); });
module.exports = __webpack_exports__;

})();