(function() {
var exports = {};
exports.id = 6702;
exports.ids = [6702];
exports.modules = {

/***/ 6986:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var sqlite3__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9101);
/* harmony import */ var sqlite3__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(sqlite3__WEBPACK_IMPORTED_MODULE_0__);

/* harmony default export */ __webpack_exports__["default"] = ((req, res) => {
  const {
    query: params,
    method
  } = req;
  let db = new (sqlite3__WEBPACK_IMPORTED_MODULE_0___default().Database)('./db/lablock.db', err => {
    if (err) {
      console.error(err.message);
    } else {
      console.log('Connected to the lablock database.');
    }
  });

  switch (method) {
    case 'GET':
      // Get data from your database
      db.all('SELECT * FROM role', (error, results) => {
        if (error) throw error;
        console.log(JSON.stringify(results));
        res.status(200).end(JSON.stringify(results));
      });
      break;

    case 'POST':
      // Update or create data in your database
      let postData = req.body;
      console.log(postData);
      db.run('INSERT INTO role (name, description, group_name, group_type, status, dashboard, restrictions, settings, activity, import_export) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', postData.name, postData.description, postData.group_name, postData.group_type, postData.status, postData.dashboard, postData.restrictions, postData.settings, postData.activity, postData.import_export, function (error) {
        if (error) throw error;
        let roleId = this.lastID.toString();
        console.log(roleId);
        res.status(200).end(roleId);
      });
      break;

    default:
      res.setHeader('Allow', ['GET', 'POST']);
      res.status(405).end(`Method ${method} Not Allowed`);
  } // close the database connection


  db.close();
});

/***/ }),

/***/ 9101:
/***/ (function(module) {

"use strict";
module.exports = require("sqlite3");;

/***/ })

};
;

// load runtime
var __webpack_require__ = require("../../webpack-runtime.js");
__webpack_require__.C(exports);
var __webpack_exec__ = function(moduleId) { return __webpack_require__(__webpack_require__.s = moduleId); }
var __webpack_exports__ = (__webpack_exec__(6986));
module.exports = __webpack_exports__;

})();