export default function log(username, module, description, host, details) {

    let payload = {
        date: new Date().getTime(),
        user: username,
        module: module,
        description: description,
        computer: host
    }
    if (details)
        payload.details = details
    fetch('/api/activity', {method: 'POST', headers: {'Accept': 'application/json', 'Content-Type': 'application/json'}, body: JSON.stringify(payload)})

}