import { withIronSession } from "next-iron-session";

function handler(req, res) {
  req.session.destroy();
  req.session.unset("user")
  res.status(200);
  res.send("Logged out");
}

export default withIronSession(handler, {
  cookieName: process.env.SESSION_COOKIE,
  password: process.env.APPLICATION_SECRET,
  cookieOptions: {
    maxAge: 0
  },  
});