import Form from 'react-bootstrap/Form'
import Row from 'react-bootstrap/Row'
import Col from 'react-bootstrap/Col'

class LockPcRestriction extends React.Component {
  constructor(props) {
    super(props); 

    this.state = {"lockPC": this.props.lockPC}

    this.handleChange = this.handleChange.bind(this);
  }  
    
	handleChange(e) {
    this.props.handleRestrictionsChange(e)
  }

  render() {
  
    return (
        <>  
          <br/>
          <h5>Lock PC When Idle</h5>
          <Row>
            <Col md={4}>
              <Form.Control id="SYS_LockPC" placeholder="Minutes" defaultValue={this.state.lockPC} onChange={this.handleChange} />
            </Col>
          </Row>	
        </>
        );
  } 
}

export default LockPcRestriction;