import dynamic from 'next/dynamic'
//import General from './General';
const General = dynamic(() => import('./General'))
// import Roles from './Roles';
const Roles = dynamic(() => import('./Roles'))
// import Ldap from './Ldap';
const Ldap = dynamic(() => import('./Ldap'))
import Tabs from 'react-bootstrap/Tabs'
import Tab from 'react-bootstrap/Tab'
import Container from 'react-bootstrap/Container'

class SettingsContainer extends React.Component {
    constructor(props) {
        super(props);
      
        this.state = {
            logModule: 'settings'
        };

    }


    render () {
  
		return (
      <>

        <Container>
              <Tabs defaultActiveKey="roles" id="uncontrolled-tab-example">
                  <Tab eventKey="roles" title="Roles">
                    <Roles user={this.props.userObj} logModule={this.state.logModule} serviceURL={this.props.serviceURL} JAKO={this.props.JAKO} OJAK={this.props.OJAK}/>
                  </Tab>
                  <Tab eventKey="ldap" title="AD">
                    <Ldap user={this.props.userObj} logModule={this.state.logModule} serviceURL={this.props.serviceURL} ldapSettings={this.props.ldapSettings} JAKO={this.props.JAKO} OJAK={this.props.OJAK}/>
                  </Tab>                  
                  <Tab eventKey="general" title="General">
                    <General user={this.props.userObj} logModule={this.state.logModule} serviceURL={this.props.serviceURL} generalSettings={this.props.generalSettings} JAKO={this.props.JAKO} OJAK={this.props.OJAK}/>		   
                  </Tab>		  
              </Tabs>

        </Container>
      </>  
        )
    }
}

export default SettingsContainer