import Form from 'react-bootstrap/Form'
import Button from 'react-bootstrap/Button'
import ToggleButton from 'react-bootstrap/ToggleButton'
import ToggleButtonGroup from 'react-bootstrap/ToggleButtonGroup'
import Container from 'react-bootstrap/Container'
import Jumbotron from 'react-bootstrap/Jumbotron'
import OverlayTrigger from 'react-bootstrap/OverlayTrigger'
import Tooltip from 'react-bootstrap/Tooltip'

class SystemKeys extends React.Component {
	constructor(props) {
		super(props);

		if (this.props.syskeysElements == null) {
			this.state = {syskeysElements: []}
		} else {
			this.state = {
				syskeysElements: this.props.syskeysElements.systemKeys
			};			
	  	}

	  	this.handleChange = this.handleChange.bind(this);
	}

	checkStatusToogleGroup() {
		let defaultValues = []
		this.props.syskeys.SystemKeys.map((key) => {
			defaultValues.push(key.id);
		});
		//console.log(defaultValues);
		return defaultValues;
	}		

	handleChange(e) {
		this.props.handleSyskeysChange(e)
	}
		
 	render = () => (
	<Jumbotron>
	    <Container>

			{ this.state.syskeysElements.map((section) => {
				return ( <div key={section.section}>
					<h5>{section.section}</h5> 	
					<ToggleButtonGroup id={section.section} type="checkbox" className="mb-2" defaultValue={this.checkStatusToogleGroup()}>

					{ section.values.map((button) =>
						// <OverlayTrigger key={button.id} placement="top" overlay={<Tooltip id="button-tooltip">{button.description}</Tooltip>}>
							<ToggleButton key={button.id} id={button.id} variant="outline-dark" onChange={this.handleChange} value={button.id}>{button.label}</ToggleButton>
						//</OverlayTrigger>
					)}
					</ToggleButtonGroup>
					</div>
				)
				}
			)}

		</Container>
	</Jumbotron>
	);
}

export default SystemKeys;