exports.id = 1332;
exports.ids = [1332];
exports.modules = {

/***/ 1332:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9297);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var next_head__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(701);
/* harmony import */ var next_head__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(next_head__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(7140);
/* harmony import */ var react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var react_bootstrap__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(9226);
/* harmony import */ var react_bootstrap__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var next_router__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(6731);
/* harmony import */ var next_router__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(next_router__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var _lib_aes__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(3730);
/* harmony import */ var _lib_aes__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(_lib_aes__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(4336);
/* harmony import */ var react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(5777);
/* harmony import */ var react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var react_bootstrap_Table__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(8096);
/* harmony import */ var react_bootstrap_Table__WEBPACK_IMPORTED_MODULE_8___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Table__WEBPACK_IMPORTED_MODULE_8__);
/* harmony import */ var react_icons_ri__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(9352);

var __jsx = (react__WEBPACK_IMPORTED_MODULE_0___default().createElement);










class Header extends (react__WEBPACK_IMPORTED_MODULE_0___default().Component) {
  constructor(props) {
    super(props); // console.log(this.props.permissions.permissions)

    if (this.props.permissions != null) {
      this.state = {
        host: '',
        licenseDetails: {},
        permissions: this.props.permissions.permissions,
        user: this.props.user
      };
    } else {
      this.state = {
        permissions: [],
        user: {},
        licenseDetails: {}
      };
    }

    this.logout = this.logout.bind(this);
    this.handleLicenseModalClose = this.handleLicenseModalClose.bind(this);
    this.handleLicenseModal = this.handleLicenseModal.bind(this);
  }

  componentDidMount() {
    var getUrl = window.location;
    console.log(getUrl.host);
    var hostIP = getUrl.host;
    this.setState(state => ({
      host: hostIP
    }));
    fetch(this.props.serviceURL + '/computerdetails').then(response => response.text()).then(response => {
      let computerDetails = JSON.parse(_lib_aes__WEBPACK_IMPORTED_MODULE_5___default().Decrypt(response, this.props.JAKO, this.props.OJAK));
      this.setState(state => ({
        version: computerDetails.LabLockVersion,
        computerName: computerDetails.computerName
      }));
    });
    fetch(this.props.serviceURL + '/licenseinfo').then(response => response.text()).then(response => {
      let licenseDetails = JSON.parse(_lib_aes__WEBPACK_IMPORTED_MODULE_5___default().Decrypt(response, this.props.JAKO, this.props.OJAK));
      this.setState(state => ({
        licenseDetails: licenseDetails
      }));
    }); // keep session alive

    let payloadSession = {
      'user': this.props.user,
      'permissions': this.props.permissions.permissions
    };
    fetch('/api/sessions', {
      method: 'POST',
      headers: {
        'Accept': 'application/json',
        'Content-Type': 'application/json'
      },
      body: JSON.stringify(payloadSession)
    }).catch(err => console.log(err));
  }

  logout() {
    fetch('/api/logout', {
      method: 'POST'
    }).then(res => {
      if (res.status == 200) {
        // route to login
        window.location.assign("http://" + window.location.host);
      }
    }).catch(err => console.log(err)); // this.props.router.push('/');
  }

  handleLicenseModalClose() {
    this.setState(state => ({
      showLicenseModal: false
    }));
  }

  handleLicenseModal() {
    this.setState(state => ({
      showLicenseModal: true
    }));
  }

  render() {
    return __jsx((react__WEBPACK_IMPORTED_MODULE_0___default().Fragment), null, __jsx("style", {
      type: "text/css"
    }, `
					.dropdown-menu.show {
						right: 0;
						left: -300%;
					}

					`), __jsx("div", {
      style: {
        marginBottom: '5%'
      }
    }, __jsx((next_head__WEBPACK_IMPORTED_MODULE_1___default()), null, __jsx("title", null, "LabLock"), __jsx("link", {
      rel: "icon",
      href: "/favicon.ico"
    })), __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_3__.Navbar, {
      fixed: "top",
      collapseOnSelect: true,
      expands: "lg",
      bg: "dark",
      variant: "dark"
    }, __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_3__.Navbar.Brand, {
      href: "/dashboard"
    }, __jsx("img", {
      src: "/logo.jpeg",
      width: "35",
      height: "35",
      className: "d-inline-block align-top",
      alt: "JAKO-solutions"
    })), __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_3__.Nav, {
      className: "mr-auto"
    }, this.state.permissions.indexOf("dashboard") >= 0 ? __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_3__.Nav.Link, {
      href: "/dashboard"
    }, "Dashboard") : '', this.state.permissions.indexOf("restrictions") >= 0 ? __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_3__.Nav.Link, {
      href: "/restrictions"
    }, "Restrictions") : '', this.state.permissions.indexOf("activity") >= 0 ? __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_3__.Nav.Link, {
      href: "/activity"
    }, "Activity") : '', this.state.permissions.indexOf("settings") >= 0 ? __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_3__.Nav.Link, {
      href: "/settings"
    }, "Settings") : '', this.state.permissions.indexOf("import_export") >= 0 ? __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_3__.Nav.Link, {
      href: "/importexport"
    }, "Import/Export") : ''), __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_3__.Nav, {
      className: "ml-auto pr-md-5"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_2___default()), {
      inline: true
    }, __jsx(react_icons_ri__WEBPACK_IMPORTED_MODULE_9__/* .RiAccountCircleFill */ .RrS, {
      color: "grey",
      size: "30px"
    }), __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_3__.NavDropdown, {
      title: this.state.user.fullname,
      id: "logout-menu-dropdown"
    }, __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_3__.NavDropdown.Item, null, "User: ", this.state.user.username), __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_3__.NavDropdown.Item, null, "Role: ", this.state.user.role), __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_3__.NavDropdown.Item, null, "IP: ", this.state.host, " "), __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_3__.NavDropdown.Item, null, "Lablock version: ", this.state.version), __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_3__.NavDropdown.Item, {
      onClick: this.handleLicenseModal
    }, "License status"), __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_3__.NavDropdown.Divider, null), __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_3__.NavDropdown.Item, {
      href: "http://jako-solutions.com/documentation"
    }, __jsx("svg", {
      width: "1em",
      height: "1em",
      viewBox: "0 0 16 16",
      className: "bi bi-question-circle",
      fill: "currentColor",
      xmlns: "http://www.w3.org/2000/svg"
    }, __jsx("path", {
      fillRule: "evenodd",
      d: "M8 15A7 7 0 1 0 8 1a7 7 0 0 0 0 14zm0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16z"
    }), __jsx("path", {
      d: "M5.255 5.786a.237.237 0 0 0 .241.247h.825c.138 0 .248-.113.266-.25.09-.656.54-1.134 1.342-1.134.686 0 1.314.343 1.314 1.168 0 .635-.374.927-.965 1.371-.673.489-1.206 1.06-1.168 1.987l.003.217a.25.25 0 0 0 .25.246h.811a.25.25 0 0 0 .25-.25v-.105c0-.718.273-.927 1.01-1.486.609-.463 1.244-.977 1.244-2.056 0-1.511-1.276-2.241-2.673-2.241-1.267 0-2.655.59-2.75 2.286zm1.557 5.763c0 .533.425.927 1.01.927.609 0 1.028-.394 1.028-.927 0-.552-.42-.94-1.029-.94-.584 0-1.009.388-1.009.94z"
    })), "   Help"), __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_3__.NavDropdown.Item, {
      onClick: this.logout
    }, __jsx("svg", {
      width: "1em",
      height: "1em",
      viewBox: "0 0 16 16",
      className: "bi bi-box-arrow-right",
      fill: "currentColor",
      xmlns: "http://www.w3.org/2000/svg"
    }, __jsx("path", {
      fillRule: "evenodd",
      d: "M10 12.5a.5.5 0 0 1-.5.5h-8a.5.5 0 0 1-.5-.5v-9a.5.5 0 0 1 .5-.5h8a.5.5 0 0 1 .5.5v2a.5.5 0 0 0 1 0v-2A1.5 1.5 0 0 0 9.5 2h-8A1.5 1.5 0 0 0 0 3.5v9A1.5 1.5 0 0 0 1.5 14h8a1.5 1.5 0 0 0 1.5-1.5v-2a.5.5 0 0 0-1 0v2z"
    }), __jsx("path", {
      fillRule: "evenodd",
      d: "M15.854 8.354a.5.5 0 0 0 0-.708l-3-3a.5.5 0 0 0-.708.708L14.293 7.5H5.5a.5.5 0 0 0 0 1h8.793l-2.147 2.146a.5.5 0 0 0 .708.708l3-3z"
    })), "  Logout")))))), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_6___default()), {
      show: this.state.showLicenseModal,
      onHide: this.handleLicenseModalClose,
      size: "lg",
      "aria-labelledby": "contained-modal-title-vcenter",
      centered: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_6___default().Header), null, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_6___default().Title), null, "License details")), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_6___default().Body), null, __jsx((react_bootstrap_Table__WEBPACK_IMPORTED_MODULE_8___default()), {
      striped: true,
      bordered: true,
      hover: true
    }, __jsx("tbody", null, __jsx("tr", null, __jsx("th", null, "License type"), __jsx("th", null, this.state.licenseDetails.IsPerpetual == false ? "Temporary" : "Permanent", " ")), this.state.licenseDetails.IsPerpetual == false ? __jsx("tr", null, __jsx("th", null, "Expiration date"), __jsx("th", null, new Date(this.state.licenseDetails.ValidityDateTime).toLocaleDateString())) : '', __jsx("tr", null, __jsx("th", null, "License ID"), __jsx("th", null, this.state.licenseDetails.LicenseID, " ")), __jsx("tr", null, __jsx("th", null, "Computer"), __jsx("th", null, this.state.computerName, "  ")), __jsx("tr", null, __jsx("th", null, "Customer name"), __jsx("th", null, this.state.licenseDetails.CustomerName)), __jsx("tr", null, __jsx("th", null, "Customer ID"), __jsx("th", null, this.state.licenseDetails.CustomerID))))), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_6___default().Footer), null, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_7___default()), {
      variant: "secondary",
      onClick: this.handleLicenseModalClose
    }, "Close"))));
  }

}

/* harmony default export */ __webpack_exports__["default"] = ((0,next_router__WEBPACK_IMPORTED_MODULE_4__.withRouter)(Header));

/***/ })

};
;