exports.id = 3450;
exports.ids = [3450];
exports.modules = {

/***/ 2217:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": function() { return /* binding */ log; }
/* harmony export */ });
function log(username, module, description, host, details) {
  let payload = {
    date: new Date().getTime(),
    user: username,
    module: module,
    description: description,
    computer: host
  };
  if (details) payload.details = details;
  fetch('/api/activity', {
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json'
    },
    body: JSON.stringify(payload)
  });
}

/***/ }),

/***/ 3450:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9297);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(7140);
/* harmony import */ var react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5777);
/* harmony import */ var react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var react_bootstrap_Container__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(8622);
/* harmony import */ var react_bootstrap_Container__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Container__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var react_bootstrap_Jumbotron__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(4019);
/* harmony import */ var react_bootstrap_Jumbotron__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Jumbotron__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var react_bootstrap_Table__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(8096);
/* harmony import */ var react_bootstrap_Table__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Table__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(8337);
/* harmony import */ var react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(9988);
/* harmony import */ var react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(4336);
/* harmony import */ var react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_8___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_8__);
/* harmony import */ var react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(3406);
/* harmony import */ var react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_9___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_9__);
/* harmony import */ var react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(7707);
/* harmony import */ var react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_10___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_10__);
/* harmony import */ var react_bootstrap_InputGroup__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(6195);
/* harmony import */ var react_bootstrap_InputGroup__WEBPACK_IMPORTED_MODULE_11___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_InputGroup__WEBPACK_IMPORTED_MODULE_11__);
/* harmony import */ var yup__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(9440);
/* harmony import */ var yup__WEBPACK_IMPORTED_MODULE_12___default = /*#__PURE__*/__webpack_require__.n(yup__WEBPACK_IMPORTED_MODULE_12__);
/* harmony import */ var formik__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(7717);
/* harmony import */ var formik__WEBPACK_IMPORTED_MODULE_13___default = /*#__PURE__*/__webpack_require__.n(formik__WEBPACK_IMPORTED_MODULE_13__);
/* harmony import */ var react_icons_fa__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(9583);
/* harmony import */ var _lib_log__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(2217);
/* harmony import */ var _lib_aes__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(3730);
/* harmony import */ var _lib_aes__WEBPACK_IMPORTED_MODULE_14___default = /*#__PURE__*/__webpack_require__.n(_lib_aes__WEBPACK_IMPORTED_MODULE_14__);
/* harmony import */ var _material_ui_icons_Edit__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(9513);
/* harmony import */ var _material_ui_icons_Edit__WEBPACK_IMPORTED_MODULE_15___default = /*#__PURE__*/__webpack_require__.n(_material_ui_icons_Edit__WEBPACK_IMPORTED_MODULE_15__);

var __jsx = (react__WEBPACK_IMPORTED_MODULE_0___default().createElement);















 // import { DataGrid, GridRowsProp, GridColDef } from '@material-ui/data-grid';



class Roles extends (react__WEBPACK_IMPORTED_MODULE_0___default().Component) {
  constructor(props) {
    super(props);
    let schema = yup__WEBPACK_IMPORTED_MODULE_12__.object({
      name: yup__WEBPACK_IMPORTED_MODULE_12__.string().required(),
      description: yup__WEBPACK_IMPORTED_MODULE_12__.string(),
      group_name: yup__WEBPACK_IMPORTED_MODULE_12__.string().required(),
      group_type: yup__WEBPACK_IMPORTED_MODULE_12__.string(),
      status: yup__WEBPACK_IMPORTED_MODULE_12__.string()
    });
    let rows = [{
      id: 1,
      name: 'Admin',
      description: 'Admin role',
      group_name: 'Administrator',
      permissions: 'Dashboard',
      status: '1'
    }];
    let columns = [{
      field: 'name',
      headerName: 'Role name',
      width: '150px'
    }, {
      field: 'description',
      headerName: 'Description',
      width: '250px'
    }, {
      field: 'group_name',
      headerName: 'Group',
      width: '150px'
    }, {
      field: 'permissions',
      headerName: 'Permissions',
      width: '150px'
    }, {
      field: 'status',
      headerName: 'Status',
      width: '100px'
    }];
    this.state = {
      roleList: [],
      role: {},
      columns: columns,
      rows: rows,
      schema: schema,
      showErrorSameNameGroup: false,
      disableSubmit: false,
      validationButton: 'outline-dark'
    }; // bind the action handlers

    this.handleAdd = this.handleAdd.bind(this);
    this.handleEdit = this.handleEdit.bind(this);
    this.handleSave = this.handleSave.bind(this);
    this.handleClose = this.handleClose.bind(this);
    this.handleShow = this.handleShow.bind(this);
    this.handleErrorClose = this.handleErrorClose.bind(this);
    this.handleErrorShow = this.handleErrorShow.bind(this);
    this.testGroup = this.testGroup.bind(this);
    this.handleCheckboxChange = this.handleCheckboxChange.bind(this); // this.handleChangeValue = this.handleChangeValue.bind(this)
  }

  handleAdd() {
    // set title
    this.setState(state => ({
      role: {
        status: 1,
        dashboard: 0,
        restrictions: 0,
        settings: 0,
        activity: 0,
        import_export: 0,
        group_type: 'local'
      },
      validationButton: 'outline-dark',
      disableSubmit: false,
      status: 1
    }));
    this.handleShow();
  }

  handleEdit(e) {
    // Get role
    let roleId = e.target.id;

    if (!roleId) {
      roleId = e.target.parentNode.id;
    }

    const roleEndpoint = '/api/role/' + roleId;
    console.log(roleEndpoint);
    fetch(roleEndpoint).then(res => res.json()).then(data => {
      console.log(data);
      this.setState(state => ({
        role: data,
        groupName: data.group_name,
        groupType: data.group_type,
        status: data.status,
        dashboard: data.dashboard,
        restrictions: data.restrictions,
        activity: data.activity,
        settings: data.settings,
        import_export: data.import_export,
        disableSubmit: false
      }));
      console.log(data);
    }).catch(err => console.log(err));
    this.handleShow();
  }

  handleClose() {
    this.setState({
      showModal: false,
      showErrorSameNameGroup: false,
      validationButton: 'outline-dark'
    });
  }

  handleShow() {
    this.setState({
      showModal: true
    });
  }

  componentDidMount() {
    // fetch the roles from the DB
    fetch('/api/roles').then(res => res.json()).then(data => {
      this.setState(state => ({
        roleList: data
      }));
      console.log(data);
    }).catch(err => console.log(err)); // load localgroups when mounting  

    const localGroupsEndpoint = this.props.serviceURL + '/localgroups';
    console.log(localGroupsEndpoint);
    fetch(localGroupsEndpoint).then(res => res.text()).then(data => {
      let decodedData = JSON.parse(_lib_aes__WEBPACK_IMPORTED_MODULE_14___default().Decrypt(data, this.props.JAKO, this.props.OJAK));
      console.log(decodedData);
      this.setState(state => ({
        localgroups: decodedData
      }));
    }).catch(err => console.log(err));
    var getUrl = window.location;
    console.log(getUrl.host);
    var hostIP = getUrl.host;
    this.setState(state => ({
      host: hostIP
    }));
  }

  handleGroupType(e) {
    console.log(e.target.value);
    this.setState(state => ({
      groupType: e.target.value
    }));
  }

  handleGroupName(e) {
    console.log(e.target.value);
    this.setState(state => ({
      groupName: e.target.value
    }));
  }

  testGroup() {
    console.log(this.state); // initialize the button as an error

    this.setState(state => ({
      validationButton: 'danger'
    }));

    if (this.state.groupType == 'local') {
      this.state.localgroups.groups.map(group => {
        if (group.Name == this.state.groupName) {
          this.setState(state => ({
            validationButton: 'success'
          }));
        }
      });
    } else if (this.state.groupType == 'AD') {
      const ldapGroupEndpoint = '/api/ldap/group/' + this.state.groupName;
      console.log(ldapGroupEndpoint);
      fetch(ldapGroupEndpoint).then(res => res.json()).then(response => {
        console.log(response);

        if (response.length > 0) {
          this.setState(state => ({
            validationButton: 'success'
          }));
        }
      }).catch(err => console.log(err));
    }
  }

  handleSave(data) {
    let error = false;
    this.state.roleList.map(role => {
      if (role.name == data.name && role.id != this.state.role.id) {
        this.handleSameNameGroupErrorShow();
      }

      if (role.group_name == data.group_name && role.id != this.state.role.id) {
        this.handleSameNameGroupErrorShow();
      }
    });

    if (this.state.showErrorSameNameGroup == false) {
      // transform checkboxes value to integer
      console.log(this.state);
      let payload = {
        'name': data.name,
        'description': data.description ? data.description : '',
        'group_name': data.group_name,
        'group_type': data.group_type,
        'status': this.state.status ? this.state.status : 0,
        'dashboard': this.state.dashboard ? this.state.dashboard : 0,
        'restrictions': this.state.restrictions ? this.state.restrictions : 0,
        'activity': this.state.activity ? this.state.activity : 0,
        'settings': this.state.settings ? this.state.settings : 0,
        'import_export': this.state.import_export ? this.state.import_export : 0
      };
      let permissionsValue = this.state.dashboard ? "Dashboard " : '';
      permissionsValue += this.state.restrictions ? "Restrictions " : '';
      permissionsValue += this.state.activity ? "Activity " : '';
      permissionsValue += this.state.settings ? "Settings " : '';
      permissionsValue += this.state.import_export ? "ImportExport" : '';
      console.log(permissionsValue);
      let logDetails = {
        'title': 'Role Details',
        'columns': [{
          'title': 'Role Name',
          'value': data.name
        }, {
          'title': 'Group Type',
          'value': data.group_type
        }, {
          'title': 'Group Name',
          'value': data.group_name
        }, {
          'title': 'Permissions',
          'value': permissionsValue
        }]
      };
      console.log(payload);

      if (!this.state.role.id) {
        const rolesEndpoint = '/api/roles';
        console.log(rolesEndpoint);

        if (this.state.groupType == 'AD') {
          const ldapGroupEndpoint = '/api/ldap/group/' + this.state.groupName;
          console.log(ldapGroupEndpoint);
          fetch(ldapGroupEndpoint).then(response => {
            // if group exists, we save the results
            if (response.status == 200) {
              fetch(rolesEndpoint, {
                method: 'POST',
                headers: {
                  'Accept': 'application/json',
                  'Content-Type': 'application/json'
                },
                body: JSON.stringify(payload)
              }).then(res => res.json()).then(jsonResponse => {
                console.log(jsonResponse);
                (0,_lib_log__WEBPACK_IMPORTED_MODULE_16__/* .default */ .Z)(this.props.user.username, this.props.logModule, " created the role " + data.name + " based on " + data.group_type + " from ", this.state.host, logDetails);
              }).catch(err => console.log(err));
            } else {
              this.handleErrorADShow();
            }
          });
        } else {
          fetch(rolesEndpoint, {
            method: 'POST',
            headers: {
              'Accept': 'application/json',
              'Content-Type': 'application/json'
            },
            body: JSON.stringify(payload)
          }).then(res => res.json()).then(jsonResponse => {
            console.log(jsonResponse);
            (0,_lib_log__WEBPACK_IMPORTED_MODULE_16__/* .default */ .Z)(this.props.user.username, this.props.logModule, " created the role " + data.name + " based on " + data.group_type + " from ", this.state.host, logDetails);
            window.location.reload(false);
          }).catch(err => console.log(err));
        }
      } else if (this.state.role.id > 0) {
        let roleId = this.state.role.id;
        const roleEndpoint = '/api/role/' + roleId;
        console.log(roleEndpoint);

        if (this.state.groupType == 'AD') {
          const ldapGroupEndpoint = '/api/ldap/group/' + this.state.groupName;
          console.log(ldapGroupEndpoint);
          fetch(ldapGroupEndpoint).then(response => {
            // if group exists, we save the results
            if (response.status == 200) {
              fetch(roleEndpoint, {
                method: 'PUT',
                headers: {
                  'Accept': 'application/json',
                  'Content-Type': 'application/json'
                },
                body: JSON.stringify(payload)
              }).then(res => res.json()).then(jsonResponse => {
                console.log(jsonResponse); // log outcome

                (0,_lib_log__WEBPACK_IMPORTED_MODULE_16__/* .default */ .Z)(this.props.user.username, this.props.logModule, " modified the role " + data.name + " based on " + data.group_type + " from ", this.state.host, logDetails);

                if (data.status != this.state.status) {
                  if (data.status == true) {
                    (0,_lib_log__WEBPACK_IMPORTED_MODULE_16__/* .default */ .Z)(this.props.user.username, this.props.logModule, " disabled the role " + data.name + " based on " + data.group_type + " from ", this.state.host);
                  } else {
                    (0,_lib_log__WEBPACK_IMPORTED_MODULE_16__/* .default */ .Z)(this.props.user.username, this.props.logModule, " enabled the role " + data.name + " based on " + data.group_type + " from ", this.state.host);
                  }
                } // prevent submit


                window.location.reload(false);
              }).catch(err => console.log(err));
            } else {
              this.handleErrorADShow();
            }
          }).catch(err => console.log(err));
        } else {
          fetch(roleEndpoint, {
            method: 'PUT',
            headers: {
              'Accept': 'application/json',
              'Content-Type': 'application/json'
            },
            body: JSON.stringify(payload)
          }).then(res => res.json()).then(jsonResponse => {
            console.log(jsonResponse); // log outcome

            (0,_lib_log__WEBPACK_IMPORTED_MODULE_16__/* .default */ .Z)(this.props.user.username, this.props.logModule, " modified the role " + data.name + " based on " + data.group_type + " from ", this.state.host, logDetails);

            if (data.status != this.state.status) {
              if (data.status == true) {
                (0,_lib_log__WEBPACK_IMPORTED_MODULE_16__/* .default */ .Z)(this.props.user.username, this.props.logModule, " disabled the role " + data.name + " based on " + data.group_type + " from ", this.state.host);
              } else {
                (0,_lib_log__WEBPACK_IMPORTED_MODULE_16__/* .default */ .Z)(this.props.user.username, this.props.logModule, " enabled the role " + data.name + " based on " + data.group_type + " from ", this.state.host);
              }
            } // prevent submit


            window.location.reload(false);
          }).catch(err => console.log(err));
        }
      }
    }
  }

  checkboxToInteger(checkbox) {
    if (checkbox.length > 0 || checkbox == 1 || checkbox == true) {
      return 1;
    }

    return 0;
  }

  handleErrorClose() {
    this.setState({
      showErrorModal: false,
      showErrorADModal: false,
      showErrorSameNameGroup: false
    });
  }

  handleErrorShow() {
    this.setState({
      showErrorModal: true,
      disableSubmit: false
    });
  }

  handleSameNameGroupErrorShow() {
    this.setState({
      showErrorSameNameGroup: true,
      disableSubmit: false
    });
  }

  handleErrorADShow() {
    this.setState({
      showErrorADModal: true,
      disableSubmit: false
    });
  }

  disableSubmit() {
    this.setState({
      disableSubmit: true
    });
  }

  handleCheckboxChange(e) {
    // console.log(e.target.id)
    // console.log(this.checkboxToInteger(e.target.checked))
    this.setState({
      [e.target.id]: this.checkboxToInteger(e.target.checked)
    });
  }

  render() {
    return __jsx((react__WEBPACK_IMPORTED_MODULE_0___default().Fragment), null, __jsx((react_bootstrap_Jumbotron__WEBPACK_IMPORTED_MODULE_4___default()), null, __jsx((react_bootstrap_Container__WEBPACK_IMPORTED_MODULE_3___default()), null, !this.state.showModal ? __jsx("div", {
      style: {
        marginBottom: '3%'
      }
    }, __jsx((react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_6___default()), {
      placement: "right",
      overlay: __jsx((react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_7___default()), {
        id: "button-tooltip-2"
      }, "Add new role")
    }, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2___default()), {
      id: "btn-new-role",
      variant: "outline-dark",
      onClick: this.handleAdd
    }, __jsx("svg", {
      width: "1em",
      height: "1em",
      viewBox: "0 0 16 16",
      className: "bi bi-person-plus",
      fill: "currentColor",
      xmlns: "http://www.w3.org/2000/svg"
    }, __jsx("path", {
      fillRule: "evenodd",
      d: "M8 5a2 2 0 1 1-4 0 2 2 0 0 1 4 0zM6 8a3 3 0 1 0 0-6 3 3 0 0 0 0 6zm6 5c0 1-1 1-1 1H1s-1 0-1-1 1-4 6-4 6 3 6 4zm-1-.004c-.001-.246-.154-.986-.832-1.664C9.516 10.68 8.289 10 6 10c-2.29 0-3.516.68-4.168 1.332-.678.678-.83 1.418-.832 1.664h10zM13.5 5a.5.5 0 0 1 .5.5V7h1.5a.5.5 0 0 1 0 1H14v1.5a.5.5 0 0 1-1 0V8h-1.5a.5.5 0 0 1 0-1H13V5.5a.5.5 0 0 1 .5-.5z"
    }))))) : '', !this.state.showModal ? // <div style={{ height: 250, width: '100%' }}>
    //     <DataGrid rows={this.state.roleList} columns={this.state.columns} />
    __jsx((react_bootstrap_Table__WEBPACK_IMPORTED_MODULE_5___default()), {
      striped: true,
      bordered: true,
      hover: true
    }, __jsx("thead", null, __jsx("tr", null, __jsx("th", null, "#"), __jsx("th", null, "Role name"), __jsx("th", null, "Description"), __jsx("th", null, "Group"), __jsx("th", null, "Permissions"), __jsx("th", null, "Status"), __jsx("th", null))), __jsx("tbody", null, this.state.roleList.map(role => __jsx("tr", {
      key: role.id
    }, __jsx("td", null, role.id), __jsx("td", null, role.name), __jsx("td", null, role.description), __jsx("td", null, role.group_name), __jsx("td", null, role.dashboard ? "Dashboard" : "", role.dashboard ? __jsx("br", null) : '', role.restrictions ? "Restrictions" : "", role.restrictions ? __jsx("br", null) : '', role.settings ? "Settings" : "", role.settings ? __jsx("br", null) : '', role.activity ? "Activity" : "", role.activity ? __jsx("br", null) : '', role.import_export ? "Import/Export" : ""), __jsx("td", null, role.status == 1 ? "active" : "deactivated"), __jsx("td", null, __jsx((react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_6___default()), {
      placement: "right",
      overlay: __jsx((react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_7___default()), {
        id: "button-tooltip-edit"
      }, "Edit")
    }, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2___default()), {
      id: role.id,
      variant: "variant-dark",
      onClick: this.handleEdit
    }, __jsx(react_icons_fa__WEBPACK_IMPORTED_MODULE_17__/* .FaEdit */ .fmQ, {
      id: role.id
    })))))))) // </div>
    // end listing
    : // start form
    __jsx(formik__WEBPACK_IMPORTED_MODULE_13__.Formik, {
      enableReinitialize: true,
      validationSchema: this.state.schema,
      onSubmit: values => {
        console.log(values);
        this.disableSubmit();
        this.handleSave(values);
      },
      initialValues: this.state.role
    }, ({
      handleSubmit,
      handleChange,
      handleBlur,
      values,
      touched,
      isValid,
      errors
    }) => __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default()), {
      onSubmit: handleSubmit
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_9___default()),
      controlId: "name"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Label), {
      column: true,
      sm: "2"
    }, "Name"), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_10___default()), {
      sm: "10"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Control), {
      type: "text",
      name: "name",
      value: values.name,
      onChange: handleChange,
      onBlur: handleBlur,
      isInvalid: !!errors.name && touched.name
    }), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Control.Feedback), {
      type: "invalid"
    }, errors.name))), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_9___default()),
      controlId: "description"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Label), {
      column: true,
      sm: "2"
    }, "Description"), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_10___default()), {
      sm: "10"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Control), {
      type: "text",
      name: "description",
      value: values.description,
      onChange: handleChange,
      isInvalid: !!errors.description
    }))), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_9___default()),
      controlId: "group_type"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Label), {
      column: true,
      sm: "2"
    }, "Windows group"), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_10___default()), {
      sm: "10"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Control), {
      as: "select",
      value: values.group_type,
      defaultValue: values.group_type,
      onChange: e => {
        handleChange(e);
        this.handleGroupType(e);
      },
      custom: true
    }, __jsx("option", {
      value: "local"
    }, "Local"), __jsx("option", {
      value: "AD"
    }, "Active Directory")))), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_9___default()),
      controlId: "group_name"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Label), {
      column: true,
      sm: "2"
    }, "Group name"), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_10___default()), {
      sm: "8"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Control), {
      type: "text",
      name: "group_name",
      value: values.group_name,
      onChange: e => {
        handleChange(e);
        this.handleGroupName(e);
      },
      onBlur: handleBlur,
      isInvalid: !!errors.group_name && touched.group_name
    }), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Control.Feedback), {
      type: "invalid"
    }, errors.group_name)), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_10___default()), {
      sm: "2"
    }, __jsx((react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_6___default()), {
      placement: "right",
      overlay: __jsx((react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_7___default()), {
        id: "button-tooltip-2"
      }, "Validate group")
    }, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2___default()), {
      id: "btn-test-group",
      variant: this.state.validationButton,
      onClick: this.testGroup
    }, __jsx("svg", {
      width: "1em",
      height: "1em",
      viewBox: "0 0 16 16",
      className: "bi bi-check2",
      fill: "currentColor",
      xmlns: "http://www.w3.org/2000/svg"
    }, __jsx("path", {
      fillRule: "evenodd",
      d: "M13.854 3.646a.5.5 0 0 1 0 .708l-7 7a.5.5 0 0 1-.708 0l-3.5-3.5a.5.5 0 1 1 .708-.708L6.5 10.293l6.646-6.647a.5.5 0 0 1 .708 0z"
    })))))), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_9___default()),
      controlId: "status"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Label), {
      column: true,
      sm: "2"
    }, "Active"), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_10___default()), {
      sm: "10"
    }, __jsx("input", {
      id: "status",
      name: "status",
      type: "checkbox",
      defaultChecked: this.state.role.status,
      onClick: e => this.handleCheckboxChange(e) // onChange={handleChange} 
      // onChange={(e) => {handleChange(e); this.handleCheckboxChange(e)}}

    }))), __jsx((react_bootstrap_Table__WEBPACK_IMPORTED_MODULE_5___default()), {
      striped: true,
      bordered: true,
      hover: true
    }, __jsx("thead", null, __jsx("tr", null, __jsx("th", null, "Permissions"), __jsx("th", null, "Allow"))), __jsx("tbody", null, __jsx("tr", null, __jsx("td", null, "Dashboard"), __jsx("td", null, __jsx("input", {
      id: "dashboard",
      name: "dashboard",
      type: "checkbox",
      defaultChecked: this.state.role.dashboard,
      onClick: e => this.handleCheckboxChange(e) // onChange={handleChange} />                                          
      // onChange={(e) => {handleChange(e); this.handleCheckboxChange(e)}}

    }))), __jsx("tr", null, __jsx("td", null, "Restrictions"), __jsx("td", null, __jsx("input", {
      id: "restrictions",
      name: "restrictions",
      type: "checkbox",
      defaultChecked: this.state.role.restrictions,
      onClick: e => this.handleCheckboxChange(e) // onChange={handleChange} />                                        
      // onChange={(e) => {handleChange(e); this.handleCheckboxChange(e)}}

    }))), __jsx("tr", null, __jsx("td", null, "Activity"), __jsx("td", null, __jsx("input", {
      id: "activity",
      name: "activity",
      type: "checkbox",
      defaultChecked: this.state.role.activity,
      value: values.activity,
      onClick: e => this.handleCheckboxChange(e) // onChange={handleChange} />                                        
      // onChange={(e) => {handleChange(e); this.handleCheckboxChange(e)}}

    }))), __jsx("tr", null, __jsx("td", null, "Settings"), __jsx("td", null, __jsx("input", {
      id: "settings",
      name: "settings",
      type: "checkbox",
      defaultChecked: this.state.role.settings // onChange={handleChange} />        
      ,
      onClick: e => this.handleCheckboxChange(e) // onChange={(e) => {handleChange(e); this.handleCheckboxChange(e)}}

    }))), __jsx("tr", null, __jsx("td", null, "Import/Export"), __jsx("td", null, __jsx("input", {
      id: "import_export",
      name: "import_export",
      type: "checkbox",
      defaultChecked: this.state.role.import_export,
      onClick: e => this.handleCheckboxChange(e) // onChange={handleChange} />                                        
      // onChange={(e) => {handleChange(e); this.handleCheckboxChange(e)}}

    }))))), __jsx((react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_9___default()), null, __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_10___default()), {
      md: {
        span: 1,
        offset: 4
      }
    }, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2___default()), {
      id: "btn-cancel",
      variant: "secondary",
      onClick: this.handleClose
    }, "Cancel")), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_10___default()), {
      md: 1
    }, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2___default()), {
      id: "btn-save",
      disabled: this.state.disableSubmit,
      variant: "primary",
      type: "submit"
    }, "Save"))))), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_8___default()), {
      show: this.state.showErrorSameNameGroup,
      onHide: this.handleErrorClose,
      "aria-labelledby": "contained-modal-title-vcenter",
      centered: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_8___default().Header), {
      closeButton: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_8___default().Title), null, "Duplicate error")), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_8___default().Body), null, "You have entered an existing role name or a group assigned to another role. Please double check and try again"), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_8___default().Footer), null, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2___default()), {
      variant: "secondary",
      onClick: this.handleErrorClose
    }, "Close"))), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_8___default()), {
      show: this.state.showErrorModal,
      onHide: this.handleErrorClose,
      "aria-labelledby": "contained-modal-title-vcenter",
      centered: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_8___default().Header), {
      closeButton: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_8___default().Title), null, "Ops, something didn't work as expected")), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_8___default().Body), null, "There has been an error when processing your request, please try again or contact support"), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_8___default().Footer), null, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2___default()), {
      variant: "secondary",
      onClick: this.handleErrorClose
    }, "Close"))), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_8___default()), {
      show: this.state.showErrorADModal,
      onHide: this.handleErrorClose,
      "aria-labelledby": "contained-modal-title-vcenter",
      centered: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_8___default().Header), null, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_8___default().Title), null, "AD setup error")), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_8___default().Body), null, "The settings you added can't be validated. Please try again."), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_8___default().Footer), null, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2___default()), {
      variant: "secondary",
      onClick: this.handleErrorClose
    }, "Close"))))));
  }

}

/* harmony default export */ __webpack_exports__["default"] = (Roles);

/***/ })

};
;