exports.id = 3677;
exports.ids = [3677];
exports.modules = {

/***/ 2217:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": function() { return /* binding */ log; }
/* harmony export */ });
function log(username, module, description, host, details) {
  let payload = {
    date: new Date().getTime(),
    user: username,
    module: module,
    description: description,
    computer: host
  };
  if (details) payload.details = details;
  fetch('/api/activity', {
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json'
    },
    body: JSON.stringify(payload)
  });
}

/***/ }),

/***/ 3677:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9297);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5777);
/* harmony import */ var react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_bootstrap_Container__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(8622);
/* harmony import */ var react_bootstrap_Container__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Container__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var react_bootstrap_Jumbotron__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(4019);
/* harmony import */ var react_bootstrap_Jumbotron__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Jumbotron__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(7140);
/* harmony import */ var react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var react_bootstrap_FormControl__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(10);
/* harmony import */ var react_bootstrap_FormControl__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_FormControl__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(3406);
/* harmony import */ var react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(7707);
/* harmony import */ var react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var react_bootstrap_InputGroup__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(6195);
/* harmony import */ var react_bootstrap_InputGroup__WEBPACK_IMPORTED_MODULE_8___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_InputGroup__WEBPACK_IMPORTED_MODULE_8__);
/* harmony import */ var react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(4336);
/* harmony import */ var react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_9___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_9__);
/* harmony import */ var yup__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(9440);
/* harmony import */ var yup__WEBPACK_IMPORTED_MODULE_10___default = /*#__PURE__*/__webpack_require__.n(yup__WEBPACK_IMPORTED_MODULE_10__);
/* harmony import */ var formik__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(7717);
/* harmony import */ var formik__WEBPACK_IMPORTED_MODULE_11___default = /*#__PURE__*/__webpack_require__.n(formik__WEBPACK_IMPORTED_MODULE_11__);
/* harmony import */ var _lib_log__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(2217);
/* harmony import */ var _lib_aes__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(3730);
/* harmony import */ var _lib_aes__WEBPACK_IMPORTED_MODULE_12___default = /*#__PURE__*/__webpack_require__.n(_lib_aes__WEBPACK_IMPORTED_MODULE_12__);

var __jsx = (react__WEBPACK_IMPORTED_MODULE_0___default().createElement);














class Ldap extends (react__WEBPACK_IMPORTED_MODULE_0___default().Component) {
  constructor(props) {
    super(props);
    let schema = yup__WEBPACK_IMPORTED_MODULE_10__.object({
      user: yup__WEBPACK_IMPORTED_MODULE_10__.string().required(),
      pass: yup__WEBPACK_IMPORTED_MODULE_10__.string().required(),
      baseDN: yup__WEBPACK_IMPORTED_MODULE_10__.string().required(),
      port: yup__WEBPACK_IMPORTED_MODULE_10__.number().min(0).max(65535).required()
    });

    if (this.props.ldapSettings != null) {
      this.state = {
        showApplyModal: false,
        showErrorModal: false,
        showErrorADModal: false,
        schema: schema,
        button: 'none',
        ldapSettings: this.props.ldapSettings,
        user: this.props.ldapSettings.user,
        pass: this.props.ldapSettings.pass,
        baseDN: this.props.ldapSettings.baseDN,
        port: this.props.ldapSettings.port
      };
    } else {
      this.state = {
        user: '',
        pass: '',
        baseDN: '',
        port: '',
        ldapSettings: {
          'user': '',
          'pass': '',
          'baseDN': '',
          'port': ''
        }
      };
    }

    console.log(this.state); // bind the action handlers

    this.handleApplyClose = this.handleApplyClose.bind(this);
    this.handleApplyShow = this.handleApplyShow.bind(this);
    this.handleApplyADSettings = this.handleApplyADSettings.bind(this);
    this.handleErrorClose = this.handleErrorClose.bind(this);
    this.handleErrorShow = this.handleErrorShow.bind(this);
    this.testConnection = this.testConnection.bind(this);
  }

  componentDidMount() {
    var getUrl = window.location;
    console.log(getUrl.host);
    var hostIP = getUrl.host;
    this.setState(state => ({
      host: hostIP
    }));
  }

  handleApplyClose() {
    this.setState({
      showApplyModal: false
    });
  }

  handleApplyShow() {
    this.setState({
      showApplyModal: true
    });
  }

  handleErrorClose() {
    this.setState({
      showErrorModal: false,
      showErrorADModal: false
    });
  }

  handleErrorShow() {
    this.setState({
      showErrorModal: true
    });
  }

  handleErrorADShow() {
    this.setState({
      showErrorADModal: true
    });
  } // handleTextValue(e, value) {
  //     console.log(e.target.value)
  //     this.setState(state => ({value: e.target.value})) 
  // }


  handleUsername(e) {
    console.log(e.target.value);
    this.setState(state => ({
      user: e.target.value
    }));
  }

  handlePassword(e) {
    console.log(e.target.value);
    this.setState(state => ({
      pass: e.target.value
    }));
  }

  handleBasedn(e) {
    console.log(e.target.value);
    this.setState(state => ({
      baseDN: e.target.value
    }));
  }

  handlePort(e) {
    console.log(e.target.value);
    this.setState(state => ({
      port: e.target.value
    }));
  }

  handleApplyADSettings(data) {
    // transform checkboxes value to integer
    console.log(data); // build URL from baseDN

    let url = this.getADURL(this.state.baseDN);
    let payload = {
      'user': this.state.user,
      'pass': this.state.pass,
      'baseDN': this.state.baseDN,
      'port': this.state.port,
      'url': url
    };
    const logDetails = {
      'title': 'Active Directory User Details',
      'columns': [{
        'title': 'Username',
        'value': this.state.user
      }, {
        'title': 'BaseDN',
        'value': this.state.baseDN
      }, {
        'title': 'Port',
        'value': this.state.port
      }]
    };
    const ADLoginEndpoint = '/api/ldap/authenticate';
    fetch(ADLoginEndpoint, {
      method: 'POST',
      headers: {
        'Accept': 'application/json',
        'Content-Type': 'application/json'
      },
      body: JSON.stringify(payload)
    }).then(response => {
      console.log(response.status);

      switch (response.status) {
        case 200:
          const ADSettingsEndpoint = this.props.serviceURL + '/ldapsettings';
          console.log(ADSettingsEndpoint);
          payload = _lib_aes__WEBPACK_IMPORTED_MODULE_12___default().Encrypt(JSON.stringify(payload), this.props.JAKO, this.props.OJAK);
          fetch(ADSettingsEndpoint, {
            method: 'POST',
            body: payload
          }).then(response => {
            if (response.status == 200) {
              this.handleApplyShow();
              if (this.props.ldapSettings.user != '') (0,_lib_log__WEBPACK_IMPORTED_MODULE_13__/* .default */ .Z)(this.props.user.username, this.props.logModule, " modified Active Directory settings from ", this.state.host, logDetails);else (0,_lib_log__WEBPACK_IMPORTED_MODULE_13__/* .default */ .Z)(this.props.user.username, this.props.logModule, " added Active Directory settings from ", this.state.host, logDetails);
            } else {
              this.handleErrorShow();
            }
          }).catch(error => {
            this.handleErrorShow();
            console.error('There has been a problem with your fetch operation:', error);
          });
          break;

        default:
          this.handleErrorADShow();
          break;
      }
    });
  }

  getADURL(basedn) {
    let baseDNComponents = basedn.split(',');
    let baseDNBit = [];
    let baseURL = [];
    baseDNComponents.map(value => {
      baseDNBit = value.split('=');
      console.log(baseDNBit);

      if (baseDNBit[0].toLowerCase() == 'dc') {
        baseURL.push(baseDNBit[1]);
        console.log(baseURL);
      }
    });
    let url = 'ldap://' + baseURL.join('.');
    return url;
  }

  testConnection() {
    const ADLoginEndpoint = '/api/ldap/authenticate';
    console.log(ADLoginEndpoint); // build URL from baseDN

    let url = this.getADURL(this.state.baseDN);
    var payloadAuthentication = {
      'user': this.state.user,
      'pass': this.state.pass,
      'baseDN': this.state.baseDN,
      'port': this.state.port,
      'url': url
    };
    fetch(ADLoginEndpoint, {
      method: 'POST',
      headers: {
        'Accept': 'application/json',
        'Content-Type': 'application/json'
      },
      body: JSON.stringify(payloadAuthentication)
    }).then(response => {
      console.log(response.status);

      switch (response.status) {
        case 200:
          this.setState(state => ({
            button: 'success'
          }));
          break;

        default:
          this.setState(state => ({
            button: 'failed'
          }));
          break;
      }
    }).catch(err => console.log(err));
  }

  render() {
    return __jsx((react__WEBPACK_IMPORTED_MODULE_0___default().Fragment), null, __jsx((react_bootstrap_Jumbotron__WEBPACK_IMPORTED_MODULE_3___default()), null, __jsx((react_bootstrap_Container__WEBPACK_IMPORTED_MODULE_2___default()), null, __jsx(formik__WEBPACK_IMPORTED_MODULE_11__.Formik, {
      validationSchema: this.state.schema,
      onSubmit: values => {
        console.log(values);
        this.handleApplyADSettings(values);
      },
      initialValues: this.state.ldapSettings
    }, ({
      handleSubmit,
      handleChange,
      handleBlur,
      values,
      touched,
      isValid,
      errors
    }) => __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default()), {
      onSubmit: handleSubmit
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_6___default()),
      controlId: "user"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Label), {
      column: true,
      sm: "4"
    }, "Username"), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_7___default()), {
      sm: "4"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Control), {
      name: "user",
      value: values.user,
      onChange: e => {
        handleChange(e);
        this.handleUsername(e);
      },
      onBlur: handleBlur,
      placeholder: "userPrincipalName",
      isInvalid: !!errors.user && touched.user
    }), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Control.Feedback), {
      type: "invalid"
    }, errors.user))), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_6___default()),
      controlId: "pass"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Label), {
      column: true,
      sm: "4"
    }, "Password"), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_7___default()), {
      sm: "4"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Control), {
      type: "password",
      value: values.pass,
      onChange: e => {
        handleChange(e);
        this.handlePassword(e);
      },
      onBlur: handleBlur,
      placeholder: "AD Password",
      isInvalid: !!errors.pass && touched.pass
    }), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Control.Feedback), {
      type: "invalid"
    }, errors.pass))), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_6___default()),
      controlId: "baseDN"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Label), {
      column: true,
      sm: "4"
    }, "BaseDN"), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_7___default()), {
      sm: "4"
    }, __jsx((react_bootstrap_InputGroup__WEBPACK_IMPORTED_MODULE_8___default()), {
      className: "mb-2"
    }, __jsx((react_bootstrap_FormControl__WEBPACK_IMPORTED_MODULE_5___default()), {
      name: "baseDN",
      value: values.baseDN,
      onChange: e => {
        handleChange(e);
        this.handleBasedn(e);
      },
      onBlur: handleBlur,
      placeholder: "dc=domain,dc=com",
      isInvalid: !!errors.baseDN && touched.baseDN
    }), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Control.Feedback), {
      type: "invalid"
    }, errors.baseDN)))), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_6___default()),
      controlId: "port"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Label), {
      column: true,
      sm: "4"
    }, "Port"), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_7___default()), {
      sm: "4"
    }, __jsx((react_bootstrap_InputGroup__WEBPACK_IMPORTED_MODULE_8___default()), {
      className: "mb-2"
    }, __jsx((react_bootstrap_FormControl__WEBPACK_IMPORTED_MODULE_5___default()), {
      name: "port",
      value: values.port,
      onChange: e => {
        handleChange(e);
        this.handlePort(e);
      },
      onBlur: handleBlur,
      placeholder: "389 or 636",
      isInvalid: !!errors.port && touched.port
    }), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Control.Feedback), {
      type: "invalid"
    }, errors.port)))), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_6___default()),
      controlId: "port"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Label), {
      column: true,
      sm: "4"
    }), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_7___default()), {
      sm: "2"
    }, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1___default()), {
      id: "btn-test-connection",
      onClick: this.testConnection,
      variant: "info"
    }, "Test connection")), this.state.button == 'success' ? __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_7___default()), {
      md: 1
    }, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1___default()), {
      variant: "success"
    }, __jsx("svg", {
      width: "1em",
      height: "1em",
      viewBox: "0 0 16 16",
      className: "bi bi-check",
      fill: "currentColor",
      xmlns: "http://www.w3.org/2000/svg"
    }, __jsx("path", {
      fillRule: "evenodd",
      d: "M10.97 4.97a.75.75 0 0 1 1.071 1.05l-3.992 4.99a.75.75 0 0 1-1.08.02L4.324 8.384a.75.75 0 1 1 1.06-1.06l2.094 2.093 3.473-4.425a.236.236 0 0 1 .02-.022z"
    })))) : '', this.state.button == 'failed' ? __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_7___default()), {
      md: 1
    }, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1___default()), {
      variant: "danger"
    }, __jsx("svg", {
      width: "1em",
      height: "1em",
      viewBox: "0 0 16 16",
      className: "bi bi-x",
      fill: "currentColor",
      xmlns: "http://www.w3.org/2000/svg"
    }, __jsx("path", {
      fillRule: "evenodd",
      d: "M4.646 4.646a.5.5 0 0 1 .708 0L8 7.293l2.646-2.647a.5.5 0 0 1 .708.708L8.707 8l2.647 2.646a.5.5 0 0 1-.708.708L8 8.707l-2.646 2.647a.5.5 0 0 1-.708-.708L7.293 8 4.646 5.354a.5.5 0 0 1 0-.708z"
    })))) : ''), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_7___default()), {
      md: {
        span: 1,
        offset: 4
      }
    }, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1___default()), {
      id: "btn-apply-ldapSettings",
      type: "submit",
      variant: "dark"
    }, "Apply")))), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_9___default()), {
      show: this.state.showApplyModal,
      onHide: this.handleApplyClose,
      "aria-labelledby": "contained-modal-title-vcenter",
      centered: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_9___default().Header), {
      closeButton: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_9___default().Title), null, "AD settings")), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_9___default().Body), null, "AD settings applied successfully"), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_9___default().Footer), null, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1___default()), {
      id: "btn-cancel-ldapsettings",
      variant: "secondary",
      onClick: this.handleApplyClose
    }, "Close"))), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_9___default()), {
      show: this.state.showErrorModal,
      onHide: this.handleErrorClose,
      "aria-labelledby": "contained-modal-title-vcenter",
      centered: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_9___default().Header), null, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_9___default().Title), null, "Ops, something didn't work as expected")), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_9___default().Body), null, "There has been an error when processing your request, please try again or contact support"), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_9___default().Footer), null, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1___default()), {
      variant: "secondary",
      onClick: this.handleErrorClose
    }, "Close"))), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_9___default()), {
      show: this.state.showErrorADModal,
      onHide: this.handleErrorClose,
      "aria-labelledby": "contained-modal-title-vcenter",
      centered: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_9___default().Header), null, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_9___default().Title), null, "AD setup error")), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_9___default().Body), null, "The settings you added can't be validated. Please try again."), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_9___default().Footer), null, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1___default()), {
      variant: "secondary",
      onClick: this.handleErrorClose
    }, "Close"))))));
  }

}

/* harmony default export */ __webpack_exports__["default"] = (Ldap);

/***/ })

};
;