exports.id = 5674;
exports.ids = [5674];
exports.modules = {

/***/ 5674:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9297);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(7140);
/* harmony import */ var react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_bootstrap_InputGroup__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(6195);
/* harmony import */ var react_bootstrap_InputGroup__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_InputGroup__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(7707);
/* harmony import */ var react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(8337);
/* harmony import */ var react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(9988);
/* harmony import */ var react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_5__);

var __jsx = (react__WEBPACK_IMPORTED_MODULE_0___default().createElement);






class FileExplorerPathRestriction extends (react__WEBPACK_IMPORTED_MODULE_0___default().Component) {
  constructor(props) {
    super(props);
    console.log(this.props.filePath);
    let showPathTextbox = false;

    if (this.props.filePath != '') {
      showPathTextbox = true;
      this.state = {
        "filePath": this.props.filePath,
        "showPathTextbox": showPathTextbox
      };
    } else {
      this.state = {
        "filePath": '',
        "restrictions": []
      };
    }

    console.log(showPathTextbox);
    this.handleChange = this.handleChange.bind(this);
  }

  checkStatus(searchVal) {
    let checked = false;

    if (this.props.restrictions != null) {
      this.props.restrictions.settings.map(restriction => {
        if (restriction.tag == searchVal) checked = true;
      });
    }

    return checked;
  }

  addLabel(searchVal) {
    let label;

    if (this.props.restrictions != null) {
      this.props.components.configs.map(component => {
        if (component.restrictionTag == searchVal) label = component.restrictionLabel;
        return label;
      });
    }

    return label;
  }

  addTooltip(searchVal) {
    let description;

    if (this.props.restrictions != null) {
      this.props.components.configs.map(component => {
        //console.log(component);
        if (component.restrictionTag == searchVal) description = component.restrictionDesc;
        return description;
      });
    } //console.log(checked);


    return description;
  }

  handleChange(e) {
    this.props.handleRestrictionsChange(e);

    if (e.target.id == "SYS_AddFileExplorerPathCheck" && e.target.checked == true) {
      this.setState(state => ({
        showPathTextbox: true
      }));
    } else if (e.target.id == "SYS_AddFileExplorerPathCheck" && e.target.checked == false) {
      this.setState(state => ({
        showPathTextbox: false,
        filePath: ''
      }));
    }
  }

  render() {
    return __jsx((react__WEBPACK_IMPORTED_MODULE_0___default().Fragment), null, __jsx((react_bootstrap_InputGroup__WEBPACK_IMPORTED_MODULE_2___default()), null, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Check), {
      id: "SYS_AddFileExplorerPathCheck",
      type: "switch",
      defaultChecked: this.checkStatus("SYS_AddFileExplorerPath"),
      onChange: this.handleChange,
      label: this.addLabel("SYS_AddFileExplorerPath")
    }), __jsx((react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_4___default()), {
      placement: "right",
      overlay: __jsx((react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_5___default()), {
        id: "button-tooltip-2"
      }, this.addTooltip("SYS_AddFileExplorerPath"))
    }, __jsx("svg", {
      width: "2em",
      height: "0.8em",
      viewBox: "0 0 16 16",
      className: "bi bi-info-circle-fill",
      fill: "grey",
      xmlns: "http://www.w3.org/2000/svg"
    }, __jsx("path", {
      fillRule: "evenodd",
      d: "M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm.93-9.412l-2.29.287-.082.38.45.083c.294.07.352.176.288.469l-.738 3.468c-.194.897.105 1.319.808 1.319.545 0 1.178-.252 1.465-.598l.088-.416c-.2.176-.492.246-.686.246-.275 0-.375-.193-.304-.533L8.93 6.588zM8 5.5a1 1 0 1 0 0-2 1 1 0 0 0 0 2z"
    })))), this.state.showPathTextbox ? __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_3___default()), {
      sm: {
        span: 6,
        offset: 1
      }
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Control), {
      id: "SYS_AddFileExplorerPath",
      placeholder: "Add path",
      defaultValue: this.state.filePath,
      onChange: this.handleChange
    })) : '');
  }

}

/* harmony default export */ __webpack_exports__["default"] = (FileExplorerPathRestriction);

/***/ })

};
;