exports.id = 6770;
exports.ids = [6770];
exports.modules = {

/***/ 6770:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9297);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5777);
/* harmony import */ var react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(4336);
/* harmony import */ var react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var react_bootstrap_Table__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(8096);
/* harmony import */ var react_bootstrap_Table__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Table__WEBPACK_IMPORTED_MODULE_3__);

var __jsx = (react__WEBPACK_IMPORTED_MODULE_0___default().createElement);




class ActivityDetailsModal extends (react__WEBPACK_IMPORTED_MODULE_0___default().Component) {
  constructor(props) {
    super(props);

    if (this.props.details != null) {
      // set state variables
      this.state = {
        showModal: false,
        title: this.props.details.title,
        columns: this.props.details.columns
      };
    } else {
      this.state = {
        showModal: false,
        title: {},
        columns: []
      };
    } // bind the action handlers


    this.handleClose = this.handleClose.bind(this);
    this.handleShow = this.handleShow.bind(this);
  }

  handleShow() {
    this.setState({
      showModal: true
    });
  }

  handleClose() {
    this.setState({
      showModal: false
    });
  }

  render() {
    return __jsx((react__WEBPACK_IMPORTED_MODULE_0___default().Fragment), null, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1___default()), {
      id: "btn-show-role-details",
      variant: "link",
      onClick: this.handleShow
    }, __jsx("svg", {
      xmlns: "http://www.w3.org/2000/svg",
      width: "16",
      height: "16",
      fill: "currentColor",
      className: "bi bi-zoom-in",
      viewBox: "0 0 16 16"
    }, __jsx("path", {
      fillRule: "evenodd",
      d: "M6.5 12a5.5 5.5 0 1 0 0-11 5.5 5.5 0 0 0 0 11zM13 6.5a6.5 6.5 0 1 1-13 0 6.5 6.5 0 0 1 13 0z"
    }), __jsx("path", {
      d: "M10.344 11.742c.03.04.062.078.098.115l3.85 3.85a1 1 0 0 0 1.415-1.414l-3.85-3.85a1.007 1.007 0 0 0-.115-.1 6.538 6.538 0 0 1-1.398 1.4z"
    }), __jsx("path", {
      fillRule: "evenodd",
      d: "M6.5 3a.5.5 0 0 1 .5.5V6h2.5a.5.5 0 0 1 0 1H7v2.5a.5.5 0 0 1-1 0V7H3.5a.5.5 0 0 1 0-1H6V3.5a.5.5 0 0 1 .5-.5z"
    }))), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_2___default()), {
      show: this.state.showModal,
      onHide: this.handleClose,
      "aria-labelledby": "contained-modal-title-vcenter",
      size: "lg",
      centered: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_2___default().Header), {
      closeButton: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_2___default().Title), null, this.state.title)), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_2___default().Body), null, __jsx((react_bootstrap_Table__WEBPACK_IMPORTED_MODULE_3___default()), {
      striped: true,
      bordered: true,
      hover: true
    }, __jsx("thead", null, __jsx("tr", null, __jsx("th", null), __jsx("th", null))), __jsx("tbody", null, this.state.columns ? this.state.columns.map((line, index) => __jsx("tr", {
      key: index
    }, __jsx("th", null, line.title), __jsx("th", null, line.value))) : ''))), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_2___default().Footer), null, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1___default()), {
      id: "btn-close-role",
      variant: "secondary",
      onClick: this.handleClose
    }, "Close"))));
  }

}

/* harmony default export */ __webpack_exports__["default"] = (ActivityDetailsModal);

/***/ })

};
;