exports.id = 7737;
exports.ids = [7737];
exports.modules = {

/***/ 7737:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9297);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react_bootstrap_ToggleButton__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1502);
/* harmony import */ var react_bootstrap_ToggleButton__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_ToggleButton__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_bootstrap_ToggleButtonGroup__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(9521);
/* harmony import */ var react_bootstrap_ToggleButtonGroup__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_ToggleButtonGroup__WEBPACK_IMPORTED_MODULE_2__);

var __jsx = (react__WEBPACK_IMPORTED_MODULE_0___default().createElement);

 // import ToggleButtonGroup from '@material-ui/lab/ToggleButtonGroup';
// import ToggleButton from '@material-ui/lab/ToggleButton';

class DriveSelectionRestriction extends (react__WEBPACK_IMPORTED_MODULE_0___default().Component) {
  constructor(props) {
    super(props);

    if (this.props.items == null) {
      this.state = {
        items: []
      };
    } else {
      let driveSet = [];
      this.props.items.map(component => {
        console.log(component);

        if (component.restrictionTag.startsWith('SYS_DisableDrive')) {
          driveSet.push(component);
        }
      });
      this.state = {
        items: driveSet
      };
    }

    this.handleChange = this.handleChange.bind(this);
  }

  addLabel(searchVal) {
    let label;
    this.props.components.configs.map(component => {
      if (component.restrictionTag == searchVal) label = component.restrictionLabel;
      return label;
    });
    return label;
  }

  handleChange(e) {
    this.props.handleRestrictionsChange(e);
  }

  render() {
    return __jsx((react__WEBPACK_IMPORTED_MODULE_0___default().Fragment), null, __jsx("br", null), __jsx("h5", null, "Disable Access to Drives on File Explorer"), __jsx((react_bootstrap_ToggleButtonGroup__WEBPACK_IMPORTED_MODULE_2___default()), {
      type: "checkbox",
      className: "mb-2"
    }, this.state.items.map((component, index) => component.restrictionTag.startsWith('SYS_DisableDrive') && index < 14 ? __jsx((react_bootstrap_ToggleButton__WEBPACK_IMPORTED_MODULE_1___default()), {
      id: component.restrictionTag,
      key: component.restrictionTag,
      onChange: this.handleChange,
      variant: "outline-dark",
      value: component.restrictionTag
    }, this.addLabel(component.restrictionTag)) : '')), __jsx((react_bootstrap_ToggleButtonGroup__WEBPACK_IMPORTED_MODULE_2___default()), {
      type: "checkbox",
      className: "mb-2"
    }, this.state.items.map((component, index) => component.restrictionTag.startsWith('SYS_DisableDrive') && index > 13 ? __jsx((react_bootstrap_ToggleButton__WEBPACK_IMPORTED_MODULE_1___default()), {
      id: component.restrictionTag,
      key: component.restrictionTag,
      onChange: this.handleChange,
      variant: "outline-dark",
      value: component.restrictionTag
    }, this.addLabel(component.restrictionTag)) : '')));
  }

}

/* harmony default export */ __webpack_exports__["default"] = (DriveSelectionRestriction);

/***/ })

};
;