exports.id = 7893;
exports.ids = [7893];
exports.modules = {

/***/ 2217:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": function() { return /* binding */ log; }
/* harmony export */ });
function log(username, module, description, host, details) {
  let payload = {
    date: new Date().getTime(),
    user: username,
    module: module,
    description: description,
    computer: host
  };
  if (details) payload.details = details;
  fetch('/api/activity', {
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json'
    },
    body: JSON.stringify(payload)
  });
}

/***/ }),

/***/ 7893:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9297);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(7140);
/* harmony import */ var react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5777);
/* harmony import */ var react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var react_bootstrap_Image__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(5346);
/* harmony import */ var react_bootstrap_Image__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Image__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(3406);
/* harmony import */ var react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(7707);
/* harmony import */ var react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(4336);
/* harmony import */ var react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var yup__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(9440);
/* harmony import */ var yup__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(yup__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var formik__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(7717);
/* harmony import */ var formik__WEBPACK_IMPORTED_MODULE_8___default = /*#__PURE__*/__webpack_require__.n(formik__WEBPACK_IMPORTED_MODULE_8__);
/* harmony import */ var next_router__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(6731);
/* harmony import */ var next_router__WEBPACK_IMPORTED_MODULE_9___default = /*#__PURE__*/__webpack_require__.n(next_router__WEBPACK_IMPORTED_MODULE_9__);
/* harmony import */ var _lib_aes__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(3730);
/* harmony import */ var _lib_aes__WEBPACK_IMPORTED_MODULE_10___default = /*#__PURE__*/__webpack_require__.n(_lib_aes__WEBPACK_IMPORTED_MODULE_10__);
/* harmony import */ var _lib_log__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(2217);
/* harmony import */ var _material_ui_core_LinearProgress__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(3875);

var __jsx = (react__WEBPACK_IMPORTED_MODULE_0___default().createElement);













class LoginForm extends (react__WEBPACK_IMPORTED_MODULE_0___default().Component) {
  constructor(props) {
    super(props);
    console.log(props);
    let schema = yup__WEBPACK_IMPORTED_MODULE_7__.object({
      username: yup__WEBPACK_IMPORTED_MODULE_7__.string().required(),
      password: yup__WEBPACK_IMPORTED_MODULE_7__.string().required()
    });
    this.state = {
      username: '',
      password: '',
      loginType: 'local',
      showProgress: false,
      showLoginErrorLockedModal: false,
      showLoginErrorAuthenticationModal: false,
      showLoginErrorPermissionsModal: false,
      showLoginErrorMultipleRolesModal: false,
      schema: schema,
      logModule: 'login'
    };
    this.handleLoginErrorClose = this.handleLoginErrorClose.bind(this);
    this.handleLoginErrorAuthenticationShow = this.handleLoginErrorAuthenticationShow.bind(this);
    this.handleLoginErrorLockedShow = this.handleLoginErrorLockedShow.bind(this);
    this.handleLoginErrorPermissionsShow = this.handleLoginErrorPermissionsShow.bind(this);
    this.handleLoginErrorMultipleRolesShow = this.handleLoginErrorMultipleRolesShow.bind(this);
    this.handleLogin = this.handleLogin.bind(this); // get groups and permissions depending on the user type
    // if (this.state.loginType == 'local'){

    fetch('/api/roles').then(res => res.json()).then(data => {
      this.setState(state => ({
        groupList: data
      }));
      console.log(data);
    }).catch(err => console.log(err));
  }

  componentDidMount() {
    var getUrl = window.location;
    console.log(getUrl.host);
    var hostIP = getUrl.host;
    this.setState(state => ({
      host: hostIP
    }));
  }

  handleLogin(data) {
    this.setState(state => ({
      showProgress: true
    }));
    let payload = {
      'user': data.username,
      'pass': data.password
    };
    var numberGroups = 0; // console.log( this.props.JAKO)
    // add logic if possible to check if it is an AD or local user

    if (data.loginType == 'local') {
      // localuser call
      payload = _lib_aes__WEBPACK_IMPORTED_MODULE_10___default().Encrypt(JSON.stringify(payload), this.props.JAKO, this.props.OJAK);
      const localLoginEndpoint = this.props.serviceURL + '/localuservalidate';
      console.log(localLoginEndpoint);
      fetch(localLoginEndpoint, {
        method: 'POST',
        body: payload
      }).then(response => response.text()).then(response => {
        //  console.log(response)
        let responseDecoded = JSON.parse(_lib_aes__WEBPACK_IMPORTED_MODULE_10___default().Decrypt(response, this.props.JAKO, this.props.OJAK));
        console.log(responseDecoded);

        if (responseDecoded.isValid == false) {
          const localUsersEndpoint = this.props.serviceURL + '/localusers';
          fetch(localUsersEndpoint).then(res => res.text()).then(response => {
            let responseDecoded = JSON.parse(_lib_aes__WEBPACK_IMPORTED_MODULE_10___default().Decrypt(response, this.props.JAKO, this.props.OJAK));
            responseDecoded.users.map(user => {
              if (user.Name.trim().toLowerCase() == data.username.trim().toLowerCase()) {
                if (user.Lockout == true) {
                  this.handleLoginErrorLockedShow(); // log outcome

                  (0,_lib_log__WEBPACK_IMPORTED_MODULE_11__/* .default */ .Z)(data.username, this.state.logModule, " is locked", this.state.host);
                  return;
                } else {
                  this.handleLoginErrorAuthenticationShow(); // log outcome

                  (0,_lib_log__WEBPACK_IMPORTED_MODULE_11__/* .default */ .Z)(data.username, this.state.logModule, " User or password is incorrect", this.state.host);
                  return;
                }
              }
            });
          }).catch(error => {
            console.error('There has been a problem with your fetch operation:', error);
          });
        } else {
          // get local groups for the user
          let payloadUser = {
            'user': data.username
          };
          payloadUser = _lib_aes__WEBPACK_IMPORTED_MODULE_10___default().Encrypt(JSON.stringify(payloadUser), this.props.JAKO, this.props.OJAK);
          const userMemberOfEndpoint = this.props.serviceURL + '/usermemberof';
          fetch(userMemberOfEndpoint, {
            method: 'POST',
            body: payloadUser
          }).then(response => response.text()).then(response => {
            var group; // compare with local groups permissions

            console.log(response);
            responseDecoded = JSON.parse(_lib_aes__WEBPACK_IMPORTED_MODULE_10___default().Decrypt(response, this.props.JAKO, this.props.OJAK));
            console.log(responseDecoded);
            responseDecoded.Groups.map(userGroup => {
              this.state.groupList.map(localGroup => {
                if (userGroup.Name == localGroup.group_name && localGroup.group_type == 'local' && localGroup.status == 1) {
                  group = localGroup;
                  numberGroups = numberGroups + 1;
                  return;
                }
              });
            }); // check if there are more groups with permissions 

            let permissions = [];

            if (numberGroups == 1) {
              // populate permissions
              group.dashboard == 1 ? permissions.push("dashboard") : '';
              group.restrictions == 1 ? permissions.push("restrictions") : '';
              group.activity == 1 ? permissions.push("activity") : '';
              group.settings == 1 ? permissions.push("settings") : '';
              group.import_export == 1 ? permissions.push("import_export") : '';
              console.log(permissions);
            } else if (numberGroups == 0) {
              this.handleLoginErrorPermissionsShow();
              (0,_lib_log__WEBPACK_IMPORTED_MODULE_11__/* .default */ .Z)(data.username, this.state.logModule, " doesn’t have permissions to login to lablock from  ", this.state.host);
              return;
            } else {
              this.handleLoginErrorMultipleRolesShow();
              (0,_lib_log__WEBPACK_IMPORTED_MODULE_11__/* .default */ .Z)(data.username, this.state.logModule, "  is part of two or more groups", this.state.host);
              return;
            }

            if (permissions.length == 0) {
              this.handleLoginErrorPermissionsShow();
              (0,_lib_log__WEBPACK_IMPORTED_MODULE_11__/* .default */ .Z)(data.username, this.state.logModule, " doesn’t have permissions to login to lablock from  ", this.state.host);
              return;
            } // retrieve more user information


            let userDetails = {};
            const localUsersEndpoint = this.props.serviceURL + '/localusers';
            fetch(localUsersEndpoint).then(res => res.text()).then(response => {
              responseDecoded = JSON.parse(_lib_aes__WEBPACK_IMPORTED_MODULE_10___default().Decrypt(response, this.props.JAKO, this.props.OJAK));
              responseDecoded.users.map(user => {
                //  console.log(user.Name) 
                // console.log(data.username)
                if (user.Name.trim().toLowerCase() == data.username.trim().toLowerCase()) {
                  if (user.Lockout == true) {
                    this.handleLoginErrorLockedShow();
                    return;
                  } else {
                    userDetails = {
                      username: user.Name,
                      fullname: user.FullName,
                      role: group.name
                    };
                  }
                }
              });
              console.log(userDetails); // save session & permissions

              let payloadSession = {
                'user': userDetails,
                'permissions': permissions
              };
              fetch('/api/sessions', {
                method: 'POST',
                headers: {
                  'Accept': 'application/json',
                  'Content-Type': 'application/json'
                },
                body: JSON.stringify(payloadSession)
              }).then(response => {
                // log outcome
                (0,_lib_log__WEBPACK_IMPORTED_MODULE_11__/* .default */ .Z)(data.username, this.state.logModule, " logged in from ", this.state.host); // route to the first permission set

                let page = permissions.shift();
                this.props.router.push(page);
              }).catch(err => console.log(err));
            });
          }).catch(err => console.log(err));
        }
      }).catch(error => {
        console.error('There has been a problem with your fetch operation:', error);
      });
    } else if (data.loginType == 'AD') {
      const ADUserExistsEndpoint = '/api/ldap/user/exists';
      console.log(ADUserExistsEndpoint);
      var payloadAuthentication = {
        'user': data.username,
        'pass': data.password
      };
      fetch(ADUserExistsEndpoint, {
        method: 'POST',
        headers: {
          'Accept': 'application/json',
          'Content-Type': 'application/json'
        },
        body: JSON.stringify(payloadAuthentication)
      }).then(response => {
        console.log(response);

        if (response.status != '200') {
          this.handleLoginErrorAuthenticationShow(); // log outcome

          (0,_lib_log__WEBPACK_IMPORTED_MODULE_11__/* .default */ .Z)(data.username, this.state.logModule, " User or password is incorrect", this.state.host);
          return;
        } else {
          fetch('/api/ldap/user/' + data.username).then(response => {
            if (response.status != '200') {
              this.handleLoginErrorLockedShow();
              return;
            } else {
              const ADLoginEndpoint = '/api/ldap/authenticate';
              console.log(ADLoginEndpoint);
              fetch(ADLoginEndpoint, {
                method: 'POST',
                headers: {
                  'Accept': 'application/json',
                  'Content-Type': 'application/json'
                },
                body: JSON.stringify(payloadAuthentication)
              }).then(response => {
                console.log(response);

                if (response.status != '200') {
                  this.handleLoginErrorAuthenticationShow(); // log outcome

                  (0,_lib_log__WEBPACK_IMPORTED_MODULE_11__/* .default */ .Z)(data.username, this.state.logModule, " User or password is incorrect", this.state.host);
                  return;
                } else {
                  // get local groups for the user
                  const userMemberOfEndpoint = '/api/ldap/groups/' + data.username;
                  fetch(userMemberOfEndpoint).then(response => response.json()).then(response => {
                    var group; // compare with local groups permissions

                    console.log(response);
                    response.map(userGroup => {
                      console.log(userGroup.dn);
                      this.state.groupList.map(localGroup => {
                        console.log(localGroup.group_name);

                        if (userGroup.dn.trim().toLowerCase() == localGroup.group_name.trim().toLowerCase() && localGroup.group_type == 'AD' && localGroup.status == 1) {
                          group = localGroup;
                          numberGroups = numberGroups + 1;
                          return;
                        } else {
                          // console.log(userGroup.dn)
                          let localGroupName = this.parseGroupCN(userGroup.dn);
                          console.log(localGroupName); // if (userGroup.cn == localGroup.group_name  && localGroup.group_type == 'AD') {

                          if (localGroupName == localGroup.group_name && localGroup.group_type == 'AD' && localGroup.status == 1) {
                            group = localGroup;
                            numberGroups = numberGroups + 1;
                            return;
                          }
                        }
                      });
                    }); // check if there are more groups with permissions 

                    let permissions = [];

                    if (numberGroups == 1) {
                      // populate permissions
                      group.dashboard == 1 ? permissions.push("dashboard") : '';
                      group.restrictions == 1 ? permissions.push("restrictions") : '';
                      group.activity == 1 ? permissions.push("activity") : '';
                      group.settings == 1 ? permissions.push("settings") : '';
                      group.import_export == 1 ? permissions.push("import_export") : '';
                      console.log(permissions);
                    } else if (numberGroups == 0) {
                      this.handleLoginErrorPermissionsShow();
                      (0,_lib_log__WEBPACK_IMPORTED_MODULE_11__/* .default */ .Z)(data.username, this.state.logModule, " doesn’t have permissions to login to lablock from  ", this.state.host);
                      return;
                    } else {
                      this.handleLoginErrorMultipleRolesShow();
                      (0,_lib_log__WEBPACK_IMPORTED_MODULE_11__/* .default */ .Z)(data.username, this.state.logModule, "  is part of two or more groups", this.state.host);
                      return;
                    }

                    if (permissions.length == 0) {
                      this.handleLoginErrorPermissionsShow();
                      (0,_lib_log__WEBPACK_IMPORTED_MODULE_11__/* .default */ .Z)(data.username, this.state.logModule, " doesn’t have permissions to login to lablock from  ", this.state.host);
                      return;
                    }

                    let userDetails = {};
                    fetch('/api/ldap/user/' + data.username).then(res => res.json()).then(response => {
                      userDetails = {
                        username: response.sAMAccountName,
                        fullname: response.displayName,
                        role: group.name
                      }; // save session & permissions

                      let payloadSession = {
                        // 'user': data.username,
                        'user': userDetails,
                        'permissions': permissions
                      };
                      fetch('/api/sessions', {
                        method: 'POST',
                        headers: {
                          'Accept': 'application/json',
                          'Content-Type': 'application/json'
                        },
                        body: JSON.stringify(payloadSession)
                      }).then(response => {
                        // log outcome
                        (0,_lib_log__WEBPACK_IMPORTED_MODULE_11__/* .default */ .Z)(userDetails.username, this.state.logModule, " logged in from ", this.state.host); // route to the first permission set

                        let page = permissions.shift();
                        this.props.router.push(page);
                      }).catch(err => console.log(err));
                    }).catch(err => console.log(err));
                  }).catch(err => console.log(err));
                }
              }).catch(err => console.log(err));
            }
          }).catch(err => console.log(err));
        }
      }).catch(error => {
        console.error('There has been a problem with your fetch operation:', error);
      });
    }
  }

  parseGroupCN(basedn) {
    let baseDNComponents = basedn.split(',');
    let baseDNBit = [];
    let groupCN = "";
    baseDNComponents.map(value => {
      baseDNBit = value.split('=');

      if (baseDNBit[0] == 'CN') {
        groupCN = baseDNBit[1];
        return;
      }
    });
    return groupCN;
  }

  handleLoginErrorAuthenticationShow() {
    this.setState({
      showLoginErrorAuthenticationModal: true,
      showProgress: false
    });
  }

  handleLoginErrorLockedShow() {
    this.setState({
      showLoginErrorLockedModal: true,
      showProgress: false
    });
  }

  handleLoginErrorPermissionsShow() {
    this.setState({
      showLoginErrorPermissionsModal: true,
      showProgress: false
    });
  }

  handleLoginErrorMultipleRolesShow() {
    this.setState({
      showLoginErrorMultipleRolesModal: true,
      showProgress: false
    });
  }

  handleLoginErrorClose() {
    this.setState({
      showLoginErrorLockedModal: false,
      showLoginErrorAuthenticationModal: false,
      showLoginErrorPermissionsModal: false,
      showLoginErrorMultipleRolesModal: false,
      showProgress: false
    });
  }

  render() {
    return __jsx((react__WEBPACK_IMPORTED_MODULE_0___default().Fragment), null, __jsx("div", {
      className: "login-jumbotron"
    }, __jsx((react_bootstrap_Image__WEBPACK_IMPORTED_MODULE_3___default()), {
      src: "lablock.jpeg",
      width: "200px",
      className: "image-logo",
      roundedCircle: true
    }), __jsx(formik__WEBPACK_IMPORTED_MODULE_8__.Formik, {
      validationSchema: this.state.schema,
      onSubmit: values => {
        console.log(values);
        this.handleLogin(values);
      },
      initialValues: this.state
    }, ({
      handleSubmit,
      handleChange,
      handleBlur,
      values,
      touched,
      isValid,
      errors
    }) => __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default()), {
      onSubmit: handleSubmit
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_4___default()),
      controlId: "username"
    }, __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_5___default()), null, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Control), {
      // readOnly
      name: "username",
      placeholder: "Username",
      value: values.username,
      onChange: handleChange
    }))), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_4___default()),
      controlId: "password"
    }, __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_5___default()), null, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Control), {
      type: "password",
      value: values.password,
      onChange: handleChange,
      onBlur: handleBlur,
      placeholder: "Password",
      isInvalid: !!errors.password && touched.password
    }), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Control.Feedback), {
      type: "invalid"
    }, errors.password))), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_4___default()),
      controlId: "loginType"
    }, __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_5___default()), null, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Control), {
      as: "select",
      onChange: handleChange,
      custom: true
    }, __jsx("option", {
      value: "local"
    }, "Local Authentication"), __jsx("option", {
      value: "AD"
    }, "Active Directory")), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_1___default().Control.Feedback), {
      type: "invalid"
    }, errors.loginType))), __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2___default()), {
      id: "btn-login",
      type: "submit",
      size: "lg",
      block: true
    }, "Log in"))), this.state.showProgress ? // <CircularProgress disableShrink />
    __jsx("div", {
      style: {
        marginBottom: '3%'
      }
    }, __jsx("br", null), __jsx(_material_ui_core_LinearProgress__WEBPACK_IMPORTED_MODULE_12__/* .default */ .Z, null)) : '', __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_6___default()), {
      show: this.state.showLoginErrorAuthenticationModal,
      onHide: this.handleLoginErrorClose,
      "aria-labelledby": "contained-modal-title-vcenter",
      centered: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_6___default().Header), {
      closeButton: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_6___default().Title), null, "Login Error")), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_6___default().Body), null, "Incorrect user or password. Please try again."), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_6___default().Footer), null, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2___default()), {
      id: "btn-cancel-errorLogin",
      variant: "secondary",
      onClick: this.handleLoginErrorClose
    }, "Close"))), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_6___default()), {
      show: this.state.showLoginErrorMultipleRolesModal,
      onHide: this.handleLoginErrorClose,
      "aria-labelledby": "contained-modal-title-vcenter",
      centered: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_6___default().Header), {
      closeButton: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_6___default().Title), null, "Login Error")), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_6___default().Body), null, "You belong to more than one role setup in Lablock. Please contact your administrator to fix this issue."), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_6___default().Footer), null, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2___default()), {
      id: "btn-cancel-errorLogin",
      variant: "secondary",
      onClick: this.handleLoginErrorClose
    }, "Close"))), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_6___default()), {
      show: this.state.showLoginErrorPermissionsModal,
      onHide: this.handleLoginErrorClose,
      "aria-labelledby": "contained-modal-title-vcenter",
      centered: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_6___default().Header), {
      closeButton: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_6___default().Title), null, "Login Error")), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_6___default().Body), null, "You have no permissions to accesss Lablock."), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_6___default().Footer), null, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2___default()), {
      id: "btn-cancel-errorLogin",
      variant: "secondary",
      onClick: this.handleLoginErrorClose
    }, "Close"))), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_6___default()), {
      show: this.state.showLoginErrorLockedModal,
      onHide: this.handleLoginErrorClose,
      "aria-labelledby": "contained-modal-title-vcenter",
      centered: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_6___default().Header), {
      closeButton: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_6___default().Title), null, "Login Error")), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_6___default().Body), null, "Your user is locked. Please try again later or contact your administrator."), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_6___default().Footer), null, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2___default()), {
      id: "btn-cancel-errorLogin",
      variant: "secondary",
      onClick: this.handleLoginErrorClose
    }, "Close")))));
  }

}

/* harmony default export */ __webpack_exports__["default"] = ((0,next_router__WEBPACK_IMPORTED_MODULE_9__.withRouter)(LoginForm));

/***/ })

};
;