exports.id = 8287;
exports.ids = [8287];
exports.modules = {

/***/ 8287:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9297);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5777);
/* harmony import */ var react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(4336);
/* harmony import */ var react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(8337);
/* harmony import */ var react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(9988);
/* harmony import */ var react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var _ModalRequestError__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(9810);
/* harmony import */ var _lib_log__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(2217);

var __jsx = (react__WEBPACK_IMPORTED_MODULE_0___default().createElement);







class ModalLogoff extends (react__WEBPACK_IMPORTED_MODULE_0___default().Component) {
  constructor(props) {
    super(props); // set state variables

    this.state = {
      showModal: false,
      showErrorModal: false
    }; // bind the action handlers

    this.logoff = this.logoff.bind(this);
    this.handleClose = this.handleClose.bind(this);
    this.handleShow = this.handleShow.bind(this);
    this.handleErrorClose = this.handleErrorClose.bind(this);
    this.handleErrorShow = this.handleErrorShow.bind(this);
  }

  handleClose() {
    this.setState({
      showModal: false
    });
  }

  handleShow() {
    this.setState({
      showModal: true
    });
  }

  componentDidMount() {
    var getUrl = window.location;
    console.log(getUrl.host);
    var hostIP = getUrl.host;
    this.setState(state => ({
      host: hostIP
    }));
  }

  logoff() {
    // Logoff
    const logoffEndpoint = this.props.serviceURL + '/logoff';
    console.log(logoffEndpoint);
    fetch(logoffEndpoint) // .then(response => response.json())
    .then(response => {
      this.setState({
        showModal: false
      }); // log outcome

      (0,_lib_log__WEBPACK_IMPORTED_MODULE_6__/* .default */ .Z)(this.props.user.username, this.props.logModule, " logged off sessions from ", this.state.host);
    }).catch(error => {
      this.setState({
        showModal: false,
        showErrorModal: true
      });
      console.error('There has been a problem with your fetch operation:', error);
    });
  }

  handleErrorClose() {
    this.setState({
      showErrorModal: false
    });
  }

  handleErrorShow() {
    this.setState({
      showErrorModal: true
    });
  }

  render() {
    return __jsx((react__WEBPACK_IMPORTED_MODULE_0___default().Fragment), null, __jsx((react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_3___default()), {
      placement: "bottom",
      overlay: __jsx((react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_4___default()), {
        id: "button-tooltip-2"
      }, "Log Off")
    }, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1___default()), {
      id: "btn-logoff",
      variant: "outline-info",
      onClick: this.handleShow
    }, __jsx("svg", {
      width: "14em",
      height: "2em",
      viewBox: "0 0 16 16",
      className: "bi bi-box-arrow-in-right",
      fill: "currentColor",
      xmlns: "http://www.w3.org/2000/svg"
    }, __jsx("path", {
      fillRule: "evenodd",
      d: "M8.146 11.354a.5.5 0 0 1 0-.708L10.793 8 8.146 5.354a.5.5 0 1 1 .708-.708l3 3a.5.5 0 0 1 0 .708l-3 3a.5.5 0 0 1-.708 0z"
    }), __jsx("path", {
      fillRule: "evenodd",
      d: "M1 8a.5.5 0 0 1 .5-.5h9a.5.5 0 0 1 0 1h-9A.5.5 0 0 1 1 8z"
    }), __jsx("path", {
      fillRule: "evenodd",
      d: "M13.5 14.5A1.5 1.5 0 0 0 15 13V3a1.5 1.5 0 0 0-1.5-1.5h-8A1.5 1.5 0 0 0 4 3v1.5a.5.5 0 0 0 1 0V3a.5.5 0 0 1 .5-.5h8a.5.5 0 0 1 .5.5v10a.5.5 0 0 1-.5.5h-8A.5.5 0 0 1 5 13v-1.5a.5.5 0 0 0-1 0V13a1.5 1.5 0 0 0 1.5 1.5h8z"
    })))), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_2___default()), {
      show: this.state.showModal,
      onHide: this.handleClose,
      "aria-labelledby": "contained-modal-title-vcenter",
      centered: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_2___default().Header), {
      closeButton: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_2___default().Title), null, "Close computer session")), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_2___default().Body), null, "Are you sure you want to close your session?"), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_2___default().Footer), null, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1___default()), {
      id: "btn-cancel-logoff",
      variant: "secondary",
      onClick: this.handleClose
    }, "Cancel"), __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1___default()), {
      id: "btn-apply-logoff",
      variant: "primary",
      onClick: this.logoff
    }, "Continue"))), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_2___default()), {
      show: this.state.showErrorModal,
      onHide: this.handleErrorClose,
      "aria-labelledby": "contained-modal-title-vcenter",
      centered: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_2___default().Header), null, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_2___default().Title), null, "Ops, something didn't work as expected")), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_2___default().Body), null, "There has been an error when processing your request, please try again or contact support"), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_2___default().Footer), null, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1___default()), {
      variant: "secondary",
      onClick: this.handleErrorClose
    }, "Close"))));
  }

}

/* harmony default export */ __webpack_exports__["default"] = (ModalLogoff);

/***/ })

};
;