exports.id = 8564;
exports.ids = [8564];
exports.modules = {

/***/ 8564:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var react_bootstrap__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(9226);
/* harmony import */ var react_bootstrap__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9297);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var recharts__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(7847);
/* harmony import */ var recharts__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(recharts__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var ag_grid_react__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(6800);
/* harmony import */ var ag_grid_react__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(ag_grid_react__WEBPACK_IMPORTED_MODULE_3__);
var __jsx = (react__WEBPACK_IMPORTED_MODULE_0___default().createElement);







class SystemKeysSummary extends (react__WEBPACK_IMPORTED_MODULE_0___default().Component) {
  constructor(props) {
    super(props);
  }

  render() {
    //consts for summary ==>
    const ColorsRestTotals = ['#FF8042', '#214253', '#0088FE', '#306a9c', '#FFBB28'];
    const gridStyle = {
      minHeight: 350,
      marginTop: 10
    };
    const columnsRestrictions = [{
      name: 'Label',
      type: 'string',
      defaultFlex: 2,
      header: 'Restriction',
      defaultVisible: true
    }, {
      name: 'restrictionDesc',
      defaultFlex: 2,
      header: 'Description'
    }, {
      name: 'restrictionArea',
      maxWidth: 120,
      header: 'Area'
    }];
    return this.props.summaryDetails != null ? __jsx("table", null, __jsx("tbody", null, __jsx("tr", null, __jsx("td", {
      colSpan: "3"
    }, __jsx("div", {
      className: "summary-jumbotron"
    }, __jsx("h3", null, "System Keys Restrictions Summary")))), __jsx("tr", null, __jsx("td", null, __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Alert, {
      variant: "light"
    }, __jsx("strong", null, "Total VS Applied"))), __jsx("td", null, __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Alert, {
      variant: "light"
    }, __jsx("strong", null, "Applied by section"))), __jsx("td", null, __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Alert, {
      variant: "light"
    }, __jsx("strong", null, "Total VS Applied by Section")))), __jsx("tr", null, __jsx("td", {
      valign: "top"
    }, __jsx(recharts__WEBPACK_IMPORTED_MODULE_2__.PieChart, {
      width: 350,
      height: 350
    }, __jsx(recharts__WEBPACK_IMPORTED_MODULE_2__.Legend, {
      verticalAlign: "top",
      height: 16
    }), __jsx(recharts__WEBPACK_IMPORTED_MODULE_2__.Pie, {
      dataKey: "value",
      data: this.props.summaryDetails.Summary.SystemKeys.Totals,
      cx: "50%",
      cy: "50%",
      outerRadius: 80,
      label: true
    }, this.props.summaryDetails.Summary.SystemKeys.Totals.map((entry, index) => __jsx(recharts__WEBPACK_IMPORTED_MODULE_2__.Cell, {
      key: `cell-${index}`,
      fill: ColorsRestTotals[index % ColorsRestTotals.length]
    }))), __jsx(recharts__WEBPACK_IMPORTED_MODULE_2__.Tooltip, null))), __jsx("td", {
      valign: "top"
    }, __jsx(recharts__WEBPACK_IMPORTED_MODULE_2__.PieChart, {
      width: 350,
      height: 350
    }, __jsx(recharts__WEBPACK_IMPORTED_MODULE_2__.Pie, {
      dataKey: "value",
      data: this.props.summaryDetails.Summary.SystemKeys.AppliedBySection,
      cx: "50%",
      cy: "50%",
      outerRadius: 80,
      label: true
    }, this.props.summaryDetails.Summary.SystemKeys.AppliedBySection.map((entry, index) => __jsx(recharts__WEBPACK_IMPORTED_MODULE_2__.Cell, {
      key: `cell-${index}`,
      fill: ColorsRestTotals[index % ColorsRestTotals.length]
    }))), __jsx(recharts__WEBPACK_IMPORTED_MODULE_2__.Tooltip, null))), __jsx("td", null, __jsx(recharts__WEBPACK_IMPORTED_MODULE_2__.BarChart, {
      width: 405,
      height: 350,
      data: this.props.summaryDetails.Summary.SystemKeys.AppliedBySectionTotal,
      margin: {
        top: 20,
        right: 0,
        left: 0,
        bottom: 5
      }
    }, __jsx(recharts__WEBPACK_IMPORTED_MODULE_2__.CartesianGrid, {
      strokeDasharray: "3 3"
    }), __jsx(recharts__WEBPACK_IMPORTED_MODULE_2__.XAxis, {
      dataKey: "name",
      hide: "true"
    }), __jsx(recharts__WEBPACK_IMPORTED_MODULE_2__.YAxis, null), __jsx(recharts__WEBPACK_IMPORTED_MODULE_2__.Tooltip, null), __jsx(recharts__WEBPACK_IMPORTED_MODULE_2__.Bar, {
      dataKey: "applied",
      stackId: "a",
      fill: "#8884d8"
    }), __jsx(recharts__WEBPACK_IMPORTED_MODULE_2__.Bar, {
      dataKey: "total",
      stackId: "a",
      fill: "#82ca9d"
    })))), __jsx("tr", null, __jsx("td", {
      colSpan: "3"
    }, __jsx("div", {
      className: "ag-theme-alpine",
      style: {
        height: 350,
        width: "100%",
        marginTop: 15
      }
    }, __jsx(ag_grid_react__WEBPACK_IMPORTED_MODULE_3__.AgGridReact, {
      rowData: this.props.summaryDetails.Summary.SystemKeys.AppliedList
    }, __jsx(ag_grid_react__WEBPACK_IMPORTED_MODULE_3__.AgGridColumn, {
      width: "220",
      headerName: "Restriction",
      field: "Label",
      sortable: true,
      filter: true
    }), __jsx(ag_grid_react__WEBPACK_IMPORTED_MODULE_3__.AgGridColumn, {
      width: "450",
      headerName: "Description",
      field: "restrictionDesc",
      sortable: true,
      filter: true
    }), __jsx(ag_grid_react__WEBPACK_IMPORTED_MODULE_3__.AgGridColumn, {
      width: "410",
      headerName: "Area",
      field: "restrictionArea",
      sortable: true,
      filter: true
    }))))), __jsx("tr", null, __jsx("td", {
      colSpan: "3"
    }, "\xA0")), __jsx("tr", null, __jsx("td", {
      colSpan: "3"
    }, "\xA0")))) : '';
  }

}

/* harmony default export */ __webpack_exports__["default"] = (SystemKeysSummary);

/***/ })

};
;