exports.id = 9275;
exports.ids = [9275];
exports.modules = {

/***/ 2217:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": function() { return /* binding */ log; }
/* harmony export */ });
function log(username, module, description, host, details) {
  let payload = {
    date: new Date().getTime(),
    user: username,
    module: module,
    description: description,
    computer: host
  };
  if (details) payload.details = details;
  fetch('/api/activity', {
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json'
    },
    body: JSON.stringify(payload)
  });
}

/***/ }),

/***/ 9275:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9297);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react_bootstrap_Jumbotron__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4019);
/* harmony import */ var react_bootstrap_Jumbotron__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Jumbotron__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5777);
/* harmony import */ var react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var react_bootstrap_Container__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(8622);
/* harmony import */ var react_bootstrap_Container__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Container__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(4336);
/* harmony import */ var react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(3406);
/* harmony import */ var react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(7707);
/* harmony import */ var react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var react_bootstrap_Alert__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(5237);
/* harmony import */ var react_bootstrap_Alert__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Alert__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var _lib_aes__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(3730);
/* harmony import */ var _lib_aes__WEBPACK_IMPORTED_MODULE_8___default = /*#__PURE__*/__webpack_require__.n(_lib_aes__WEBPACK_IMPORTED_MODULE_8__);
/* harmony import */ var _lib_log__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(2217);

var __jsx = (react__WEBPACK_IMPORTED_MODULE_0___default().createElement);

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }











class RestrictionsControlMenu extends (react__WEBPACK_IMPORTED_MODULE_0___default().Component) {
  constructor(props) {
    super(props); // set state variables

    _defineProperty(this, "render", () => __jsx("div", {
      className: "summary-jumbotron"
    }, __jsx((react_bootstrap_Container__WEBPACK_IMPORTED_MODULE_3___default()), null, __jsx((react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_5___default()), null, __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_6___default()), {
      md: {
        span: 1,
        offset: 4
      }
    }, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2___default()), {
      id: "btn-apply-restrictions",
      onClick: this.handleApplyShow,
      variant: "dark"
    }, "Apply")), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_6___default()), {
      md: 1
    }, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2___default()), {
      id: "btn-undo-restrictions",
      onClick: this.handleUndoShow,
      variant: "danger"
    }, "Undo")), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_6___default()), {
      md: 2
    }, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2___default()), {
      id: "btn-reset-restrictions",
      onClick: this.handleResetShow,
      variant: "primary"
    }, "Clear All"))), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_4___default()), {
      show: this.state.showResetModal,
      onHide: this.handleResetClose,
      "aria-labelledby": "contained-modal-title-vcenter",
      centered: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_4___default().Header), {
      closeButton: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_4___default().Title), null, "Remove all restrictions")), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_4___default().Body), null, "Are you sure you want to remove all the restrictions?"), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_4___default().Footer), null, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2___default()), {
      id: "btn-cancel-reset-restrictions",
      variant: "secondary",
      onClick: this.handleResetClose
    }, "No"), __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2___default()), {
      id: "btn-proceed-reset-restrictions",
      variant: "primary",
      onClick: this.resetRestrictions
    }, "Yes"))), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_4___default()), {
      show: this.state.showUndoModal,
      onHide: this.handleUndoClose,
      "aria-labelledby": "contained-modal-title-vcenter",
      centered: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_4___default().Header), {
      closeButton: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_4___default().Title), null, "Undo restrictions selected")), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_4___default().Body), null, "Are you sure you want to unselect the restrictions chosen?"), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_4___default().Footer), null, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2___default()), {
      id: "btn-cancel-undo-restrictions",
      variant: "secondary",
      onClick: this.handleUndoClose
    }, "No"), __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2___default()), {
      id: "btn-apply-undo-restrictions",
      variant: "primary",
      onClick: this.undoNotSavedRestrictions
    }, "Yes"))), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_4___default()), {
      show: this.state.showApplyModal,
      onHide: this.handleApplyClose,
      "aria-labelledby": "contained-modal-title-vcenter",
      centered: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_4___default().Header), {
      closeButton: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_4___default().Title), null, "Apply restrictions selected")), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_4___default().Body), null, "Are you sure you want to apply the restrictions chosen?"), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_4___default().Footer), null, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2___default()), {
      id: "btn-cancel-apply-restrictions",
      variant: "secondary",
      onClick: this.handleApplyClose
    }, "No"), __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2___default()), {
      id: "btn-proceed-apply-restrictions",
      variant: "primary",
      onClick: this.applyRestrictions
    }, "Yes"))), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_4___default()), {
      show: this.state.showApplyConfimationModal,
      onHide: this.handleApplyConfirmationClose,
      "aria-labelledby": "contained-modal-title-vcenter",
      centered: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_4___default().Header), null, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_4___default().Title), null, "Restrictions applied confirmation")), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_4___default().Body), null, "Restrictions have been applied"), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_4___default().Footer), null, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_2___default()), {
      id: "btn-confirmation-apply-restrictions",
      variant: "secondary",
      onClick: this.handleApplyConfirmationClose
    }, "Close"))))));

    this.state = {
      applicationsAllowed: this.props.applicationsAllowed,
      restrictions: this.props.restrictions,
      showUndoModal: false,
      showApplyModal: false,
      showApplyConfimationModal: false,
      logModule: 'restrictions'
    }; // bind the action handlers

    this.handleApplyConfirmationClose = this.handleApplyConfirmationClose.bind(this);
    this.handleApplyClose = this.handleApplyClose.bind(this);
    this.handleApplyShow = this.handleApplyShow.bind(this);
    this.handleResetClose = this.handleResetClose.bind(this);
    this.handleResetShow = this.handleResetShow.bind(this);
    this.applyRestrictions = this.applyRestrictions.bind(this);
    this.resetRestrictions = this.resetRestrictions.bind(this);
    this.handleUndoClose = this.handleUndoClose.bind(this);
    this.handleUndoShow = this.handleUndoShow.bind(this);
    this.undoNotSavedRestrictions = this.undoNotSavedRestrictions.bind(this);
  }

  componentDidMount() {
    var getUrl = window.location;
    console.log(getUrl.host);
    var hostIP = getUrl.host;
    this.setState(state => ({
      host: hostIP
    }));
  }

  handleUndoClose() {
    this.setState({
      showUndoModal: false
    });
  }

  handleUndoShow() {
    this.setState({
      showUndoModal: true
    });
  }

  undoNotSavedRestrictions() {
    // reload page instead of refresh the settings object
    window.location.reload(false);
  }

  handleApplyConfirmationClose() {
    this.setState({
      showApplyConfimationModal: false
    });
  }

  handleApplyConfimationShow() {
    this.setState({
      showApplyConfimationModal: true
    });
  }

  handleApplyClose() {
    this.setState({
      showApplyModal: false
    });
  }

  handleApplyShow() {
    this.setState({
      showApplyModal: true
    });
  }

  handleResetClose() {
    this.setState({
      showResetModal: false
    });
  }

  handleResetShow() {
    this.setState({
      showResetModal: true
    });
  }

  applyRestrictions() {
    // apply registry restrictions        
    this.calculateDriveValue();
    console.log(JSON.stringify(this.state.restrictions));
    const applyRestrictionsEndpoint = this.props.serviceURL + '/settings';
    console.log(applyRestrictionsEndpoint);
    fetch(applyRestrictionsEndpoint, {
      method: 'POST',
      body: _lib_aes__WEBPACK_IMPORTED_MODULE_8___default().Encrypt(JSON.stringify(this.state.restrictions), this.props.JAKO, this.props.OJAK)
    }).then(response => {
      this.setState({
        showApplyConfimationModal: true,
        showApplyModal: false
      });
    }).catch(error => {
      this.setState({
        showApplyModal: false
      });
      console.error('There has been a problem with your fetch operation:', error);
    });
    console.log(JSON.stringify(this.props.syskeys)); // Apply syskeys restrictions

    const applySyskeysEndpoint = this.props.serviceURL + '/syskeys';
    console.log(applySyskeysEndpoint);
    fetch(applySyskeysEndpoint, {
      method: 'POST',
      body: _lib_aes__WEBPACK_IMPORTED_MODULE_8___default().Encrypt(JSON.stringify(this.props.syskeys), this.props.JAKO, this.props.OJAK)
    }).then(response => {
      this.setState(state => ({
        showApplyConfimationModal: true,
        showApplyModal: false
      }));
    }).catch(error => {
      this.setState(state => ({
        showApplyModal: false
      }));
      console.error('There has been a problem with your fetch operation:', error);
    }); // apply applications allowed 

    const applyApplicationsAllowedEndpoint = this.props.serviceURL + '/appblocker';
    console.log(applyApplicationsAllowedEndpoint); // add task manager taskmgr.exe and clean up "empty" apps

    var found = false;
    this.state.applicationsAllowed.apps.map((allowedApp, index) => {
      if (allowedApp.path == "taskmgr.exe") {
        found = true;
      } // if (allowedApp.path == "") {


      while (this.state.applicationsAllowed.apps[index] && this.state.applicationsAllowed.apps[index].path == "") {
        this.state.applicationsAllowed.apps.splice([index], 1);
      }
    });

    if (found == false && this.state.applicationsAllowed.apps.length > 0) {
      this.state.applicationsAllowed.apps.push({
        path: "taskmgr.exe"
      });
    }

    console.log(JSON.stringify(this.state.applicationsAllowed));
    fetch(applyApplicationsAllowedEndpoint, {
      method: 'POST',
      body: _lib_aes__WEBPACK_IMPORTED_MODULE_8___default().Encrypt(JSON.stringify(this.state.applicationsAllowed), this.props.JAKO, this.props.OJAK)
    }).then(response => {
      this.setState(state => ({
        showApplyConfimationModal: true,
        showApplyModal: false
      }));
    }).catch(error => {
      this.setState(state => ({
        showApplyModal: false
      }));
      console.error('There has been a problem with your fetch operation:', error);
    });
    console.log(JSON.stringify(this.props.startupPrograms)); // apply startup programs 

    const applyStartupEndpoint = this.props.serviceURL + '/startup';
    console.log(applyStartupEndpoint); // clean up "empty" startup paths submitted

    this.props.startupPrograms.startup.map((programPath, index) => {
      if (this.props.startupPrograms.startup[index]) {
        while (this.props.startupPrograms.startup[index].file == "") {
          this.props.startupPrograms.startup.splice([index], 1);
        }
      }
    });
    console.log(JSON.stringify(this.props.startupPrograms));
    fetch(applyStartupEndpoint, {
      method: 'POST',
      body: _lib_aes__WEBPACK_IMPORTED_MODULE_8___default().Encrypt(JSON.stringify(this.props.startupPrograms), this.props.JAKO, this.props.OJAK)
    }).then(response => {
      this.setState(state => ({
        showApplyConfimationModal: true,
        showApplyModal: false
      }));
    }).catch(error => {
      this.setState(state => ({
        showApplyModal: false
      }));
      console.error('There has been a problem with your fetch operation:', error);
    }); // apply firewall rules

    const firewallEndpoint = this.props.serviceURL + '/windowsfirewall';
    console.log(firewallEndpoint);
    console.log(this.props.firewallRules);
    this.props.firewallRules.map(rule => {
      var action = rule.Operation;
      var winFireWallRuleList = [];
      console.log(action);

      if (action) {
        if (action == "Create") {
          winFireWallRuleList.push(rule);
          var lablockRule = {
            "Action": action,
            "WinFirewallRuleList": winFireWallRuleList
          };
        } else if (action == "Delete") {
          var name = rule.labLockName;
          var deleteRule = {
            "labLockName": name
          };
          winFireWallRuleList.push(deleteRule);
          var lablockRule = {
            "Action": action,
            "WinFirewallRuleList": winFireWallRuleList
          };
        }

        fetch(firewallEndpoint, {
          method: 'POST',
          body: _lib_aes__WEBPACK_IMPORTED_MODULE_8___default().Encrypt(JSON.stringify(lablockRule), this.props.JAKO, this.props.OJAK)
        }).then(response => {
          this.setState(state => ({
            showApplyConfimationModal: true,
            showApplyModal: false
          }));
        }).catch(error => {
          this.setState(state => ({
            showApplyModal: false
          }));
          console.error('There has been a problem with your fetch operation:', error);
        });
      }
    });
    let restrictionsValue = '';
    this.props.restrictions.settings.map(restriction => {
      restrictionsValue += restriction.tag + ', ';
    });
    restrictionsValue = restrictionsValue.substring(0, restrictionsValue.length - 2);
    let systemKeysValue = '';
    this.props.syskeys.SystemKeys.map(systemKeys => {
      systemKeysValue += systemKeys.id + ', ';
    });
    systemKeysValue = systemKeysValue.substring(0, systemKeysValue.length - 2);
    let appsValue = '';
    this.props.applicationsAllowed.apps.map(app => {
      appsValue += app.path + ', ';
    });
    appsValue = appsValue.substring(0, appsValue.length - 2);
    let startupProgramsValue = '';
    this.props.startupPrograms.startup.map(startup => {
      startupProgramsValue += startup.file + ', ';
    });
    startupProgramsValue = startupProgramsValue.substring(0, startupProgramsValue.length - 2);
    let firewallRulesValue = '';
    this.props.firewallRules.map(firewallRule => {
      firewallRulesValue += firewallRule.Name + ', ';
    });
    firewallRulesValue = firewallRulesValue.substring(0, firewallRulesValue.length - 2);
    let logDetails = {
      'title': 'Restrictions applied',
      'columns': [{
        'title': 'General',
        'value': restrictionsValue
      }, {
        'title': 'System Keys',
        'value': systemKeysValue
      }, {
        'title': 'Apps',
        'value': appsValue
      }, {
        'title': 'Startup',
        'value': startupProgramsValue
      }, {
        'title': 'Firewall',
        'value': firewallRulesValue
      }]
    };
    (0,_lib_log__WEBPACK_IMPORTED_MODULE_9__/* .default */ .Z)(this.props.user.username, this.state.logModule, " applied new restrictions from ", this.state.host, logDetails);
  }

  resetRestrictions() {
    this.state.restrictions.settings.length = 0; // this.props.firewallRules.length = 0

    this.props.startupPrograms.startup.length = 0;
    this.state.applicationsAllowed.apps.length = 0;
    this.props.syskeys.SystemKeys.length = 0;
    this.props.firewallRules.map(rule => {
      rule.Operation = "Delete";
    });
    this.applyRestrictions();
    this.undoNotSavedRestrictions();
    this.handleResetClose();
  }

  calculateDriveValue() {
    var driveValue = 0;
    var value = 0;
    this.state.restrictions.settings.map(restriction => {
      if (restriction.tag.includes("SYS_DisableDrive")) {
        this.props.components.configs.map(config => {
          if (config.restrictionTag == restriction.tag) {
            value = config.regSettings[0].value;
            console.log(value);
            driveValue = driveValue + parseInt(value);
            return;
          }
        });
      }
    });
    this.setDriveValue(driveValue);
  }

  setDriveValue(driveValue) {
    this.state.restrictions.settings.map(restriction => {
      if (restriction.tag.includes("SYS_DisableDrive")) {
        restriction.value = driveValue;
      }
    });
  }

}

/* harmony default export */ __webpack_exports__["default"] = (RestrictionsControlMenu);

/***/ })

};
;