exports.id = 9327;
exports.ids = [9327];
exports.modules = {

/***/ 9327:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9297);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5777);
/* harmony import */ var react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(4336);
/* harmony import */ var react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(8337);
/* harmony import */ var react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(9988);
/* harmony import */ var react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var _lib_log__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(2217);

var __jsx = (react__WEBPACK_IMPORTED_MODULE_0___default().createElement);






class ModalRestart extends (react__WEBPACK_IMPORTED_MODULE_0___default().Component) {
  constructor(props) {
    super(props); // set state variables

    this.state = {
      showModal: false,
      user: this.props.user,
      logModule: this.props.logModule
    }; // bind the action handlers

    this.reboot = this.reboot.bind(this);
    this.handleClose = this.handleClose.bind(this);
    this.handleShow = this.handleShow.bind(this);
    this.handleErrorClose = this.handleErrorClose.bind(this);
    this.handleErrorShow = this.handleErrorShow.bind(this);
  }

  componentDidMount() {
    var getUrl = window.location;
    console.log(getUrl.host);
    var hostIP = getUrl.host;
    this.setState(state => ({
      host: hostIP
    }));
  }

  handleClose() {
    this.setState({
      showModal: false
    });
  }

  handleShow() {
    this.setState({
      showModal: true
    });
  }

  reboot() {
    // Reboot
    const rebootEndpoint = this.props.serviceURL + '/reboot'; //console.log(rebootEndpoint)

    fetch(rebootEndpoint) // .then(response => response.json())
    .then(response => {
      this.setState({
        showModal: false
      }); // log outcome

      (0,_lib_log__WEBPACK_IMPORTED_MODULE_5__/* .default */ .Z)(this.props.user.username, this.props.logModule, " restarted PC from ", this.state.host);
    }).catch(error => {
      this.setState({
        showModal: false,
        showErrorModal: true
      });
      console.error('There has been a problem with your fetch operation:', error);
    });
  }

  handleErrorClose() {
    this.setState({
      showErrorModal: false
    });
  }

  handleErrorShow() {
    this.setState({
      showErrorModal: true
    });
  }

  render() {
    return __jsx((react__WEBPACK_IMPORTED_MODULE_0___default().Fragment), null, __jsx((react_bootstrap_OverlayTrigger__WEBPACK_IMPORTED_MODULE_3___default()), {
      placement: "bottom",
      overlay: __jsx((react_bootstrap_Tooltip__WEBPACK_IMPORTED_MODULE_4___default()), {
        id: "button-tooltip-2"
      }, "Restart")
    }, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1___default()), {
      id: "btn-restart",
      variant: "outline-info",
      onClick: this.handleShow
    }, __jsx("svg", {
      width: "14em",
      height: "2em",
      viewBox: "0 0 16 16",
      className: "bi bi-arrow-repeat",
      fill: "currentColor",
      xmlns: "http://www.w3.org/2000/svg"
    }, __jsx("path", {
      fillRule: "evenodd",
      d: "M2.854 7.146a.5.5 0 0 0-.708 0l-2 2a.5.5 0 1 0 .708.708L2.5 8.207l1.646 1.647a.5.5 0 0 0 .708-.708l-2-2zm13-1a.5.5 0 0 0-.708 0L13.5 7.793l-1.646-1.647a.5.5 0 0 0-.708.708l2 2a.5.5 0 0 0 .708 0l2-2a.5.5 0 0 0 0-.708z"
    }), __jsx("path", {
      fillRule: "evenodd",
      d: "M8 3a4.995 4.995 0 0 0-4.192 2.273.5.5 0 0 1-.837-.546A6 6 0 0 1 14 8a.5.5 0 0 1-1.001 0 5 5 0 0 0-5-5zM2.5 7.5A.5.5 0 0 1 3 8a5 5 0 0 0 9.192 2.727.5.5 0 1 1 .837.546A6 6 0 0 1 2 8a.5.5 0 0 1 .501-.5z"
    })))), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_2___default()), {
      show: this.state.showModal,
      onHide: this.handleClose,
      "aria-labelledby": "contained-modal-title-vcenter",
      centered: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_2___default().Header), {
      closeButton: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_2___default().Title), null, "Restart Computer")), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_2___default().Body), null, "Are you sure you want to restart your computer?"), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_2___default().Footer), null, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1___default()), {
      id: "btn-cancel-restart",
      variant: "secondary",
      onClick: this.handleClose
    }, "Cancel"), __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1___default()), {
      id: "btn-apply-restart",
      variant: "primary",
      onClick: this.reboot
    }, "Continue"))), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_2___default()), {
      show: this.state.showErrorModal,
      onHide: this.handleErrorClose,
      "aria-labelledby": "contained-modal-title-vcenter",
      centered: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_2___default().Header), {
      closeButton: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_2___default().Title), null, "Ops, something didn't work as expected")), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_2___default().Body), null, "There has been an error when processing your request, please try again or contact support"), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_2___default().Footer), null, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1___default()), {
      variant: "secondary",
      onClick: this.handleErrorClose
    }, "Close"))));
  }

}

/* harmony default export */ __webpack_exports__["default"] = (ModalRestart);

/***/ })

};
;