(function() {
var exports = {};
exports.id = 6089;
exports.ids = [6089];
exports.modules = {

/***/ 7860:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": function() { return /* binding */ userHandler; }
/* harmony export */ });
/* harmony import */ var activedirectory__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(916);
/* harmony import */ var activedirectory__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(activedirectory__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _lib_aes__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(3730);
/* harmony import */ var _lib_aes__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_lib_aes__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var js_base64__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5385);
/* harmony import */ var js_base64__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(js_base64__WEBPACK_IMPORTED_MODULE_2__);



async function userHandler(req, res) {
  const {
    query: params,
    method
  } = req;
  let postData = req.body;
  console.log(postData);
  let config;

  if (postData.url) {
    config = {
      url: postData.url + ':' + postData.port,
      baseDN: postData.baseDN,
      username: postData.user,
      //+ '@' + postData.url.substring(7),
      password: postData.pass
    };
  } else {
    const serviceURL = process.env.SERVICE_URL;
    const result = await fetch(serviceURL + '/ldapsettings');
    const encodedResult = await result.text();
    const ldapSettings = JSON.parse(_lib_aes__WEBPACK_IMPORTED_MODULE_1___default().Decrypt(encodedResult, js_base64__WEBPACK_IMPORTED_MODULE_2__.Base64.decode(process.env.JAKO), js_base64__WEBPACK_IMPORTED_MODULE_2__.Base64.decode(process.env.OJAK)));
    console.log(ldapSettings);
    config = {
      url: ldapSettings.url + ':' + ldapSettings.port,
      baseDN: ldapSettings.baseDN,
      username: ldapSettings.user,
      password: ldapSettings.pass
    };
  }

  console.log(config);
  var ad = new (activedirectory__WEBPACK_IMPORTED_MODULE_0___default())(config);

  switch (method) {
    case 'POST':
      // Authenticate user          
      ad.authenticate(postData.user, postData.pass, function (err, auth) {
        if (err) {
          console.log('ERROR: ' + JSON.stringify(err));
          res.status(500).end();
          return;
        }

        if (auth) {
          console.log('Authenticated!');
          res.status(200).end();
        } else {
          console.log('Authentication failed!');
          res.status(404).end();
        }
      });
      break;

    default:
      res.setHeader('Allow', ['POST']);
      res.status(405).end(`Method ${method} Not Allowed`);
  }
}

/***/ }),

/***/ 916:
/***/ (function(module) {

"use strict";
module.exports = require("activedirectory");;

/***/ }),

/***/ 6417:
/***/ (function(module) {

"use strict";
module.exports = require("crypto");;

/***/ }),

/***/ 5385:
/***/ (function(module) {

"use strict";
module.exports = require("js-base64");;

/***/ })

};
;

// load runtime
var __webpack_require__ = require("../../../webpack-runtime.js");
__webpack_require__.C(exports);
var __webpack_exec__ = function(moduleId) { return __webpack_require__(__webpack_require__.s = moduleId); }
var __webpack_exports__ = __webpack_require__.X(0, [3730], function() { return __webpack_exec__(7860); });
module.exports = __webpack_exports__;

})();