(function() {
var exports = {};
exports.id = 8026;
exports.ids = [8026,6053,7821,8092];
exports.modules = {

/***/ 6902:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "getServerSideProps": function() { return /* binding */ getServerSideProps; }
/* harmony export */ });
/* harmony import */ var react_bootstrap__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(9226);
/* harmony import */ var react_bootstrap__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var next_dynamic__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(9639);
/* harmony import */ var next_dynamic__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(next_dynamic__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var next_iron_session__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(834);
/* harmony import */ var next_iron_session__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(next_iron_session__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _lib_aes__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(3730);
/* harmony import */ var _lib_aes__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(_lib_aes__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9297);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _layouts_SuspendRestrictions__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(7990);
/* harmony import */ var js_base64__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(5385);
/* harmony import */ var js_base64__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(js_base64__WEBPACK_IMPORTED_MODULE_6__);
var __jsx = (react__WEBPACK_IMPORTED_MODULE_0___default().createElement);







const Header = next_dynamic__WEBPACK_IMPORTED_MODULE_2___default()(() => Promise.all(/* import() */[__webpack_require__.e(9127), __webpack_require__.e(9352), __webpack_require__.e(1332)]).then(__webpack_require__.bind(__webpack_require__, 1332)), {
  loadableGenerated: {
    webpack: () => [/*require.resolve*/(1332)],
    modules: ["dashboard.js -> " + './layouts/Header']
  }
});
const RestrictionsSummary = next_dynamic__WEBPACK_IMPORTED_MODULE_2___default()(() => __webpack_require__.e(/* import() */ 568).then(__webpack_require__.bind(__webpack_require__, 568)), {
  loadableGenerated: {
    webpack: () => [/*require.resolve*/(568)],
    modules: ["dashboard.js -> " + './layouts/RestrictionsSummary']
  }
});
const SystemKeysSummary = next_dynamic__WEBPACK_IMPORTED_MODULE_2___default()(() => __webpack_require__.e(/* import() */ 8564).then(__webpack_require__.bind(__webpack_require__, 8564)), {
  loadableGenerated: {
    webpack: () => [/*require.resolve*/(8564)],
    modules: ["dashboard.js -> " + './layouts/SystemKeysSummary']
  }
});
const UserDetails = next_dynamic__WEBPACK_IMPORTED_MODULE_2___default()(() => Promise.all(/* import() */[__webpack_require__.e(6811), __webpack_require__.e(1493), __webpack_require__.e(4368)]).then(__webpack_require__.bind(__webpack_require__, 4368)), {
  loadableGenerated: {
    webpack: () => [/*require.resolve*/(4368)],
    modules: ["dashboard.js -> " + './layouts/UserDetails']
  }
});
const ComputerDetails = next_dynamic__WEBPACK_IMPORTED_MODULE_2___default()(() => Promise.all(/* import() */[__webpack_require__.e(9810), __webpack_require__.e(8287), __webpack_require__.e(9327), __webpack_require__.e(4367), __webpack_require__.e(3768)]).then(__webpack_require__.bind(__webpack_require__, 3768)), {
  loadableGenerated: {
    webpack: () => [/*require.resolve*/(3768)],
    modules: ["dashboard.js -> " + './layouts/ComputerDetails']
  }
});
const getServerSideProps = (0,next_iron_session__WEBPACK_IMPORTED_MODULE_3__.withIronSession)(async ({
  req,
  res
}) => {
  // log module
  const logModule = 'dashboard';
  const user = req.session.get("user");
  const permissions = req.session.get("permissions");
  console.log(req.session.get());

  if (!user) {
    return {
      redirect: {
        destination: '/',
        permanent: false
      }
    };
  } else if (permissions.permissions.indexOf(logModule) < 0) {
    res.statusCode = 403;
    res.end();
    return {
      props: {}
    };
  } else {
    // fetch data from config file and create state for all the controllers
    __webpack_require__(334).config();

    const serviceURL = process.env.SERVICE_URL;
    const JAKO = js_base64__WEBPACK_IMPORTED_MODULE_6__.Base64.decode(process.env.JAKO);
    const OJAK = js_base64__WEBPACK_IMPORTED_MODULE_6__.Base64.decode(process.env.OJAK);
    const locale = process.env.locale;

    let regedit = __webpack_require__(7026);

    await regedit.arch.list64('HKLM\\SOFTWARE\\LabLock\\KAgentService').on('data', function (entry) {
      process.env.PORT = entry.data['values']['Port']['value'];

      var os = __webpack_require__(2087);

      var hostname = os.hostname();
      process.env.SERVICE_URL = 'http://' + hostname + ':' + entry.data['values']['Port']['value'];
      console.log(process.env.PORT);
    }).on('finish', function () {
      console.log('list operation finished');
    }).on('error', function () {
      console.log('Not a Windows OS');
    });
    console.log(process.env.SERVICE_URL); // retrieve summary details

    const res0 = await fetch(serviceURL + '/summary');
    var resEncoded = await res0.text();
    const summaryDetails = JSON.parse(_lib_aes__WEBPACK_IMPORTED_MODULE_4___default().Decrypt(resEncoded, JAKO, OJAK));
    console.log(summaryDetails); // Retrieve computer details

    const res1 = await fetch(serviceURL + '/computerdetails');
    var resEncoded = await res1.text();
    const computerDetails = JSON.parse(_lib_aes__WEBPACK_IMPORTED_MODULE_4___default().Decrypt(resEncoded, JAKO, OJAK));
    console.log(computerDetails); // Retrieve users logged in

    const res2 = await fetch(serviceURL + '/logonuserdetails');
    resEncoded = await res2.text();
    const logonUserDetailsList = JSON.parse(_lib_aes__WEBPACK_IMPORTED_MODULE_4___default().Decrypt(resEncoded, JAKO, OJAK)); // Retrieve restrictions

    const res4 = await fetch(serviceURL + '/settings');
    resEncoded = await res4.text();
    const restrictions = JSON.parse(_lib_aes__WEBPACK_IMPORTED_MODULE_4___default().Decrypt(resEncoded, JAKO, OJAK));
    let restrictionsCount = restrictions.settings.length;
    const res6 = await fetch(serviceURL + '/syskeys');
    resEncoded = await res6.text();
    const systemKeys = JSON.parse(_lib_aes__WEBPACK_IMPORTED_MODULE_4___default().Decrypt(resEncoded, JAKO, OJAK));
    restrictionsCount += systemKeys.SystemKeys.length;
    const res7 = await fetch(serviceURL + '/appblocker');
    resEncoded = await res7.text();
    const apps = JSON.parse(_lib_aes__WEBPACK_IMPORTED_MODULE_4___default().Decrypt(resEncoded, JAKO, OJAK));
    restrictionsCount += apps.apps.length; // Retrieve if there are any restrictions or restrictions supension time

    const res3 = await fetch(serviceURL + '/suspend');
    resEncoded = await res3.text();
    const suspendProperties = JSON.parse(_lib_aes__WEBPACK_IMPORTED_MODULE_4___default().Decrypt(resEncoded, JAKO, OJAK));
    console.log(suspendProperties); // Retrieve suspension time

    const res5 = await fetch(serviceURL + '/lablocksettings');
    resEncoded = await res5.text();
    const generalSettings = JSON.parse(_lib_aes__WEBPACK_IMPORTED_MODULE_4___default().Decrypt(resEncoded, JAKO, OJAK));
    suspendProperties['duration'] = generalSettings['suspendRestrictionsTime'];
    process.env.SESSION_TIMEOUT = generalSettings['sessionExpiration']; // console.log("u:" + user.user.username)

    const userObj = user.user;
    return {
      props: {
        summaryDetails,
        logonUserDetailsList,
        computerDetails,
        serviceURL,
        logModule,
        suspendProperties,
        restrictionsCount,
        userObj,
        permissions,
        JAKO,
        OJAK,
        locale
      }
    };
  }
}, {
  cookieName: process.env.SESSION_COOKIE,
  cookieOptions: {
    secure:  true ? true : 0,
    maxAge: process.env.SESSION_TIMEOUT * 60
  },
  password: process.env.APPLICATION_SECRET
});

const Index = props => __jsx((react__WEBPACK_IMPORTED_MODULE_0___default().Fragment), null, __jsx(Header, {
  user: props.userObj,
  permissions: props.permissions,
  serviceURL: props.serviceURL,
  JAKO: props.JAKO,
  OJAK: props.OJAK
}), __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Container, null, __jsx("table", {
  width: "100%"
}, __jsx("tbody", null, __jsx("tr", null, __jsx("td", {
  colSpan: "3"
}, __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Alert, {
  variant: "info"
}, __jsx("h1", null, "Dashboard"), __jsx("p", null, __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Badge, {
  variant: "dark"
}, __jsx("em", null, "LabLock - Version: ", props.computerDetails.LabLockVersion)))))), __jsx("tr", null, __jsx("td", {
  colSpan: "3"
}, __jsx("table", {
  width: "100%"
}, __jsx("tbody", null, __jsx("tr", null, __jsx("td", null, __jsx(ComputerDetails, props)), __jsx("td", {
  valign: "top"
}, __jsx(_layouts_SuspendRestrictions__WEBPACK_IMPORTED_MODULE_5__.default, props))))))), __jsx("tr", null, __jsx("td", {
  colSpan: "3"
}, "\xA0")), __jsx("tr", null, __jsx("td", {
  colSpan: "3"
}, __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Alert, {
  variant: "secondary"
}, __jsx("table", null, __jsx("tbody", null, __jsx("tr", null, __jsx("td", null, __jsx("svg", {
  width: "3em",
  height: "3em",
  viewBox: "0 0 16 16",
  className: "bi bi-people",
  fill: "currentColor",
  xmlns: "http://www.w3.org/2000/svg"
}, __jsx("path", {
  fillRule: "evenodd",
  d: "M15 14s1 0 1-1-1-4-5-4-5 3-5 4 1 1 1 1h8zm-7.995-.944v-.002.002zM7.022 13h7.956a.274.274 0 0 0 .014-.002l.008-.002c-.002-.264-.167-1.03-.76-1.72C13.688 10.629 12.718 10 11 10c-1.717 0-2.687.63-3.24 1.276-.593.69-.759 1.457-.76 1.72a1.05 1.05 0 0 0 .022.004zm7.973.056v-.002.002zM11 7a2 2 0 1 0 0-4 2 2 0 0 0 0 4zm3-2a3 3 0 1 1-6 0 3 3 0 0 1 6 0zM6.936 9.28a5.88 5.88 0 0 0-1.23-.247A7.35 7.35 0 0 0 5 9c-4 0-5 3-5 4 0 .667.333 1 1 1h4.216A2.238 2.238 0 0 1 5 13c0-1.01.377-2.042 1.09-2.904.243-.294.526-.569.846-.816zM4.92 10c-1.668.02-2.615.64-3.16 1.276C1.163 11.97 1 12.739 1 13h3c0-1.045.323-2.086.92-3zM1.5 5.5a3 3 0 1 1 6 0 3 3 0 0 1-6 0zm3-2a2 2 0 1 0 0 4 2 2 0 0 0 0-4z"
}))), __jsx("td", null, __jsx("h2", null, "User details")))))))), __jsx("tr", null, __jsx("td", {
  colSpan: "3"
}, __jsx(UserDetails, {
  sessionList: props.logonUserDetailsList.sessions,
  serviceURL: props.serviceURL,
  user: props.userObj,
  JAKO: props.JAKO,
  OJAK: props.OJAK,
  computerDetails: props.computerDetails,
  locale: props.locale
}))), __jsx("tr", null, __jsx("td", {
  colSpan: "3"
}, "\xA0")), __jsx("tr", null, __jsx("td", {
  colSpan: "3"
}, "\xA0")), __jsx("tr", null, __jsx("td", {
  colSpan: "3"
}, props.summaryDetails.Summary.Restrictions.Totals[0].value > 0 ? __jsx(RestrictionsSummary, props) : '')), __jsx("tr", null, __jsx("td", {
  colSpan: "3"
}, props.summaryDetails.Summary.SystemKeys.Totals[1].value > 0 ? __jsx(SystemKeysSummary, props) : ''))))));

/* harmony default export */ __webpack_exports__["default"] = (Index);

/***/ }),

/***/ 7985:
/***/ (function(module) {

"use strict";
module.exports = require("@material-ui/icons");;

/***/ }),

/***/ 1690:
/***/ (function(module) {

"use strict";
module.exports = require("@material-ui/icons/PhotoCamera");;

/***/ }),

/***/ 6175:
/***/ (function(module) {

"use strict";
module.exports = require("@material-ui/icons/Sms");;

/***/ }),

/***/ 4047:
/***/ (function(module) {

"use strict";
module.exports = require("@material-ui/styles");;

/***/ }),

/***/ 9137:
/***/ (function(module) {

"use strict";
module.exports = require("@material-ui/system");;

/***/ }),

/***/ 2958:
/***/ (function(module) {

"use strict";
module.exports = require("@material-ui/utils");;

/***/ }),

/***/ 6800:
/***/ (function(module) {

"use strict";
module.exports = require("ag-grid-react");;

/***/ }),

/***/ 3536:
/***/ (function(module) {

"use strict";
module.exports = require("clsx");;

/***/ }),

/***/ 6417:
/***/ (function(module) {

"use strict";
module.exports = require("crypto");;

/***/ }),

/***/ 334:
/***/ (function(module) {

"use strict";
module.exports = require("dotenv");;

/***/ }),

/***/ 5385:
/***/ (function(module) {

"use strict";
module.exports = require("js-base64");;

/***/ }),

/***/ 834:
/***/ (function(module) {

"use strict";
module.exports = require("next-iron-session");;

/***/ }),

/***/ 9639:
/***/ (function(module) {

"use strict";
module.exports = require("next/dynamic");;

/***/ }),

/***/ 701:
/***/ (function(module) {

"use strict";
module.exports = require("next/head");;

/***/ }),

/***/ 6731:
/***/ (function(module) {

"use strict";
module.exports = require("next/router");;

/***/ }),

/***/ 2087:
/***/ (function(module) {

"use strict";
module.exports = require("os");;

/***/ }),

/***/ 4229:
/***/ (function(module) {

"use strict";
module.exports = require("prop-types");;

/***/ }),

/***/ 9297:
/***/ (function(module) {

"use strict";
module.exports = require("react");;

/***/ }),

/***/ 9226:
/***/ (function(module) {

"use strict";
module.exports = require("react-bootstrap");;

/***/ }),

/***/ 5777:
/***/ (function(module) {

"use strict";
module.exports = require("react-bootstrap/Button");;

/***/ }),

/***/ 7140:
/***/ (function(module) {

"use strict";
module.exports = require("react-bootstrap/Form");;

/***/ }),

/***/ 10:
/***/ (function(module) {

"use strict";
module.exports = require("react-bootstrap/FormControl");;

/***/ }),

/***/ 4336:
/***/ (function(module) {

"use strict";
module.exports = require("react-bootstrap/Modal");;

/***/ }),

/***/ 8337:
/***/ (function(module) {

"use strict";
module.exports = require("react-bootstrap/OverlayTrigger");;

/***/ }),

/***/ 8096:
/***/ (function(module) {

"use strict";
module.exports = require("react-bootstrap/Table");;

/***/ }),

/***/ 9988:
/***/ (function(module) {

"use strict";
module.exports = require("react-bootstrap/Tooltip");;

/***/ }),

/***/ 2268:
/***/ (function(module) {

"use strict";
module.exports = require("react-dom");;

/***/ }),

/***/ 3810:
/***/ (function(module) {

"use strict";
module.exports = require("react-transition-group");;

/***/ }),

/***/ 7847:
/***/ (function(module) {

"use strict";
module.exports = require("recharts");;

/***/ }),

/***/ 7026:
/***/ (function(module) {

"use strict";
module.exports = require("regedit");;

/***/ })

};
;

// load runtime
var __webpack_require__ = require("../webpack-runtime.js");
__webpack_require__.C(exports);
var __webpack_exec__ = function(moduleId) { return __webpack_require__(__webpack_require__.s = moduleId); }
var __webpack_exports__ = __webpack_require__.X(0, [3730,7990], function() { return __webpack_exec__(6902); });
module.exports = __webpack_exports__;

})();