(function() {
var exports = {};
exports.id = 5405;
exports.ids = [5405,7821];
exports.modules = {

/***/ 8474:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "getServerSideProps": function() { return /* binding */ getServerSideProps; }
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9297);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var next_dynamic__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(9639);
/* harmony import */ var next_dynamic__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(next_dynamic__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _lib_aes__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(3730);
/* harmony import */ var _lib_aes__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_lib_aes__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var js_base64__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(5385);
/* harmony import */ var js_base64__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(js_base64__WEBPACK_IMPORTED_MODULE_3__);

var __jsx = (react__WEBPACK_IMPORTED_MODULE_0___default().createElement);
 // import LoginForm from './layouts/LoginForm'

const LoginForm = next_dynamic__WEBPACK_IMPORTED_MODULE_1___default()(() => Promise.all(/* import() */[__webpack_require__.e(6811), __webpack_require__.e(3875), __webpack_require__.e(7893)]).then(__webpack_require__.bind(__webpack_require__, 7893)), {
  loadableGenerated: {
    webpack: () => [/*require.resolve*/(7893)],
    modules: ["index.js -> " + './layouts/LoginForm']
  }
});


async function getServerSideProps() {
  __webpack_require__(334).config();

  const serviceURL = process.env.SERVICE_URL;
  const JAKO = js_base64__WEBPACK_IMPORTED_MODULE_3__.Base64.decode(process.env.JAKO);
  const OJAK = js_base64__WEBPACK_IMPORTED_MODULE_3__.Base64.decode(process.env.OJAK);

  let regedit = __webpack_require__(7026);

  await regedit.arch.list64('HKLM\\SOFTWARE\\LabLock\\KAgentService').on('data', function (entry) {
    process.env.PORT = entry.data['values']['Port']['value'];

    var os = __webpack_require__(2087);

    var hostname = os.hostname();
    process.env.SERVICE_URL = 'http://' + hostname + ':' + entry.data['values']['Port']['value'];
    console.log(process.env.PORT);
  }).on('finish', function () {
    console.log('list operation finished');
  }).on('error', function () {
    console.log('Not a Windows OS');
  });
  console.log(process.env.SERVICE_URL);
  const res = await fetch(serviceURL + '/lablocksettings');
  var resEncoded = await res.text();
  const generalSettings = JSON.parse(_lib_aes__WEBPACK_IMPORTED_MODULE_2___default().Decrypt(resEncoded, JAKO, OJAK));
  console.log(generalSettings);
  process.env.SESSION_TIMEOUT = generalSettings['sessionExpiration'];
  return {
    props: {
      serviceURL,
      JAKO,
      OJAK
    }
  };
}

const Index = ({
  serviceURL,
  JAKO,
  OJAK
}) => __jsx((react__WEBPACK_IMPORTED_MODULE_0___default().Fragment), null, __jsx("main", {
  style: {
    display: 'flex',
    flexDirection: 'column',
    alignItems: 'center'
  }
}, __jsx(LoginForm, {
  serviceURL: serviceURL,
  JAKO: JAKO,
  OJAK: OJAK
})));

/* harmony default export */ __webpack_exports__["default"] = (Index);

/***/ }),

/***/ 4047:
/***/ (function(module) {

"use strict";
module.exports = require("@material-ui/styles");;

/***/ }),

/***/ 9137:
/***/ (function(module) {

"use strict";
module.exports = require("@material-ui/system");;

/***/ }),

/***/ 2958:
/***/ (function(module) {

"use strict";
module.exports = require("@material-ui/utils");;

/***/ }),

/***/ 3536:
/***/ (function(module) {

"use strict";
module.exports = require("clsx");;

/***/ }),

/***/ 6417:
/***/ (function(module) {

"use strict";
module.exports = require("crypto");;

/***/ }),

/***/ 334:
/***/ (function(module) {

"use strict";
module.exports = require("dotenv");;

/***/ }),

/***/ 7717:
/***/ (function(module) {

"use strict";
module.exports = require("formik");;

/***/ }),

/***/ 5385:
/***/ (function(module) {

"use strict";
module.exports = require("js-base64");;

/***/ }),

/***/ 9639:
/***/ (function(module) {

"use strict";
module.exports = require("next/dynamic");;

/***/ }),

/***/ 6731:
/***/ (function(module) {

"use strict";
module.exports = require("next/router");;

/***/ }),

/***/ 2087:
/***/ (function(module) {

"use strict";
module.exports = require("os");;

/***/ }),

/***/ 4229:
/***/ (function(module) {

"use strict";
module.exports = require("prop-types");;

/***/ }),

/***/ 9297:
/***/ (function(module) {

"use strict";
module.exports = require("react");;

/***/ }),

/***/ 5777:
/***/ (function(module) {

"use strict";
module.exports = require("react-bootstrap/Button");;

/***/ }),

/***/ 7707:
/***/ (function(module) {

"use strict";
module.exports = require("react-bootstrap/Col");;

/***/ }),

/***/ 7140:
/***/ (function(module) {

"use strict";
module.exports = require("react-bootstrap/Form");;

/***/ }),

/***/ 5346:
/***/ (function(module) {

"use strict";
module.exports = require("react-bootstrap/Image");;

/***/ }),

/***/ 4336:
/***/ (function(module) {

"use strict";
module.exports = require("react-bootstrap/Modal");;

/***/ }),

/***/ 3406:
/***/ (function(module) {

"use strict";
module.exports = require("react-bootstrap/Row");;

/***/ }),

/***/ 7026:
/***/ (function(module) {

"use strict";
module.exports = require("regedit");;

/***/ }),

/***/ 9440:
/***/ (function(module) {

"use strict";
module.exports = require("yup");;

/***/ })

};
;

// load runtime
var __webpack_require__ = require("../webpack-runtime.js");
__webpack_require__.C(exports);
var __webpack_exec__ = function(moduleId) { return __webpack_require__(__webpack_require__.s = moduleId); }
var __webpack_exports__ = __webpack_require__.X(0, [3730], function() { return __webpack_exec__(8474); });
module.exports = __webpack_exports__;

})();