(function() {
var exports = {};
exports.id = 662;
exports.ids = [662,2308,6053,7821,5355,8092];
exports.modules = {

/***/ 7733:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "getServerSideProps": function() { return /* binding */ getServerSideProps; }
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9297);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _layouts_Header__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1332);
/* harmony import */ var _layouts_SettingsContainer__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(751);
/* harmony import */ var next_iron_session__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(834);
/* harmony import */ var next_iron_session__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(next_iron_session__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _lib_aes__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(3730);
/* harmony import */ var _lib_aes__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(_lib_aes__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var react_bootstrap__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(9226);
/* harmony import */ var react_bootstrap__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var js_base64__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(5385);
/* harmony import */ var js_base64__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(js_base64__WEBPACK_IMPORTED_MODULE_6__);

var __jsx = (react__WEBPACK_IMPORTED_MODULE_0___default().createElement);






const getServerSideProps = (0,next_iron_session__WEBPACK_IMPORTED_MODULE_3__.withIronSession)(async ({
  req,
  res
}) => {
  // log module
  const logModule = 'settings';
  var user = req.session.get("user");
  var permissions = req.session.get("permissions");

  if (!user) {
    return {
      redirect: {
        destination: '/',
        permanent: false
      }
    };
  } else if (permissions.permissions.indexOf(logModule) < 0) {
    res.statusCode = 403;
    res.end();
    return {
      props: {}
    };
  } else {
    // fetch data from config file and create state for all the controllers
    __webpack_require__(334).config();

    const serviceURL = process.env.SERVICE_URL;
    const JAKO = js_base64__WEBPACK_IMPORTED_MODULE_6__.Base64.decode(process.env.JAKO);
    const OJAK = js_base64__WEBPACK_IMPORTED_MODULE_6__.Base64.decode(process.env.OJAK);

    let regedit = __webpack_require__(7026);

    await regedit.arch.list64('HKLM\\SOFTWARE\\LabLock\\KAgentService').on('data', function (entry) {
      process.env.PORT = entry.data['values']['Port']['value'];

      var os = __webpack_require__(2087);

      var hostname = os.hostname();
      process.env.SERVICE_URL = 'http://' + hostname + ':' + entry.data['values']['Port']['value'];
      console.log(process.env.PORT);
    }).on('finish', function () {
      console.log('list operation finished');
    }).on('error', function () {
      console.log('Not a Windows OS');
    });
    console.log(process.env.SERVICE_URL); // Retrieve general settings

    const res = await fetch(serviceURL + '/lablocksettings');
    var resEncoded = await res.text();
    const generalSettings = JSON.parse(_lib_aes__WEBPACK_IMPORTED_MODULE_4___default().Decrypt(resEncoded, JAKO, OJAK));
    console.log(generalSettings);
    process.env.SESSION_TIMEOUT = generalSettings['sessionExpiration']; // Retrieve AD settings

    const res2 = await fetch(serviceURL + '/ldapsettings');
    resEncoded = await res2.text();
    const ldapSettings = JSON.parse(_lib_aes__WEBPACK_IMPORTED_MODULE_4___default().Decrypt(resEncoded, JAKO, OJAK));
    console.log(ldapSettings);
    let res1 = await fetch(serviceURL + '/computerdetails');
    resEncoded = await res1.text();
    let computerDetails = JSON.parse(_lib_aes__WEBPACK_IMPORTED_MODULE_4___default().Decrypt(resEncoded, JAKO, OJAK));
    const userObj = user.user;
    return {
      props: {
        serviceURL,
        generalSettings,
        ldapSettings,
        computerDetails,
        userObj,
        permissions,
        JAKO,
        OJAK
      }
    };
  }
}, {
  cookieName: process.env.SESSION_COOKIE,
  cookieOptions: {
    secure:  true ? true : 0,
    maxAge: process.env.SESSION_TIMEOUT * 60
  },
  password: process.env.APPLICATION_SECRET
});

const Index = props => __jsx((react__WEBPACK_IMPORTED_MODULE_0___default().Fragment), null, __jsx(_layouts_Header__WEBPACK_IMPORTED_MODULE_1__.default, {
  user: props.userObj,
  permissions: props.permissions,
  serviceURL: props.serviceURL,
  JAKO: props.JAKO,
  OJAK: props.OJAK
}), __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_5__.Container, null, __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_5__.Alert, {
  variant: "info"
}, __jsx("h1", null, "Settings"), __jsx("p", null, __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_5__.Badge, {
  variant: "dark"
}, __jsx("em", null, "LabLock - Version: ", props.computerDetails.LabLockVersion))))), __jsx(_layouts_SettingsContainer__WEBPACK_IMPORTED_MODULE_2__.default, props));

/* harmony default export */ __webpack_exports__["default"] = (Index);

/***/ }),

/***/ 9513:
/***/ (function(module) {

"use strict";
module.exports = require("@material-ui/icons/Edit");;

/***/ }),

/***/ 6417:
/***/ (function(module) {

"use strict";
module.exports = require("crypto");;

/***/ }),

/***/ 334:
/***/ (function(module) {

"use strict";
module.exports = require("dotenv");;

/***/ }),

/***/ 7717:
/***/ (function(module) {

"use strict";
module.exports = require("formik");;

/***/ }),

/***/ 5385:
/***/ (function(module) {

"use strict";
module.exports = require("js-base64");;

/***/ }),

/***/ 834:
/***/ (function(module) {

"use strict";
module.exports = require("next-iron-session");;

/***/ }),

/***/ 9639:
/***/ (function(module) {

"use strict";
module.exports = require("next/dynamic");;

/***/ }),

/***/ 701:
/***/ (function(module) {

"use strict";
module.exports = require("next/head");;

/***/ }),

/***/ 6731:
/***/ (function(module) {

"use strict";
module.exports = require("next/router");;

/***/ }),

/***/ 2087:
/***/ (function(module) {

"use strict";
module.exports = require("os");;

/***/ }),

/***/ 9297:
/***/ (function(module) {

"use strict";
module.exports = require("react");;

/***/ }),

/***/ 9226:
/***/ (function(module) {

"use strict";
module.exports = require("react-bootstrap");;

/***/ }),

/***/ 5777:
/***/ (function(module) {

"use strict";
module.exports = require("react-bootstrap/Button");;

/***/ }),

/***/ 7707:
/***/ (function(module) {

"use strict";
module.exports = require("react-bootstrap/Col");;

/***/ }),

/***/ 8622:
/***/ (function(module) {

"use strict";
module.exports = require("react-bootstrap/Container");;

/***/ }),

/***/ 7140:
/***/ (function(module) {

"use strict";
module.exports = require("react-bootstrap/Form");;

/***/ }),

/***/ 10:
/***/ (function(module) {

"use strict";
module.exports = require("react-bootstrap/FormControl");;

/***/ }),

/***/ 6195:
/***/ (function(module) {

"use strict";
module.exports = require("react-bootstrap/InputGroup");;

/***/ }),

/***/ 4019:
/***/ (function(module) {

"use strict";
module.exports = require("react-bootstrap/Jumbotron");;

/***/ }),

/***/ 4336:
/***/ (function(module) {

"use strict";
module.exports = require("react-bootstrap/Modal");;

/***/ }),

/***/ 8337:
/***/ (function(module) {

"use strict";
module.exports = require("react-bootstrap/OverlayTrigger");;

/***/ }),

/***/ 3406:
/***/ (function(module) {

"use strict";
module.exports = require("react-bootstrap/Row");;

/***/ }),

/***/ 5847:
/***/ (function(module) {

"use strict";
module.exports = require("react-bootstrap/Tab");;

/***/ }),

/***/ 8096:
/***/ (function(module) {

"use strict";
module.exports = require("react-bootstrap/Table");;

/***/ }),

/***/ 5756:
/***/ (function(module) {

"use strict";
module.exports = require("react-bootstrap/Tabs");;

/***/ }),

/***/ 9988:
/***/ (function(module) {

"use strict";
module.exports = require("react-bootstrap/Tooltip");;

/***/ }),

/***/ 7026:
/***/ (function(module) {

"use strict";
module.exports = require("regedit");;

/***/ }),

/***/ 9440:
/***/ (function(module) {

"use strict";
module.exports = require("yup");;

/***/ })

};
;

// load runtime
var __webpack_require__ = require("../webpack-runtime.js");
__webpack_require__.C(exports);
var __webpack_exec__ = function(moduleId) { return __webpack_require__(__webpack_require__.s = moduleId); }
var __webpack_exports__ = __webpack_require__.X(0, [9127,9352,3730,1332,751], function() { return __webpack_exec__(7733); });
module.exports = __webpack_exports__;

})();