// const crypto = require("crypto");
import crypto from 'crypto'

class AES
{
    static Encrypt(plainText, keyString, IVString)
    {
        const iv = Buffer.from(IVString);
        const cipher = crypto.createCipheriv("aes-256-cbc", keyString, iv);
        let cipherText = cipher.update(Buffer.from(plainText, "utf8"));
        cipherText = Buffer.concat([cipherText, cipher.final()]);
        const combinedData = Buffer.concat([iv, cipherText]);
        const combinedString = combinedData.toString("base64");
        return combinedString;
    }

    static Decrypt(combinedString, keyString, IVString)
    {
        const combinedData = Buffer.from(combinedString, "base64");
        const iv = Buffer.from(IVString);
        const cipherText = Buffer.alloc(combinedData.length - iv.length);
        combinedData.copy(iv, 0, 0, iv.length);
        combinedData.copy(cipherText, 0, iv.length);
        const decipher = crypto.createDecipheriv("aes-256-cbc", keyString, iv);
        let plainText = decipher.update(cipherText, "utf8");
        plainText += decipher.final("utf8");
        return plainText;
    }
}

module.exports = AES;