import Button from 'react-bootstrap/Button'
import Modal from 'react-bootstrap/Modal'

class ModalRequestError extends React.Component {
    constructor(props) {
      super(props);

      this.state = {
        showErrorModal: this.props.showErrorModal
      };      
      // bind the action handlers
      this.handleErrorClose = this.handleErrorClose.bind(this);
      console.log('RequestErrorModal:'+this.state.showErrorModal)
    }

    handleErrorClose() {
        this.setState({
            showErrorModal: false
        })
      }

    render() {

        return (
            <> 
            <Modal show={this.state.showErrorModal} aria-labelledby="contained-modal-title-vcenter" centered >
                <Modal.Header>
                    <Modal.Title>Ops, something didn't work as expected</Modal.Title>
                </Modal.Header>
                <Modal.Body>There has been an error when processing your request, please try again or contact support</Modal.Body>
                <Modal.Footer>
                    <Button variant="secondary" onClick={this.handleErrorClose}>
                    Close
                    </Button>
                </Modal.Footer>
            </Modal>    
            </>
        );
    }         
}

export default ModalRequestError;